commit fd0fa130ecf06d7d092932adcd5d77f1549bfc8d
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Apr 18 08:52:57 2019 +1000

    makedepend

commit 5de397a876b587ba05a9169237deffdc71f273b0
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 5 11:29:51 2019 -0700

    second thoughts: leave README in place
    
    A number of contrib/* files refer to the existing README so let's leave
    it in place for release and add the new markdown version in parallel.
    
    I'll get rid of README after release.

commit 5d3127d9274519b25ed10e320f45045ba8d7f3be
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 5 11:29:31 2019 -0700

    Revert "rewrite README"
    
    This reverts commit 9444d82678cb7781820da4d1c23b3c2b9fb1e12f.

commit 9444d82678cb7781820da4d1c23b3c2b9fb1e12f
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 5 11:21:48 2019 -0700

    rewrite README
    
    Include basic build instructions and comments on commonly-used build-
    time flags, links to the manual pages and other resources.
    
    Now in Markdown format for better viewing on github, etc.

commit a924de0c4908902433813ba205bee1446bd1a157
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 5 03:41:52 2019 +1100

    update versions

commit 312dcee739bca5d6878c536537b2a8a497314b75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Apr 3 15:48:45 2019 +0000

    upstream: openssh-8.0
    
    OpenBSD-Commit-ID: 5aafdf218679dab982fea20771afd643be9a127b

commit 885bc114692046d55e2a170b932bdc0092fa3456
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Apr 4 02:47:40 2019 +1100

    session: Do not use removed API
    
    from Jakub Jelen

commit 9d7b2882b0c9a5e9bf8312ce4075bf178e2b98be
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 29 11:31:40 2019 +0000

    upstream: when logging/fataling on error, include a bit more detail
    
    than just the function name and the error message
    
    OpenBSD-Commit-ID: dd72d7eba2215fcb89be516c378f633ea5bcca9f

commit 79a87d32783d6c9db40af8f35e091d9d30365ae7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Apr 3 06:27:45 2019 +1100

    Remove "struct ssh" from sys_auth_record_login.
    
    It's not needed, and is not available from the call site in loginrec.c
    Should only affect AIX, spotted by Kevin Brott.

commit 138c0d52cdc90f9895333b82fc57d81cce7a3d90
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Apr 2 18:21:35 2019 +1100

    Adapt custom_failed_login to new prototype.
    
    Spotted by Kevin Brott.

commit a0ca4009ab2f0b1007ec8ab6864dbf9b760a8ed5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Apr 1 20:07:23 2019 +1100

    Add includes.h for compat layer.
    
    Should fix build on AIX 7.2.

commit 00991151786ce9b1d577bdad1f83a81d19c8236d
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 31 22:14:22 2019 -0700

    Stop USL compilers for erroring with "integral constant expression expected"

commit 43f47ebbdd4037b569c23b8f4f7981f53b567f1d
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 31 19:22:19 2019 -0700

    Only use O_NOFOLLOW in fchownat and fchmodat if defined

commit 342d6e51589b184c337cccfc4c788b60ff8b3765
Author: Jakub Jelen <jjelen@redhat.com>
Date:   Fri Mar 29 12:29:41 2019 +0100

    Adjust softhsm2 path on Fedora Linux for regress
    
    The SoftHSM lives in Fedora in /usr/lib64/pkcs11/libsofthsm2.so

commit f5abb05f8c7358dacdcb866fe2813f6d8efd5830
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Mar 28 09:26:14 2019 +1100

    Only use O_NOFOLLOW in utimensat if defined.
    
    Fixes build on systems that don't have it (Solaris <=9)  Found by
    Tom G. Christensen.

commit 786cd4c1837fdc3fe7b4befe54a3f37db7df8715
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Wed Mar 27 18:18:21 2019 +0100

    drop old Cygwin considerations
    
    - Cygwin supports non-DOS characters in filenames
    - Cygwin does not support Windows XP anymore
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit 21da87f439b48a85b951ef1518fe85ac0273e719
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 27 09:29:14 2019 +0000

    upstream: fix interaction between ClientAliveInterval and RekeyLimit
    
    that could cause connection to close incorrectly; Report and patch from Jakub
    Jelen in bz#2757; ok dtucker@ markus@
    
    OpenBSD-Commit-ID: 17229a8a65bd8e6c2080318ec2b7a61e1aede3fb

commit 4f0019a9afdb4a94d83b75e82dbbbe0cbe826c56
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 25 22:34:52 2019 +0000

    upstream: Fix authentication failures when "AuthenticationMethods
    
    any" in a Match block overrides a more restrictive global default.
    
    Spotted by jmc@, ok markus@
    
    OpenBSD-Commit-ID: a90a4fe2ab81d0eeeb8fdfc21af81f7eabda6666

commit d6e5def308610f194c0ec3ef97a34a3e9630e190
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 25 22:33:44 2019 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: 106e853ae8a477e8385bc53824d3884a8159db07

commit 26e0cef07b04479537c971dec898741df1290fe5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Mar 25 16:19:44 2019 +0000

    upstream: Expand comment to document rationale for default key
    
    sizes. "seems worthwhile" deraadt.
    
    OpenBSD-Commit-ID: 72e5c0983d7da1fb72f191870f36cb58263a2456

commit f47269ea67eb4ff87454bf0d2a03e55532786482
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Mar 25 15:49:00 2019 +0000

    upstream: Increase the default RSA key size to 3072 bits. Based on
    
    the estimates from NIST Special Publication 800-57, 3k bits provides security
    equivalent to 128 bits which is the smallest symmetric cipher we enable by
    default. ok markus@ deraadt@
    
    OpenBSD-Commit-ID: 461dd32ebe808f88f4fc3ec74749b0e6bef2276b

commit 62949c5b37af28d8490d94866e314a76be683a5e
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Mar 22 20:58:34 2019 +0000

    upstream: full stop in the wrong place;
    
    OpenBSD-Commit-ID: 478a0567c83553a2aebf95d0f1bd67ac1b1253e4

commit 1b1332b5bb975d759a50b37f0e8bc8cfb07a0bb0
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Mar 16 19:14:21 2019 +0000

    upstream: benno helped me clean up the tcp forwarding section;
    
    OpenBSD-Commit-ID: d4bec27edefde636fb632b7f0b7c656b9c7b7f08

commit 2aee9a49f668092ac5c9d34e904ef7a9722e541d
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri Mar 8 17:24:43 2019 +0000

    upstream: fix use-after-free in ssh-pkcs11; found by hshoexer w/AFL
    
    OpenBSD-Commit-ID: febce81cca72b71f70513fbee4ff52ca050f675c

commit 9edbd7821e6837e98e7e95546cede804dac96754
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Mar 14 10:17:28 2019 +1100

    Fix build when configured --without-openssl.
    
    ok djm@

commit 825ab32f0d04a791e9d19d743c61ff8ed9b4d8e5
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Mar 14 08:51:17 2019 +1100

    On Cygwin run sshd as SYSTEM where possible.
    
    Seteuid now creates user token using S4U.  We don't create a token
    from scratch anymore, so we don't need the "Create a process token"
    privilege.  The service can run under SYSTEM again...
    
    ...unless Cygwin is running on Windows Vista or Windows 7 in the
    WOW64 32 bit emulation layer.  It turns out that WOW64 on these systems
    didn't implement MsV1_0 S4U Logon so we still need the fallback
    to NtCreateToken for these systems.
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit a212107bfdf4d3e870ab7a443e4d906e5b9578c3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Mar 13 10:49:16 2019 +1100

    Replace alloca with xcalloc.
    
    The latter checks for memory exhaustion and integer overflow and may be
    at a less predictable place.  Sanity check by vinschen at redhat.com, ok
    djm@

commit daa7505aadca68ba1a2c70cbdfce423208eb91ee
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Mar 12 09:19:19 2019 +1100

    Use Cygwin-specific matching only for users+groups.
    
    Patch from vinschen at redhat.com, updated a little by me.

commit fd10cf027b56f9aaa80c9e3844626a05066589a4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Mar 6 22:14:23 2019 +0000

    upstream: Move checks for lists of users or groups into their own
    
    function. This is a no-op on OpenBSD but will make things easier in
    -portable, eg on systems where these checks should be case-insensitive.  ok
    djm@
    
    OpenBSD-Commit-ID: 8bc9c8d98670e23f8eaaaefe29c1f98e7ba0487e

commit ab5fee8eb6a011002fd9e32b1597f02aa8804a25
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Mar 6 21:06:59 2019 +0000

    upstream: Reset last-seen time when sending a keepalive. Prevents
    
    sending two keepalives successively and prematurely terminating connection
    when ClientAliveCount=1.  While there, collapse two similar tests into one.
    ok markus@
    
    OpenBSD-Commit-ID: 043670d201dfe222537a2a4bed16ce1087de5ddd

commit c13b74530f9f1d9df7aeae012004b31b2de4438e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Tue Mar 5 16:17:12 2019 +0000

    upstream: PKCS#11 support is no longer limited to RSA; ok benno@
    
    kn@
    
    OpenBSD-Commit-ID: 1a9bec64d530aed5f434a960e7515a3e80cbc826

commit e9552d6043db7cd170ac6ba1b4d2c7a5eb2c3201
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 1 03:29:32 2019 +0000

    upstream: in ssh_set_newkeys(), mention the direction that we're
    
    keying in debug messages. Previously it would be difficult to tell which
    direction it was talking about
    
    OpenBSD-Commit-ID: c2b71bfcceb2a7389b9d0b497fb2122a406a522d

commit 76a24b3fa193a9ca3e47a8779d497cb06500798b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 1 02:32:39 2019 +0000

    upstream: Fix two race conditions in sshd relating to SIGHUP:
    
    1. Recently-forked child processes will briefly remain listening to
      listen_socks. If the main server sshd process completes its restart
      via execv() before these sockets are closed by the child processes
      then it can fail to listen at the desired addresses/ports and/or
      fail to restart.
    
    2. When a SIGHUP is received, there may be forked child processes that
      are awaiting their reexecution state. If the main server sshd
      process restarts before passing this state, these child processes
      will yield errors and use a fallback path of reading the current
      sshd_config from the filesystem rather than use the one that sshd
      was started with.
    
    To fix both of these cases, we reuse the startup_pipes that are shared
    between the main server sshd and forked children. Previously this was
    used solely to implement tracking of pre-auth child processes for
    MaxStartups, but this extends the messaging over these pipes to include
    a child->parent message that the parent process is safe to restart. This
    message is sent from the child after it has completed its preliminaries:
    closing listen_socks and receiving its reexec state.
    
    bz#2953, reported by Michal Koutný; ok markus@ dtucker@
    
    OpenBSD-Commit-ID: 7df09eacfa3ce13e9a7b1e9f17276ecc924d65ab

commit de817e9dfab99473017d28cdf69e60397d00ea21
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 1 02:16:47 2019 +0000

    upstream: mention PKCS11Provide=none, reword a little and remove
    
    mention of RSA keys only (since we support ECDSA now and might support others
    in the future). Inspired by Jakub Jelen via bz#2974
    
    OpenBSD-Commit-ID: a92e3686561bf624ccc64ab320c96c9e9a263aa5

commit 95a8058c1a90a27acbb91392ba206854abc85226
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 1 02:08:50 2019 +0000

    upstream: let PKCS11Provider=none do what users expect
    
    print PKCS11Provider instead of obsolete SmartcardDevice in config dump.
    
    bz#2974 ok dtucker@
    
    OpenBSD-Commit-ID: c303d6f0230a33aa2dd92dc9b68843d56a64f846

commit 8e7bac35aa576d2fd7560836da83733e864ce649
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Feb 27 19:37:01 2019 +0000

    upstream: dup stdout/in for proxycommand=-, otherwise stdout might
    
    be redirected to /dev/null; ok djm@
    
    OpenBSD-Commit-ID: 97dfce4c47ed4055042de8ebde85b7d88793e595

commit 9b61130fbd95d196bce81ebeca94a4cb7c0d5ba0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 23 08:20:43 2019 +0000

    upstream: openssh-7.9 accidentally reused the server's algorithm lists
    
    in the client for KEX, ciphers and MACs. The ciphers and MACs were identical
    between the client and server, but the error accidentially disabled the
    diffie-hellman-group-exchange-sha1 KEX method.
    
    This fixes the client code to use the correct method list, but
    because nobody complained, it also disables the
    diffie-hellman-group-exchange-sha1 KEX method.
    
    Reported by nuxi AT vault24.org via bz#2697; ok dtucker
    
    OpenBSD-Commit-ID: e30c33a23c10fd536fefa120e86af1842e33fd57

commit 37638c752041d591371900df820f070037878a2d
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Wed Feb 20 13:41:25 2019 +0100

    Cygwin: implement case-insensitive Unicode user and group name matching
    
    The previous revert enabled case-insensitive user names again.  This
    patch implements the case-insensitive user and group name matching.
    To allow Unicode chars, implement the matcher using wchar_t chars in
    Cygwin-specific code.  Keep the generic code changes as small as possible.
    Cygwin: implement case-insensitive Unicode user and group name matching
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit bed1d43698807a07bb4ddb93a46b0bd84b9970b3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 22 15:21:21 2019 +1100

    Revert unintended parts of previous commit.

commit f02afa350afac1b2f2d1413259a27a4ba1e2ca24
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Wed Feb 20 13:41:24 2019 +0100

    Revert "[auth.c] On Cygwin, refuse usernames that have differences in case"
    
    This reverts commit acc9b29486dfd649dfda474e5c1a03b317449f1c.
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit 4c55b674835478eb80a1a7aeae588aa654e2a433
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Sat Feb 16 14:13:43 2019 +0100

    Add tags to .gitignore
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit 625b62634c33eaef4b80d07529954fe5c6435fe5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 22 03:37:11 2019 +0000

    upstream: perform removal of agent-forwarding directory in forward
    
    setup error path with user's privileged. This is a no-op as this code always
    runs with user privilege now that we no longer support running sshd with
    privilege separation disabled, but as long as the privsep skeleton is there
    we should follow the rules.
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    bz#2969 with patch from Erik Sjölund
    
    OpenBSD-Commit-ID: 2b708401a5a8d6133c865d7698d9852210dca846

commit d9ecfaba0b2f1887d20e4368230632e709ca83be
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Feb 18 07:02:34 2019 +0000

    upstream: sync the description of ~/.ssh/config with djm's updated
    
    description in ssh.1; issue pointed out by andreas kahari
    
    ok dtucker djm
    
    OpenBSD-Commit-ID: 1b01ef0ae2c6328165150badae317ec92e52b01c

commit 38e83e4f219c752ebb1560633b73f06f0392018b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Feb 12 23:53:10 2019 +0000

    upstream: fix regression in r1.302 reported by naddy@ - only the first
    
    public key from the agent was being attempted for use.
    
    OpenBSD-Commit-ID: 07116aea521a04888718b2157f1ca723b2f46c8d

commit 5c68ea8da790d711e6dd5f4c30d089c54032c59a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 11 09:44:42 2019 +0000

    upstream: cleanup GSSAPI authentication context after completion of the
    
    authmethod. Move function-static GSSAPI state to the client Authctxt
    structure. Make static a bunch of functions that aren't used outside this
    file.
    
    Based on patch from Markus Schmidt <markus@blueflash.cc>; ok markus@
    
    OpenBSD-Commit-ID: 497fb792c0ddb4f1ba631b6eed526861f115dbe5

commit a8c807f1956f81a92a758d3d0237d0ff06d0be5d
Author: benno@openbsd.org <benno@openbsd.org>
Date:   Sun Feb 10 16:35:41 2019 +0000

    upstream: ssh-keygen -D pkcs11.so needs to initialize pkcs11
    
    interactive, so it can ask for the smartcards PIN. ok markus@
    
    OpenBSD-Commit-ID: 1be7ccf88f1876e0fc4d7c9b3f96019ac5655bab

commit 3d896c157c722bc47adca51a58dca859225b5874
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Feb 10 11:15:52 2019 +0000

    upstream: when checking that filenames sent by the server side
    
    match what the client requested, be prepared to handle shell-style brace
    alternations, e.g. "{foo,bar}".
    
    "looks good to me" millert@ + in snaps for the last week courtesy
    deraadt@
    
    OpenBSD-Commit-ID: 3b1ce7639b0b25b2248e3a30f561a548f6815f3e

commit 318e4f8548a4f5c0c913f61e27d4fc21ffb1eaae
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Feb 10 11:10:57 2019 +0000

    upstream: syslog when connection is dropped for attempting to run a
    
    command when ForceCommand=internal-sftp is in effect; bz2960; ok dtucker@
    
    OpenBSD-Commit-ID: 8c87fa66d7fc6c0fffa3a3c28e8ab5e8dde234b8

commit 2ff2e19653b8c0798b8b8eff209651bdb1be2761
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Feb 8 14:53:35 2019 +1100

    don't set $MAIL if UsePam=yes
    
    PAM typically specifies the user environment if it's enabled, so don't
    second guess. bz#2937; ok dtucker@

commit 03e92dd27d491fe6d1a54e7b2f44ef1b0a916e52
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Feb 8 14:50:36 2019 +1100

    use same close logic for stderr as stdout
    
    Avoids sending SIGPIPE to child processes after their parent exits
    if they attempt to write to stderr.
    
    Analysis and patch from JD Paul; patch reworked by Jakub Jelen and
    myself. bz#2071; ok dtucker@

commit 8c53d409baeeaf652c0c125a9b164edc9dbeb6de
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Feb 5 11:35:56 2019 +0000

    upstream: Adapt code in the non-USE_PIPES codepath to the new packet
    
    API. This code is not normally reachable since USE_PIPES is always defined.
    bz#2961, patch from adrian.fita at gmail com.
    
    OpenBSD-Commit-ID: 8d8428d678d1d5eb4bb21921df34e8173e6d238a

commit 7a7fdca78de4b4774950be056099e579ef595414
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 4 23:37:54 2019 +0000

    upstream: fix NULL-deref crash in PKCS#11 code when attempting
    
    login to a token requiring a PIN; reported by benno@ fix mostly by markus@
    
    OpenBSD-Commit-ID: 438d0b114b1b4ba25a9869733db1921209aa9a31

commit cac302a4b42a988e54d32eb254b29b79b648dbf5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 4 02:39:42 2019 +0000

    upstream: Remove obsolete "Protocol" from commented out examples. Patch
    
    from samy.mahmoudi at gmail com.
    
    OpenBSD-Commit-ID: 16aede33dae299725a03abdac5dcb4d73f5d0cbf

commit 483b3b638500fd498b4b529356e5a0e18cf76891
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 1 03:52:23 2019 +0000

    upstream: Save connection timeout and restore for 2nd and
    
    subsequent attempts, preventing them from having no timeout.  bz#2918, ok
    djm@
    
    OpenBSD-Commit-ID: 4977f1d0521d9b6bba0c9a20d3d226cefac48292

commit 5f004620fdc1b2108139300ee12f4014530fb559
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jan 30 19:51:15 2019 +0000

    upstream: Add authors for public domain sntrup4591761 code;
    
    confirmed by Daniel J. Bernstein
    
    OpenBSD-Commit-ID: b4621f22b8b8ef13e063c852af5e54dbbfa413c1

commit 2c21b75a7be6ebdcbceaebb43157c48dbb36f3d8
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sun Jan 27 07:14:11 2019 +0000

    upstream: add -T to usage();
    
    OpenBSD-Commit-ID: a7ae14d9436c64e1bd05022329187ea3a0ce1899

commit 19a0f0529d3df04118da829528cac7ceff380b24
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jan 28 03:50:39 2019 +0000

    upstream: The test sshd_config in in $OBJ.
    
    OpenBSD-Regress-ID: 1e5d908a286d8e7de3a15a0020c8857f3a7c9172

commit 8fe25440206319d15b52d12b948a5dfdec14dca3
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jan 28 03:28:10 2019 +0000

    upstream: Remove leftover debugging.
    
    OpenBSD-Regress-ID: 3d86c3d4867e46b35af3fd2ac8c96df0ffdcfeb9

commit e30d32364d12c351eec9e14be6c61116f9d6cc90
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jan 28 00:12:36 2019 +0000

    upstream: Enable ssh-dss for the agent test. Disable it for the
    
    certificate test.
    
    OpenBSD-Regress-ID: 388c1e03e1def539d350f139b37d69f12334668d

commit ffdde469ed56249f5dc8af98da468dde35531398
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jan 28 00:08:26 2019 +0000

    upstream: Count the number of key types instead of assuming there
    
    are only two.
    
    OpenBSD-Regress-ID: 0998702c41235782cf0beee396ec49b5056eaed9

commit 1d05b4adcba08ab068466e5c08dee2f5417ec53a
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Sat Jan 26 23:42:40 2019 +0100

    Cygwin: only tweak sshd_config file if it's new, drop creating sshd user
    
    The sshd_config tweaks were executed even if the old file was
    still in place.  Fix that.  Also disable sshd user creation.
    It's not used on Cygwin.

commit 89843de0c4c733501f6b4f988098e6e06963df37
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Sat Jan 26 23:03:12 2019 +0100

    Cygwin: Change service name to cygsshd
    
    Microsoft hijacked the sshd service name without asking.

commit 2a9b3a2ce411d16cda9c79ab713c55f65b0ec257
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Jan 27 06:30:53 2019 +0000

    upstream: Generate all key supported key types and enable for keyscan
    
    test.
    
    OpenBSD-Regress-ID: 72f72ff49946c61bc949e1692dd9e3d71370891b

commit 391ffc4b9d31fa1f4ad566499fef9176ff8a07dc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 26 22:41:28 2019 +0000

    upstream: check in scp client that filenames sent during
    
    remote->local directory copies satisfy the wildcard specified by the user.
    
    This checking provides some protection against a malicious server
    sending unexpected filenames, but it comes at a risk of rejecting wanted
    files due to differences between client and server wildcard expansion rules.
    
    For this reason, this also adds a new -T flag to disable the check.
    
    reported by Harry Sintonen
    fix approach suggested by markus@;
    has been in snaps for ~1wk courtesy deraadt@
    
    OpenBSD-Commit-ID: 00f44b50d2be8e321973f3c6d014260f8f7a8eda

commit c2c18a39683db382a15b438632afab3f551d50ce
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 26 22:35:01 2019 +0000

    upstream: make ssh-keyscan return a non-zero exit status if it
    
    finds no keys. bz#2903
    
    OpenBSD-Commit-ID: 89f1081fb81d950ebb48e6e73d21807b2723d488

commit 05b9a466700b44d49492edc2aa415fc2e8913dfe
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 24 17:00:29 2019 +0000

    upstream: Accept the host key fingerprint as a synonym for "yes"
    
    when accepting an unknown host key.  This allows you to paste a fingerprint
    obtained out of band into the yes/no prompt and have the client do the
    comparison for you.  ok markus@ djm@
    
    OpenBSD-Commit-ID: 3c47d10b9f43d3d345e044fd9ec09709583a2767

commit bdc6c63c80b55bcbaa66b5fde31c1cb1d09a41eb
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 24 16:52:17 2019 +0000

    upstream: Have progressmeter force an update at the beginning and
    
    end of each transfer.  Fixes the problem recently introduces where very quick
    transfers do not display the progressmeter at all.  Spotted by naddy@
    
    OpenBSD-Commit-ID: 68dc46c259e8fdd4f5db3ec2a130f8e4590a7a9a

commit 258e6ca003e47f944688ad8b8de087b58a7d966c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 24 02:42:23 2019 +0000

    upstream: Check for both EAGAIN and EWOULDBLOCK. This is a no-op
    
    in OpenBSD (they are the same value) but makes things easier in -portable
    where they may be distinct values.  "sigh ok" deraadt@
    
    (ID sync only, portable already had this change).
    
    OpenBSD-Commit-ID: 91f2bc7c0ecec905915ed59fa37feb9cc90e17d7

commit 281ce042579b834cdc1e74314f1fb2eeb75d2612
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 24 02:34:52 2019 +0000

    upstream: Always initialize 2nd arg to hpdelim2. It populates that
    
    *ONLY IF* there's a delimiter.  If there's not (the common case) it checked
    uninitialized memory, which usually passed, but if not would cause spurious
    failures when the uninitialized memory happens to contain "/".  ok deraadt.
    
    OpenBSD-Commit-ID: 4291611eaf2a53d4c92f4a57c7f267c9f944e0d3

commit d05ea255678d9402beda4416cd0360f3e5dfe938
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jan 23 21:50:56 2019 +0000

    upstream: Remove support for obsolete host/port syntax.
    
    host/port was added in 2001 as an alternative to host:port syntax for
    the benefit of IPv6 users.  These days there are establised standards
    for this like [::1]:22 and the slash syntax is easily mistaken for CIDR
    notation, which OpenSSH now supports for some things.  Remove the slash
    notation from ListenAddress and PermitOpen.  bz#2335, patch from jjelen
    at redhat.com, ok markus@
    
    OpenBSD-Commit-ID: fae5f4e23c51a368d6b2d98376069ac2b10ad4b7

commit 177d6c80c557a5e060cd343a0c116a2f1a7f43db
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jan 23 20:48:52 2019 +0000

    upstream: Remove duplicate word. bz#2958, patch from jjelen at
    
    redhat.com
    
    OpenBSD-Commit-ID: cca3965a8333f2b6aae48b79ec1d72f7a830dd2c

commit be3e6cba95dffe5fcf190c713525b48c837e7875
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jan 23 09:49:00 2019 +0000

    upstream: Remove 3 as a guess for possible generator during moduli
    
    generation. It's not mentioned in RFC4419 and it's not possible for
    Sophie-Germain primes greater than 5.  bz#2330, from Christian Wittenhorst ,
    ok djm@ tb@
    
    OpenBSD-Commit-ID: 1467652e6802ad3333b0959282d8d49dfe22c8cd

commit 8976f1c4b2721c26e878151f52bdf346dfe2d54c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jan 23 08:01:46 2019 +0000

    upstream: Sanitize scp filenames via snmprintf. To do this we move
    
    the progressmeter formatting outside of signal handler context and have the
    atomicio callback called for EINTR too.  bz#2434 with contributions from djm
    and jjelen at redhat.com, ok djm@
    
    OpenBSD-Commit-ID: 1af61c1f70e4f3bd8ab140b9f1fa699481db57d8

commit 6249451f381755f792c6b9e2c2f80cdc699c14e2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 24 10:00:20 2019 +1100

    For broken read/readv comparisons, poll(RW).
    
    In the cases where we can't compare to read or readv function pointers
    for some reason we currently ifdef out the poll() used to block while
    waiting for reads or writes, falling back to busy waiting.  This restores
    the poll() in this case, but has it always check for read or write,
    removing an inline ifdef in the process.

commit 5cb503dff4db251520e8bf7d23b9c97c06eee031
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 24 09:55:16 2019 +1100

    Include unistd.h for strmode().

commit f236ca2741f29b5c443c0b2db3aa9afb9ad9befe
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 24 09:50:58 2019 +1100

    Also undef SIMPLEQ_FOREACH_SAFE.
    
    Prevents macro redefinition warning on at least NetBSD 6.1.

commit be063945e4e7d46b1734d973bf244c350fae172a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 23 04:51:02 2019 +0000

    upstream: allow auto-incrementing certificate serial number for certs
    
    signed in a single commandline.
    
    OpenBSD-Commit-ID: 39881087641efb8cd83c7ec13b9c98280633f45b

commit 851f80328931975fe68f71af363c4537cb896da2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 23 04:16:22 2019 +0000

    upstream: move a bunch of global flag variables to main(); make the
    
    rest static
    
    OpenBSD-Commit-ID: fa431d92584e81fe99f95882f4c56b43fe3242dc

commit 2265402dc7d701a9aca9f8a7b7b0fd45b65c479f
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jan 23 13:03:16 2019 +1100

    depend

commit 2c223878e53cc46def760add459f5f7c4fb43e35
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 23 02:01:10 2019 +0000

    upstream: switch mainloop from select(2) to poll(2); ok deraadt@
    
    OpenBSD-Commit-ID: 37645419a330037d297f6f0adc3b3663e7ae7b2e

commit bb956eaa94757ad058ff43631c3a7d6c94d38c2f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 23 00:30:41 2019 +0000

    upstream: pass most arguments to the KEX hash functions as sshbuf
    
    rather than pointer+length; ok markus@
    
    OpenBSD-Commit-ID: ef0c89c52ccc89817a13a5205725148a28492bf7

commit d691588b8e29622c66abf8932362b522cf7f4051
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 22:58:50 2019 +0000

    upstream: backoff reading messages from active connections when the
    
    input buffer is too full to read one, or if the output buffer is too full to
    enqueue a response; feedback & ok dtucker@
    
    OpenBSD-Commit-ID: df3c5b6d57c968975875de40d8955cbfed05a6c8

commit f99ef8de967949a1fc25a5c28263ea32736e5943
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 20:48:01 2019 +0000

    upstream: add -m to usage(); reminded by jmc@
    
    OpenBSD-Commit-ID: bca476a5236e8f94210290b3e6a507af0434613e

commit 41923ce06ac149453debe472238e0cca7d5a2e5f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 12:03:58 2019 +0000

    upstream: Correct some bugs in PKCS#11 token PIN handling at
    
    initial login, the attempt at reading the PIN could be skipped in some cases
    especially on devices with integrated PIN readers.
    
    based on patch from Daniel Kucera in bz#2652; ok markus@
    
    OpenBSD-Commit-ID: fad70a61c60610afe8bb0db538c90e343e75e58e

commit 2162171ad517501ba511fa9f8191945d01857bb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 12:00:50 2019 +0000

    upstream: Support keys that set the CKA_ALWAYS_AUTHENTICATE by
    
    requring a fresh login after the C_SignInit operation.
    
    based on patch from Jakub Jelen in bz#2638; ok markus
    
    OpenBSD-Commit-ID: a76e66996ba7c0923b46b74d46d499b811786661

commit 7a2cb18a215b2cb335da3dc99489c52a91f4925b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 11:51:25 2019 +0000

    upstream: Mention that configuration for the destination host is
    
    not applied to any ProxyJump/-J hosts. This has confused a few people...
    
    OpenBSD-Commit-ID: 03f4f641df6ca236c1bfc69836a256b873db868b

commit ecd2f33cb772db4fa76776543599f1c1ab6f9fa0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 11:40:42 2019 +0000

    upstream: Include -m in the synopsis for a few more commands that
    
    support it
    
    Be more explicit in the description of -m about where it may be used
    
    Prompted by Jakub Jelen in bz2904
    
    OpenBSD-Commit-ID: 3b398ac5e05d8a6356710d0ff114536c9d71046c

commit ff5d2cf4ca373bb4002eef395ed2cbe2ff0826c1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 11:26:16 2019 +0000

    upstream: print the full pubkey being attempted at loglevel >=
    
    debug2; bz2939
    
    OpenBSD-Commit-ID: ac0fe5ca1429ebf4d460bad602adc96de0d7e290

commit 180b520e2bab33b566b4b0cbac7d5f9940935011
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 11:19:42 2019 +0000

    upstream: clarify: ssh-keygen -e only writes public keys, never
    
    private
    
    OpenBSD-Commit-ID: 7de7ff6d274d82febf9feb641e2415ffd6a30bfb

commit c45616a199c322ca674315de88e788f1d2596e26
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 22 11:00:15 2019 +0000

    upstream: mention the new vs. old key formats in the introduction
    
    and give some hints on how keys may be converted or written in the old
    format.
    
    OpenBSD-Commit-ID: 9c90a9f92eddc249e07fad1204d0e15c8aa13823

commit fd8eb1383a34c986a00ef13d745ae9bd3ea21760
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue Jan 22 06:58:31 2019 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: d2a80e389da8e7ed71978643d8cbaa8605b597a8

commit 68e924d5473c00057f8532af57741d258c478223
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Jan 21 23:55:12 2019 +0000

    upstream: Forgot to add -J to the synopsis.
    
    OpenBSD-Commit-ID: 26d95e409a0b72526526fc56ca1caca5cc3d3c5e

commit 622dedf1a884f2927a9121e672bd9955e12ba108
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Jan 21 22:50:42 2019 +0000

    upstream: Add a -J option as a shortcut for -o Proxyjump= to scp(1)
    
    and sftp(1) to match ssh(1)'s interface.
    
    ok djm
    
    OpenBSD-Commit-ID: a75bc2d5f329caa7229a7e9fe346c4f41c2663fc

commit c882d74652800150d538e22c80dd2bd3cdd5fae2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Jan 22 20:38:40 2019 +1100

    Allow building against OpenSSL dev (3.x) version.

commit d5520393572eb24aa0e001a1c61f49b104396e45
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 22 10:50:40 2019 +1100

    typo

commit 2de9cec54230998ab10161576f77860a2559ccb7
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 22 10:49:52 2019 +1100

    add missing header

commit 533cfb01e49a2a30354e191669dc3159e03e99a7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 22:18:24 2019 +0000

    upstream: switch sntrup implementation source from supercop to
    
    libpqcrypto; the latter is almost identical but doesn't rely on signed
    underflow to implement an optimised integer sort; from markus@
    
    OpenBSD-Commit-ID: cd09bbf0e0fcef1bedca69fdf7990dc360567cf8

commit d50ab3cd6fb859888a26b4d4e333239b4f6bf573
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 22 00:02:23 2019 +1100

    new files need includes.h

commit c7670b091a7174760d619ef6738b4f26b2093301
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 12:53:35 2019 +0000

    upstream: add "-v" flags to ssh-add and ssh-pkcs11-helper to turn up
    
    debug verbosity.
    
    Make ssh-agent turn on ssh-pkcs11-helper's verbosity when it is run
    in debug mode ("ssh-agent -d"), so we get to see errors from the
    PKCS#11 code.
    
    ok markus@
    
    OpenBSD-Commit-ID: 0a798643c6a92a508df6bd121253ba1c8bee659d

commit 49d8c8e214d39acf752903566b105d06c565442a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 12:50:12 2019 +0000

    upstream: adapt to changes in KEX APIs and file removals
    
    OpenBSD-Regress-ID: 54d6857e7c58999c7a6d40942ab0fed3529f43ca

commit 35ecc53a83f8e8baab2e37549addfd05c73c30f1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 12:35:20 2019 +0000

    upstream: adapt to changes in KEX API and file removals
    
    OpenBSD-Regress-ID: 92cad022d3b0d11e08f3e0055d6a14b8f994c0d7

commit 7d69aae64c35868cc4f644583ab973113a79480e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 12:29:35 2019 +0000

    upstream: adapt to bignum1 API removal and bignum2 API change
    
    OpenBSD-Regress-ID: cea6ff270f3d560de86b355a87a2c95b55a5ca63

commit beab553f0a9578ef9bffe28b2c779725e77b39ec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 09:13:41 2019 +0000

    upstream: remove hack to use non-system libcrypto
    
    OpenBSD-Regress-ID: ce72487327eee4dfae1ab0212a1f33871fe0809f

commit 4dc06bd57996f1a46b4c3bababe0d09bc89098f7
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 23:14:04 2019 +1100

    depend

commit 70edd73edc4df54e5eee50cd27c25427b34612f8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 12:08:13 2019 +0000

    upstream: fix reversed arguments to kex_load_hostkey(); manifested as
    
    errors in cert-hostkey.sh regress failures.
    
    OpenBSD-Commit-ID: 12dab63850b844f84d5a67e86d9e21a42fba93ba

commit f1185abbf0c9108e639297addc77f8757ee00eb3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 11:22:00 2019 +0000

    upstream: forgot to cvs add this file in previous series of commits;
    
    grrr
    
    OpenBSD-Commit-ID: bcff316c3e7da8fd15333e05d244442c3aaa66b0

commit 7bef390b625bdc080f0fd4499ef03cef60fca4fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:44:21 2019 +0000

    upstream: nothing shall escape this purge
    
    OpenBSD-Commit-ID: 4795b0ff142b45448f7e15f3c2f77a947191b217

commit aaca72d6f1279b842066e07bff797019efeb2c23
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:40:11 2019 +0000

    upstream: rename kex->kem_client_pub -> kex->client_pub now that
    
    KEM has been renamed to kexgen
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: fac6da5dc63530ad0da537db022a9a4cfbe8bed8

commit 70867e1ca2eb08bbd494fe9c568df4fd3b35b867
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:38:54 2019 +0000

    upstream: merge kexkem[cs] into kexgen
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 87d886b7f1812ff9355fda1435f6ea9b71a0ac89

commit 71e67fff946396caa110a7964da23480757258ff
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:35:09 2019 +0000

    upstream: pass values used in KEX hash computation as sshbuf
    
    rather than pointer+len
    
    suggested by me; implemented by markus@ ok me
    
    OpenBSD-Commit-ID: 994f33c464f4a9e0f1d21909fa3e379f5a0910f0

commit 4b83e2a2cc0c12e671a77eaba1c1245894f4e884
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:33:49 2019 +0000

    upstream: remove kex_derive_keys_bn wrapper; no unused since the
    
    DH-like KEX methods have moved to KEM
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: bde9809103832f349545e4f5bb733d316db9a060

commit 92dda34e373832f34a1944e5d9ebbebb184dedc1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:29:56 2019 +0000

    upstream: use KEM API for vanilla ECDH
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 6fbff96339a929835536b5730585d1d6057a352c

commit b72357217cbe510a3ae155307a7be6b9181f1d1b
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 23:11:21 2019 +1100

    fixup missing ssherr.h

commit 9c9c97e14fe190931f341876ad98213e1e1dc19f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:28:01 2019 +0000

    upstream: use KEM API for vanilla DH KEX
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: af56466426b08a8be275412ae2743319e3d277c9

commit 2f6a9ddbbf6ca8623c53c323ff17fb6d68d66970
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:24:09 2019 +0000

    upstream: use KEM API for vanilla c25519 KEX
    
    OpenBSD-Commit-ID: 38d937b85ff770886379dd66a8f32ab0c1c35c1f

commit dfd591618cdf2c96727ac0eb65f89cf54af0d97e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:20:12 2019 +0000

    upstream: Add support for a PQC KEX/KEM:
    
    sntrup4591761x25519-sha512@tinyssh.org using the Streamlined NTRU Prime
    4591^761 implementation from SUPERCOP coupled with X25519 as a stop-loss. Not
    enabled by default.
    
    introduce KEM API; a simplified framework for DH-ish KEX methods.
    
    from markus@ feedback & ok djm@
    
    OpenBSD-Commit-ID: d687f76cffd3561dd73eb302d17a1c3bf321d1a7

commit b1b2ff4ed559051d1035419f8f236275fa66d5d6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:07:22 2019 +0000

    upstream: factor out kex_verify_hostkey() - again, duplicated
    
    almost exactly across client and server for several KEX methods.
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 4e4a16d949dadde002a0aacf6d280a684e20829c

commit bb39bafb6dc520cc097780f4611a52da7f19c3e2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:05:09 2019 +0000

    upstream: factor out kex_load_hostkey() - this is duplicated in
    
    both the client and server implementations for most KEX methods.
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 8232fa7c21fbfbcaf838313b0c166dc6c8762f3c

commit dec5e9d33891e3bc3f1395d7db0e56fdc7f86dfc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:03:37 2019 +0000

    upstream: factor out kex_dh_compute_key() - it's shared between
    
    plain DH KEX and DH GEX in both the client and server implementations
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 12186e18791fffcd4642c82e7e0cfdd7ea37e2ec

commit e93bd98eab79b9a78f64ee8dd4dffc4d3979c7ae
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 10:00:23 2019 +0000

    upstream: factor out DH keygen; it's identical between the client
    
    and the server
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 2be57f6a0d44f1ab2c8de2b1b5d6f530c387fae9

commit 5ae3f6d314465026d028af82609c1d49ad197655
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 09:55:52 2019 +0000

    upstream: save the derived session id in kex_derive_keys() rather
    
    than making each kex method implementation do it.
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: d61ade9c8d1e13f665f8663c552abff8c8a30673

commit 7be8572b32a15d5c3dba897f252e2e04e991c307
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 09:54:11 2019 +0000

    upstream: Make sshpkt_get_bignum2() allocate the bignum it is
    
    parsing rather than make the caller do it. Saves a lot of boilerplate code.
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 576bf784f9a240f5a1401f7005364e59aed3bce9

commit 803178bd5da7e72be94ba5b4c4c196d4b542da4d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 09:52:25 2019 +0000

    upstream: remove obsolete (SSH v.1) sshbuf_get/put_bignum1
    
    functions
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 0380b1b2d9de063de3c5a097481a622e6a04943e

commit f3ebaffd8714be31d4345f90af64992de4b3bba2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 09:49:37 2019 +0000

    upstream: fix all-zero check in kexc25519_shared_key
    
    from markus@ ok djm@
    
    OpenBSD-Commit-ID: 60b1d364e0d9d34d1d1ef1620cb92e36cf06712d

commit 9d1a9771d0ad3a83af733bf3d2650b53f43c269f
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Jan 21 07:09:10 2019 +0000

    upstream: - -T was added to the first synopsis by mistake - since
    
    "..." denotes optional, no need to surround it in []
    
    ok djm
    
    OpenBSD-Commit-ID: 918f6d8eed4e0d8d9ef5eadae1b8983d796f0e25

commit 2f0bad2bf85391dbb41315ab55032ec522660617
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Jan 21 21:28:27 2019 +1100

    Make --with-rpath take a flag instead of yes/no.
    
    Linkers need various flags for -rpath and similar, so make --with-rpath
    take an optional flag argument which is passed to the linker.  ok djm@

commit 23490a6c970ea1d03581a3b4208f2eb7a675f453
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 15:05:43 2019 +1100

    fix previous test

commit b6dd3277f2c49f9584a2097bc792e8f480397e87
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Jan 21 13:50:17 2019 +1100

    Wrap ECC static globals in EC_KEY_METHOD_NEW too.

commit b2eb9db35b7191613f2f4b934d57b25938bb34b3
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 12:53:40 2019 +1100

    pass TEST_SSH_SSHPKCS11HELPER to regress tests

commit ba58a529f45b3dae2db68607d8c54ae96e90e705
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 12:31:29 2019 +1100

    make agent-pkcs11 search harder for softhsm2.so

commit 662be40c62339ab645113c930ce689466f028938
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 02:05:38 2019 +0000

    upstream: always print the caller's error message in ossl_error(),
    
    even when there are no libcrypto errors to report.
    
    OpenBSD-Commit-ID: 09ebaa8f706e0eccedd209775baa1eee2ada806a

commit ce46c3a077dfb4c531ccffcfff03f37775725b75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 02:01:03 2019 +0000

    upstream: get the ex_data (pkcs11_key object) back from the keys at
    
    the index at which it was inserted, rather than assuming index 0
    
    OpenBSD-Commit-ID: 1f3a6ce0346c8014e895e50423bef16401510aa8

commit 0a5f2ea35626022299ece3c8817a1abe8cf37b3e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 01:05:00 2019 +0000

    upstream: GSSAPI code got missed when converting to new packet API
    
    OpenBSD-Commit-ID: 37e4f06ab4a0f4214430ff462ba91acba28b7851

commit 2efcf812b4c1555ca3aff744820a3b3bccd68298
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 11:57:21 2019 +1100

    Fix -Wunused when compiling PKCS#11 without ECDSA

commit 3c0c657ed7cd335fc05c0852d88232ca7e92a5d9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:26:44 2019 +0000

    upstream: allow override of ssh-pkcs11-helper binary via
    
    $TEST_SSH_SSHPKCS11HELPER from markus@
    
    OpenBSD-Regress-ID: 7382a3d76746f5a792d106912a5819fd5e49e469

commit 760ae37b4505453c6fa4faf1aa39a8671ab053af
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:25:25 2019 +0000

    upstream: adapt agent-pkcs11.sh test to softhsm2 and add support
    
    for ECDSA keys
    
    work by markus@, ok djm@
    
    OpenBSD-Regress-ID: 1ebc2be0e88eff1b6d8be2f9c00cdc60723509fe

commit b2ce8b31a1f974a13e6d12e0a0c132b50bc45115
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:24:19 2019 +0000

    upstream: add "extra:" target to run some extra tests that are not
    
    enabled by default (currently includes agent-pkcs11.sh); from markus@
    
    OpenBSD-Regress-ID: 9a969e1adcd117fea174d368dcb9c61eb50a2a3c

commit 632976418d60b7193597bbc6ac7ca33981a41aab
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jan 21 00:47:34 2019 +0000

    upstream: use ECDSA_SIG_set0() instead of poking signature values into
    
    structure directly; the latter works on LibreSSL but not on OpenSSL. From
    portable.
    
    OpenBSD-Commit-ID: 5b22a1919d9cee907d3f8a029167f70a481891c6

commit 5de6ac2bad11175135d9b819b3546db0ca0b4878
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 11:44:19 2019 +1100

    remove HAVE_DLOPEN that snuck in
    
    portable doesn't use this

commit e2cb445d786f7572da2af93e3433308eaed1093a
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Jan 21 11:32:28 2019 +1100

    conditionalise ECDSA PKCS#11 support
    
    Require EC_KEY_METHOD support in libcrypto, evidenced by presence
    of EC_KEY_METHOD_new() function.

commit fcb1b0937182d0137a3c357c89735d0dc5869d54
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:12:35 2019 +0000

    upstream: we use singleton pkcs#11 RSA_METHOD and EC_KEY_METHOD
    
    now, so there is no need to keep a copy of each in the pkcs11_key object.
    
    work by markus@, ok djm@
    
    OpenBSD-Commit-ID: 43b4856516e45c0595f17a8e95b2daee05f12faa

commit 6529409e85890cd6df7e5e81d04e393b1d2e4b0b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:11:11 2019 +0000

    upstream: KNF previous; from markus@
    
    OpenBSD-Commit-ID: 3dfe35e25b310c3968b1e4e53a0cb1d03bda5395

commit 58622a8c82f4e2aad630580543f51ba537c1f39e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:10:33 2019 +0000

    upstream: use OpenSSL's RSA reference counting hooks to
    
    implicitly clean up pkcs11_key objects when their owning RSA object's
    reference count drops to zero. Simplifies the cleanup path and makes it more
    like ECDSA's
    
    work by markus@, ok djm@
    
    OpenBSD-Commit-ID: 74b9c98f405cd78f7148e9e4a4982336cd3df25c

commit f118542fc82a3b3ab0360955b33bc5a271ea709f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:08:24 2019 +0000

    upstream: make the PKCS#11 RSA code more like the new PKCS#11
    
    ECDSA code: use a single custom RSA_METHOD instead of a method per key
    
    suggested by me, but markus@ did all the work.
    ok djm@
    
    OpenBSD-Commit-ID: 8aafcebe923dc742fc5537a995cee549d07e4b2e

commit 445cfce49dfc904c6b8ab25afa2f43130296c1a5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:05:52 2019 +0000

    upstream: fix leak of ECDSA pkcs11_key objects
    
    work by markus, ok djm@
    
    OpenBSD-Commit-ID: 9fc0c4f1d640aaa5f19b8d70f37ea19b8ad284a1

commit 8a2467583f0b5760787273796ec929190c3f16ee
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:03:26 2019 +0000

    upstream: use EVP_PKEY_get0_EC_KEY() instead of direct access of
    
    EC_KEY internals as that won't work on OpenSSL
    
    work by markus@, feedback and ok djm@
    
    OpenBSD-Commit-ID: 4a99cdb89fbd6f5155ef8c521c99dc66e2612700

commit 24757c1ae309324e98d50e5935478655be04e549
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:01:59 2019 +0000

    upstream: cleanup PKCS#11 ECDSA pubkey loading: the returned
    
    object should never have a DER header
    
    work by markus; feedback and ok djm@
    
    OpenBSD-Commit-ID: b617fa585eddbbf0b1245b58b7a3c4b8d613db17

commit 749aef30321595435ddacef2f31d7a8f2b289309
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 23:00:12 2019 +0000

    upstream: cleanup unnecessary code in ECDSA pkcs#11 signature
    
    work by markus@, feedback and ok djm@
    
    OpenBSD-Commit-ID: affa5ca7d58d59fbd16169f77771dcdbd2b0306d

commit 0c50992af49b562970dd0ba3f8f151f1119e260e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 22:57:45 2019 +0000

    upstream: cleanup pkcs#11 client code: use sshkey_new in instead
    
    of stack- allocating a sshkey
    
    work by markus@, ok djm@
    
    OpenBSD-Commit-ID: a048eb6ec8aa7fa97330af927022c0da77521f91

commit 854bd8674ee5074a239f7cadf757d55454802e41
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 22:54:30 2019 +0000

    upstream: allow override of the pkcs#11 helper binary via
    
    $SSH_PKCS11_HELPER; needed for regress tests.
    
    work by markus@, ok me
    
    OpenBSD-Commit-ID: f78d8185500bd7c37aeaf7bd27336db62f0f7a83

commit 93f02107f44d63a016d8c23ebd2ca9205c495c48
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 22:51:37 2019 +0000

    upstream: add support for ECDSA keys in PKCS#11 tokens
    
    Work by markus@ and Pedro Martelletto, feedback and ok me@
    
    OpenBSD-Commit-ID: a37d651e221341376636056512bddfc16efb4424

commit aa22c20e0c36c2fc610cfcc793b0d14079c38814
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 20 22:03:29 2019 +0000

    upstream: add option to test whether keys in an agent are usable,
    
    by performing a signature and a verification using each key "ssh-add -T
    pubkey [...]"
    
    work by markus@, ok djm@
    
    OpenBSD-Commit-ID: 931b888a600b6a883f65375bd5f73a4776c6d19b

commit a36b0b14a12971086034d53c0c3dfbad07665abe
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Sun Jan 20 02:01:59 2019 +0000

    upstream: Fix BN_is_prime_* calls in SSH, the API returns -1 on
    
    error.
    
    Found thanks to BoringSSL's commit 53409ee3d7595ed37da472bc73b010cd2c8a5ffd
    by David Benjamin.
    
    ok djm, dtucker
    
    OpenBSD-Commit-ID: 1ee832be3c44b1337f76b8562ec6d203f3b072f8

commit ec4776bb01dd8d61fddc7d2a31ab10bf3d3d829a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Jan 20 01:12:40 2019 +0000

    upstream: DH-GEX min value is now specified in RFC8270. ok djm@
    
    OpenBSD-Commit-ID: 1229d0feb1d0ecefe05bf67a17578b263e991acc

commit c90a7928c4191303e76a8c58b9008d464287ae1b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Jan 21 09:22:36 2019 +1100

    Check for cc before gcc.
    
    If cc is something other than gcc and is the system compiler prefer using
    that, unless otherwise told via $CC.  ok djm@

commit 9b655dc9c9a353f0a527f0c6c43a5e35653c9503
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 20 14:55:27 2019 +1100

    last bits of old packet API / active_state global

commit 3f0786bbe73609ac96e5a0d91425ee21129f8e04
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 20 10:22:18 2019 +1100

    remove PAM dependencies on old packet API
    
    Requires some caching of values, because the PAM code isn't
    always called with packet context.

commit 08f66d9f17e12c1140d1f1cf5c4dce67e915d3cc
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 20 09:58:45 2019 +1100

    remove vestiges of old packet API from loginrec.c

commit c327813ea1d740e3e367109c17873815aba1328e
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 20 09:45:38 2019 +1100

    depend

commit 135e302cfdbe91817294317c337cc38c3ff01cba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 22:30:52 2019 +0000

    upstream: fix error in refactor: use ssh_packet_disconnect() instead of
    
    sshpkt_error(). The first one logs the error and exits (what we want) instead
    of just logging and blundering on.
    
    OpenBSD-Commit-ID: 39f51b43641dce9ce0f408ea6c0e6e077e2e91ae

commit 245c6a0b220b58686ee35bc5fc1c359e9be2faaa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:45:31 2019 +0000

    upstream: remove last traces of old packet API!
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 9bd10437026423eb8245636ad34797a20fbafd7d

commit 04c091fc199f17dacf8921df0a06634b454e2722
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:43:56 2019 +0000

    upstream: remove last references to active_state
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 78619a50ea7e4ca2f3b54d4658b3227277490ba2

commit ec00f918b8ad90295044266c433340a8adc93452
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:43:07 2019 +0000

    upstream: convert monitor.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 61ecd154bd9804461a0cf5f495a29d919e0014d5

commit 6350e0316981489d4205952d6904d6fedba5bfe0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:42:30 2019 +0000

    upstream: convert sshd.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: ea569d3eaf9b5cf1bad52779fbfa5fa0b28af891

commit a5e2ad88acff2b7d131ee6d5dc5d339b0f8c6a6d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:41:53 2019 +0000

    upstream: convert session.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: fae817207e23099ddd248960c984f7b7f26ea68e

commit 3a00a921590d4c4b7e96df11bb10e6f9253ad45e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:41:18 2019 +0000

    upstream: convert auth.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 7e10359f614ff522b52a3f05eec576257794e8e4

commit 7ec5cb4d15ed2f2c5c9f5d00e6b361d136fc1e2d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:40:48 2019 +0000

    upstream: convert serverloop.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: c92dd19b55457541478f95c0d6b318426d86d885

commit 64c9598ac05332d1327cbf55334dee4172d216c4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:40:21 2019 +0000

    upstream: convert the remainder of sshconnect2.c to new packet
    
    API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 0986d324f2ceb5e8a12ac21c1bb10b3b4b1e0f71

commit bc5e1169d101d16e3a5962a928db2bc49a8ef5a3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:39:12 2019 +0000

    upstream: convert the remainder of clientloop.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: ce2fbbacb86a290f31da1e7bf04cddf2bdae3d1e

commit 5ebce136a6105f084db8f0d7ee41981d42daec40
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 20 09:44:53 2019 +1100

    upstream: convert auth2.c to new packet API
    
    OpenBSD-Commit-ID: ed831bb95ad228c6791bc18b60ce7a2edef2c999

commit 172a592a53ebe8649c4ac0d7946e6c08eb151af6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:37:48 2019 +0000

    upstream: convert servconf.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 126553aecca302c9e02fd77e333b9cb217e623b4

commit 8cc7a679d29cf6ecccfa08191e688c7f81ef95c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:37:13 2019 +0000

    upstream: convert channels.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 0b8279b56113cbd4011fc91315c0796b63dc862c

commit 06232038c794c7dfcb087be0ab0b3e65b09fd396
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:36:38 2019 +0000

    upstream: convert sshconnect.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 222337cf6c96c347f1022d976fac74b4257c061f

commit 25b2ed667216314471bb66752442c55b95792dc3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:36:06 2019 +0000

    upstream: convert ssh.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: eb146878b24e85c2a09ee171afa6797c166a2e21

commit e3128b38623eef2fa8d6e7ae934d3bd08c7e973e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:35:25 2019 +0000

    upstream: convert mux.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 4e3893937bae66416e984b282d8f0f800aafd802

commit ed1df7226caf3a943a36d580d4d4e9275f8a61ee
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:34:45 2019 +0000

    upstream: convert sshconnect2.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 1cb869e0d6e03539f943235641ea070cae2ebc58

commit 23f22a4aaa923c61ec49a99ebaa383656e87fa40
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:33:57 2019 +0000

    upstream: convert clientloop.c to new packet API
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 497b36500191f452a22abf283aa8d4a9abaee7fa

commit ad60b1179c9682ca5aef0b346f99ef68cbbbc4e5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:33:13 2019 +0000

    upstream: allow sshpkt_fatal() to take a varargs format; we'll
    
    use this to give packet-related fatal error messages more context (esp. the
    remote endpoint) ok markus@
    
    OpenBSD-Commit-ID: de57211f9543426b515a8a10a4f481666b2b2a50

commit 0fa174ebe129f3d0aeaf4e2d1dd8de745870d0ff
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 19 21:31:32 2019 +0000

    upstream: begin landing remaining refactoring of packet parsing
    
    API, started almost exactly six years ago.
    
    This change stops including the old packet_* API by default and makes
    each file that requires the old API include it explicitly. We will
    commit file-by-file refactoring to remove the old API in consistent
    steps.
    
    with & ok markus@
    
    OpenBSD-Commit-ID: 93c98a6b38f6911fd1ae025a1ec57807fb4d4ef4

commit 4ae7f80dfd02f2bde912a67c9f338f61e90fa79f
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Sat Jan 19 04:15:56 2019 +0000

    upstream: Print an \r in front of the password prompt so parts of
    
    a password that was entered too early are likely clobbered by the prompt.
    Idea from doas.
    
    from and ok djm
    "i like it" deraadt
    
    OpenBSD-Commit-ID: 5fb97c68df6d8b09ab37f77bca1d84d799c4084e

commit a6258e5dc314c7d504ac9f0fbc3be96475581dbe
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jan 18 11:09:01 2019 +1100

    Add minimal fchownat and fchmodat implementations.
    
    Fixes builds on at least OS X Lion, NetBSD 6 and Solaris 10.

commit 091093d25802b87d3b2b09f2c88d9f33e1ae5562
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jan 18 12:11:42 2019 +1300

    Add a minimal implementation of utimensat().
    
    Some systems (eg older OS X) do not have utimensat, so provide minimal
    implementation in compat layer.  Fixes build on at least El Capitan.

commit 609644027dde1f82213699cb6599e584c7efcb75
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 1 22:20:16 2019 +0000

    upstream: regress bits for banner processing refactor (this test was
    
    depending on ssh returning a particular error message for banner parsing
    failure)
    
    reminded by bluhm@
    
    OpenBSD-Regress-ID: f24fc303d40931157431df589b386abf5e1be575

commit f47d72ddad75b93d3cbc781718b0fa9046c03df8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 17 04:45:09 2019 +0000

    upstream: tun_fwd_ifnames variable should b
    
    =?UTF-8?q?e=20extern;=20from=20Hanno=20B=C3=B6ck?=
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    OpenBSD-Commit-ID: d53dede6e521161bf04d39d09947db6253a38271

commit 943d0965263cae1c080ce5a9d0b5aa341885e55d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 17 04:20:53 2019 +0000

    upstream: include time.h for time(3)/nanosleep(2); from Ian
    
    McKellar
    
    OpenBSD-Commit-ID: 6412ccd06a88f65b207a1089345f51fa1244ea51

commit dbb4dec6d5d671b5e9d67ef02162a610ad052068
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 17 01:50:24 2019 +0000

    upstream: many of the global variables in this file can be made static;
    
    patch from Markus Schmidt
    
    OpenBSD-Commit-ID: f3db619f67beb53257b21bac0e92b4fb7d5d5737

commit 60d8c84e0887514c99c9ce071965fafaa1c3d34a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 16 23:23:45 2019 +0000

    upstream: Add "-h" flag to sftp chown/chgrp/chmod commands to
    
    request they do not follow symlinks. Requires recently-committed
    lsetstat@openssh.com extension on the server side.
    
    ok markus@ dtucker@
    
    OpenBSD-Commit-ID: f93bb3f6f7eb2fb7ef1e59126e72714f1626d604

commit dbbc7e0eab7262f34b8e0cd6efecd1c77b905ed0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 16 23:22:10 2019 +0000

    upstream: add support for a "lsetstat@openssh.com" extension. This
    
    replicates the functionality of the existing SSH2_FXP_SETSTAT operation but
    does not follow symlinks. Based on a patch from Bert Haverkamp in bz#2067 but
    with more attribute modifications supported.
    
    ok markus@ dtucker@
    
    OpenBSD-Commit-ID: f7234f6e90db19655d55d936a115ee4ccb6aaf80

commit 4a526941d328fc3d97068c6a4cbd9b71b70fe5e1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 4 03:27:50 2019 +0000

    upstream: eliminate function-static attempt counters for
    
    passwd/kbdint authmethods by moving them to the client authctxt; Patch from
    Markus Schmidt, ok markus@
    
    OpenBSD-Commit-ID: 4df4404a5d5416eb056f68e0e2f4fa91ba3b3f7f

commit 8a8183474c41bd6cebaa917346b549af2239ba2f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 4 03:23:00 2019 +0000

    upstream: fix memory leak of ciphercontext when rekeying; bz#2942
    
    Patch from Markus Schmidt; ok markus@
    
    OpenBSD-Commit-ID: 7877f1b82e249986f1ef98d0ae76ce987d332bdd

commit 5bed70afce0907b6217418d0655724c99b683d93
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 1 23:10:53 2019 +0000

    upstream: static on global vars, const on handler tables that contain
    
    function pointers; from Mike Frysinger
    
    OpenBSD-Commit-ID: 7ef2305e50d3caa6326286db43cf2cfaf03960e0

commit 007a88b48c97d092ed2f501bbdcb70d9925277be
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 27 23:02:11 2018 +0000

    upstream: Request RSA-SHA2 signatures for
    
    rsa-sha2-{256|512}-cert-v01@openssh.com cert algorithms; ok markus@
    
    OpenBSD-Commit-ID: afc6f7ca216ccd821656d1c911d2a3deed685033

commit eb347d086c35428c47fe52b34588cbbc9b49d9a6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 27 03:37:49 2018 +0000

    upstream: ssh_packet_set_state() now frees ssh->kex implicitly, so
    
    don't do explicit kex_free() beforehand
    
    OpenBSD-Regress-ID: f2f73bad47f62a2040ccba0a72cadcb12eda49cf

commit bb542f0cf6f7511a22a08c492861e256a82376a9
Author: tedu@openbsd.org <tedu@openbsd.org>
Date:   Sat Dec 15 00:50:21 2018 +0000

    upstream: remove unused and problematic sudo clean. ok espie
    
    OpenBSD-Regress-ID: ca90c20a15a85b661e13e98b80c10e65cd662f7b

commit 0a843d9a0e805f14653a555f5c7a8ba99d62c12d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 27 03:25:24 2018 +0000

    upstream: move client/server SSH-* banners to buffers under
    
    ssh->kex and factor out the banner exchange. This eliminates some common code
    from the client and server.
    
    Also be more strict about handling \r characters - these should only
    be accepted immediately before \n (pointed out by Jann Horn).
    
    Inspired by a patch from Markus Schmidt.
    (lots of) feedback and ok markus@
    
    OpenBSD-Commit-ID: 1cc7885487a6754f63641d7d3279b0941890275b

commit 434b587afe41c19391821e7392005068fda76248
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Dec 7 04:36:09 2018 +0000

    upstream: Fix calculation of initial bandwidth limits. Account for
    
    written bytes before the initial timer check so that the first buffer written
    is accounted.  Set the threshold after which the timer is checked such that
    the limit starts being computed as soon as possible, ie after the second
    buffer is written.  This prevents an initial burst of traffic and provides a
    more accurate bandwidth limit.  bz#2927, ok djm.
    
    OpenBSD-Commit-ID: ff3ef76e4e43040ec198c2718d5682c36b255cb6

commit a6a0788cbbe8dfce2819ee43b09c80725742e21c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 7 03:39:40 2018 +0000

    upstream: only consider the ext-info-c extension during the initial
    
    KEX. It shouldn't be sent in subsequent ones, but if it is present we should
    ignore it.
    
    This prevents sshd from sending a SSH_MSG_EXT_INFO for REKEX for buggy
    these clients. Reported by Jakub Jelen via bz2929; ok dtucker@
    
    OpenBSD-Commit-ID: 91564118547f7807030ec537480303e2371902f9

commit 63bba57a32c5bb6158d57cf4c47022daf89c14a0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 7 03:33:18 2018 +0000

    upstream: fix option letter pasto in previous
    
    OpenBSD-Commit-ID: e26c8bf2f2a808f3c47960e1e490d2990167ec39

commit 737e4edd82406595815efadc28ed5161b8b0c01a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 7 03:32:26 2018 +0000

    upstream: mention that the ssh-keygen -F (find host in
    
    authorized_keys) and -R (remove host from authorized_keys) options may accept
    either a bare hostname or a [hostname]:port combo. bz#2935
    
    OpenBSD-Commit-ID: 5535cf4ce78375968b0d2cd7aa316fa3eb176780

commit 8a22ffaa13391cfe5b40316d938fe0fb931e9296
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Dec 7 15:41:16 2018 +1100

    expose $SSH_CONNECTION in the PAM environment
    
    This makes the connection 4-tuple available to PAM modules that
    wish to use it in decision-making. bz#2741

commit a784fa8c7a7b084d63bae82ccfea902131bb45c5
Author: Kevin Adler <kadler@us.ibm.com>
Date:   Wed Dec 12 22:12:45 2018 -0600

    Don't pass loginmsg by address now that it's an sshbuf*
    
    In 120a1ec74, loginmsg was changed from the legacy Buffer type
    to struct sshbuf*, but it missed changing calls to
    sys_auth_allowed_user and sys_auth_record_login which passed
    loginmsg by address. Now that it's a pointer, just pass it directly.
    
    This only affects AIX, unless there are out of tree users.

commit 285310b897969a63ef224d39e7cc2b7316d86940
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 7 02:31:20 2018 +0000

    upstream: no need to allocate channels_pre/channels_post in
    
    channel_init_channels() as we do it anyway in channel_handler_init() that we
    call at the end of the function. Fix from Markus Schmidt via bz#2938
    
    OpenBSD-Commit-ID: 74893638af49e3734f1e33a54af1b7ea533373ed

commit 87d6cf1cbc91df6815db8fe0acc7c910bc3d18e4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 30 02:24:52 2018 +0000

    upstream: don't attempt to connect to empty SSH_AUTH_SOCK; bz#293
    
    OpenBSD-Commit-ID: 0e8fc8f19f14b21adef7109e0faa583d87c0e929

commit 91b19198c3f604f5eef2c56dbe36f29478243141
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Nov 28 06:00:38 2018 +0000

    upstream: don't truncate user or host name in "user@host's
    
    OpenBSD-Commit-ID: e6ca01a8d58004b7f2cac0b1b7ce8f87e425e360

commit dd0cf6318d9b4b3533bda1e3bc021b2cd7246b7a
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Nov 23 06:58:28 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 08f096922eb00c98251501c193ff9e83fbb5de4f

commit 8a85f5458d1c802471ca899c97f89946f6666e61
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Nov 25 21:44:05 2018 +1100

    Include stdio.h for FILE if needed.

commit 16fb23f25454991272bfe4598cc05d20fcd25116
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Nov 25 14:05:57 2018 +1100

    Reverse order of OpenSSL init functions.
    
    Try the new init function (OPENSSL_init_crypto) before falling back to
    the old one (OpenSSL_add_all_algorithms).

commit 98f878d2272bf8dff21f2a0265d963c29e33fed2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Nov 25 14:05:08 2018 +1100

    Improve OpenSSL_add_all_algorithms check.
    
    OpenSSL_add_all_algorithms() may be a macro so check for that too.

commit 9e34e0c59ab04514f9de9934a772283f7f372afe
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 23 05:08:07 2018 +0000

    upstream: add a ssh_config "Match final" predicate
    
    Matches in same pass as "Match canonical" but doesn't require
    hostname canonicalisation be enabled. bz#2906 ok markus
    
    OpenBSD-Commit-ID: fba1dfe9f6e0cabcd0e2b3be13f7a434199beffa

commit 4da58d58736b065b1182b563d10ad6765d811c6d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Nov 23 02:53:57 2018 +0000

    upstream: Remove now-unneeded ifdef SIGINFO around handler since it is
    
    now always used for SIGUSR1 even when SIGINFO is not defined.  This will make
    things simpler in -portable.
    
    OpenBSD-Regress-ID: 4ff0265b335820b0646d37beb93f036ded0dc43f

commit c721d5877509875c8515df0215fa1dab862013bc
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Nov 23 14:11:20 2018 +1100

    Move RANDOM_SEED_SIZE outside ifdef.
    
    RANDOM_SEED_SIZE is used by both the OpenSSL and non-OpenSSL code
    This fixes the build with configureed --without-openssl.

commit deb51552c3ce7ce72c8d0232e4f36f2e7c118c7d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Nov 22 19:59:28 2018 +1100

    Resync with OpenBSD by pulling in an ifdef SIGINFO.

commit 28c7b2cd050f4416bfcf3869a20e3ea138aa52fe
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Nov 23 10:45:20 2018 +1100

    fix configure test for OpenSSL version
    
    square brackets in case statements may be eaten by autoconf.
    
    Report and fix from Filipp Gunbin; tweaked by naddy@

commit 42c5ec4b97b6a1bae70f323952d0646af16ce710
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Nov 23 10:40:06 2018 +1100

    refactor libcrypto initialisation
    
    Don't call OpenSSL_add_all_algorithms() unless OpenSSL actually
    supports it.
    
    Move all libcrypto initialisation to a single function, and call that
    from seed_rng() that is called early in each tool's main().
    
    Prompted by patch from Rosen Penev

commit 5b60b6c02009547a3e2a99d4886965de2a4719da
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Nov 22 08:59:11 2018 +0000

    upstream: Output info on SIGUSR1 as well as
    
    SIGINFO to resync with portable.  (ID sync only).
    
    OpenBSD-Regress-ID: 699d153e2de22dce51a1b270c40a98472d1a1b16

commit e4ae345dc75b34fd870c2e8690d831d2c1088eb7
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Nov 22 08:48:32 2018 +0000

    upstream: Append pid to temp files in /var/run and set a cleanup
    
    trap for them. This allows multiple instances of tests to run without
    colliding.
    
    OpenBSD-Regress-ID: 57add105ecdfc54752d8003acdd99eb68c3e0b4c

commit f72d0f52effca5aa20a193217346615ecd3eed53
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Oct 31 11:09:27 2018 +0000

    upstream: UsePrivilegeSeparation no is deprecated
    
    test "yes" and "sandbox".
    
    OpenBSD-Regress-ID: 80e685ed8990766527dc629b1affc09a75bfe2da

commit 35d0e5fefc419bddcbe09d7fc163d8cd3417125b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 17 23:28:05 2018 +0000

    upstream: add some knobs:
    
    UNITTEST_FAST?= no     # Skip slow tests (e.g. less intensive fuzzing).
    UNITTEST_SLOW?= no     # Include slower tests (e.g. more intensive fuzzing).
    UNITTEST_VERBOSE?= no  # Verbose test output (inc. per-test names).
    
    useful if you want to run the tests as a smoke test to exercise the
    functionality without waiting for all the fuzzers to run.
    
    OpenBSD-Regress-ID: e04d82ebec86068198cd903acf1c67563c57315e

commit c1941293d9422a14dda372b4c21895e72aa7a063
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Nov 22 15:52:26 2018 +1100

    Resync Makefile.inc with upstream.
    
    It's unused in -portable, but having it out of sync makes other syncs
    fail to apply.

commit 928f1231f65f88cd4c73e6e0edd63d2cf6295d77
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Nov 19 04:12:32 2018 +0000

    upstream: silence (to log level debug2) failure messages when
    
    loading the default hostkeys. Hostkeys explicitly specified in the
    configuration or on the command-line are still reported as errors, and
    failure to load at least one host key remains a fatal error.
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    Based on patch from Dag-Erling Smørgrav via
    https://github.com/openssh/openssh-portable/pull/103
    
    ok markus@
    
    OpenBSD-Commit-ID: ffc2e35a75d1008effaf05a5e27425041c27b684

commit 7fca94edbe8ca9f879da9fdd2afd959c4180f4c7
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Nov 18 22:43:29 2018 +0000

    upstream: Fix inverted logic for redirecting ProxyCommand stderr to
    
    /dev/null. Fixes mosh in proxycommand mode that was broken by the previous
    ProxyCommand change that was reported by matthieu@. ok djm@ danj@
    
    OpenBSD-Commit-ID: c6fc9641bc250221a0a81c6beb2e72d603f8add6

commit ccef7c4faf914993b53035cd2b25ce02ab039c9d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 06:17:38 2018 +0000

    upstream: redirect stderr of ProxyCommands to /dev/null when ssh is
    
    started with ControlPersist; based on patch from Steffen Prohaska
    
    OpenBSD-Commit-ID: 1bcaa14a03ae80369d31021271ec75dce2597957

commit 15182fd96845a03216d7ac5a2cf31c4e77e406e3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 06:10:29 2018 +0000

    upstream: make grandparent-parent-child sshbuf chains robust to
    
    use-after-free faults if the ancestors are freed before the descendents.
    Nothing in OpenSSH uses this deallocation pattern. Reported by Jann Horn
    
    OpenBSD-Commit-ID: d93501d1d2734245aac802a252b9bb2eccdba0f2

commit 2a35862e664afde774d4a72497d394fe7306ccb5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 03:26:01 2018 +0000

    upstream: use path_absolute() for pathname checks; from Manoj Ampalam
    
    OpenBSD-Commit-ID: 482ce71a5ea5c5f3bc4d00fd719481a6a584d925

commit d0d1dfa55be1c5c0d77ab3096b198a64235f936d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Nov 16 14:11:44 2018 +1100

    Test for OPENSSL_init_crypto before using.
    
    Check for the presence of OPENSSL_init_crypto and all the flags we want
    before trying to use it (bz#2931).

commit 6010c0303a422a9c5fa8860c061bf7105eb7f8b2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 03:03:10 2018 +0000

    upstream: disallow empty incoming filename or ones that refer to the
    
    current directory; based on report/patch from Harry Sintonen
    
    OpenBSD-Commit-ID: f27651b30eaee2df49540ab68d030865c04f6de9

commit aaed635e3a401cfcc4cc97f33788179c458901c3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 02:46:20 2018 +0000

    upstream: fix bug in client that was keeping a redundant ssh-agent
    
    socket around for the life of the connection; bz#2912; reported by Simon
    Tatham; ok dtucker@
    
    OpenBSD-Commit-ID: 4ded588301183d343dce3e8c5fc1398e35058478

commit e76135e3007f1564427b2956c628923d8dc2f75a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 02:43:56 2018 +0000

    upstream: fix bug in HostbasedAcceptedKeyTypes and
    
    PubkeyAcceptedKeyTypes options. If only RSA-SHA2 siganture types were
    specified, then authentication would always fail for RSA keys as the monitor
    checks only the base key (not the signature algorithm) type against
    *AcceptedKeyTypes. bz#2746; reported by Jakub Jelen; ok dtucker
    
    OpenBSD-Commit-ID: 117bc3dc54578dbdb515a1d3732988cb5b00461b

commit 5c1a63562cac0574c226224075b0829a50b48c9d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 16 02:30:20 2018 +0000

    upstream: support a prefix of '@' to suppress echo of sftp batch
    
    commands; bz#2926; ok dtucker@
    
    OpenBSD-Commit-ID: 9d635636bc84aeae796467e059f7634de990a79d

commit 90ef45f7aac33eaf55ec344e101548a01e570f29
Author: schwarze@openbsd.org <schwarze@openbsd.org>
Date:   Tue Nov 13 07:22:45 2018 +0000

    upstream: fix markup error (missing blank before delimiter); from
    
    Mike Frysinger <vapier at gentoo dot org>
    
    OpenBSD-Commit-ID: 1bc5392f795ca86318d695e0947eaf71a5a4f6d9

commit 960e7c672dc106f3b759c081de3edb4d1138b36e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 9 02:57:58 2018 +0000

    upstream: typo in error message; caught by Debian lintian, via
    
    Colin Watson
    
    OpenBSD-Commit-ID: bff614c7bd1f4ca491a84e9b5999f848d0d66758

commit 81f1620c836e6c79c0823ba44acca605226a80f1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Nov 9 02:56:22 2018 +0000

    upstream: correct local variable name; from yawang AT microsoft.com
    
    OpenBSD-Commit-ID: a0c228390856a215bb66319c89cb3959d3af8c87

commit 1293740e800fa2e5ccd38842a2e4970c6f3b9831
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Oct 31 11:20:05 2018 +0000

    upstream: Import new moduli.
    
    OpenBSD-Commit-ID: c07772f58028fda683ee6abd41c73da3ff70d403

commit 46925ae28e53fc9add336a4fcdb7ed4b86c3591c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 26 01:23:03 2018 +0000

    upstream: mention ssh-ed25519-cert-v01@openssh.com in list of cert
    
    key type at start of doc
    
    OpenBSD-Commit-ID: b46b0149256d67f05f2d5d01e160634ed1a67324

commit 8d8340e2c215155637fe19cb1a837f71b2d55f7b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Nov 16 13:32:13 2018 +1100

    Remove fallback check for /usr/local/ssl.
    
    If configure could not find a working OpenSSL installation it would
    fall back to checking in /usr/local/ssl.  This made sense back when
    systems did not ship with OpenSSL, but most do and OpenSSL 1.1 doesn't
    use that as a default any more.  The fallback behaviour also meant
    that if you pointed --with-ssl-dir at a specific directory and it
    didn't work, it would silently use either the system libs or the ones
    in /usr/local/ssl.  If you want to use /usr/local/ssl you'll need to
    pass configure --with-ssl-dir=/usr/local/ssl.  ok djm@

commit ce93472134fb22eff73edbcd173a21ae38889331
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Nov 16 12:44:01 2018 +1100

    Fix check for OpenSSL 1.0.1 exactly.
    
    Both INSTALL and configure.ac claim OpenSSL >= 1.0.1 is supported; fix
    compile-time check for 1.0.1 to match.

commit f2970868f86161a22b2c377057fa3891863a692a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Nov 11 15:58:20 2018 +1100

    Improve warnings in cygwin service setup.
    
    bz#2922, patch from vinschen at redhat.com.

commit bd2d54fc1eee84bf87158a1277a50e6c8a303339
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Nov 11 15:54:54 2018 +1100

    Remove hardcoded service name in cygwin setup.
    
    bz#2922, patch from Christian.Lupien at USherbrooke.ca, sanity check
    by vinschen at redhat.com.

commit d0153c77bf7964e694f1d26c56c41a571b8e9466
Author: Dag-Erling Smørgrav <des@des.no>
Date:   Tue Oct 9 23:03:40 2018 +0200

    AC_CHECK_SIZEOF() no longer needs a second argument.

commit 9b47b083ca9d866249ada9f02dbd57c87b13806e
Author: Manoj Ampalam <manojamp@microsoft.com>
Date:   Thu Nov 8 22:41:59 2018 -0800

    Fix error message w/out nistp521.
    
    Correct error message when OpenSSL doesn't support certain ECDSA key
    lengths.

commit 624d19ac2d56fa86a22417c35536caceb3be346f
Author: Eneas U de Queiroz <cote2004-github@yahoo.com>
Date:   Tue Oct 9 16:17:42 2018 -0300

    fix compilation with openssl built without ECC
    
    ECDSA code in openssh-compat.h and libressl-api-compat.c needs to be
    guarded by OPENSSL_HAS_ECC
    
    Signed-off-by: Eneas U de Queiroz <cote2004-github@yahoo.com>

commit 1801cd11d99d05a66ab5248c0555f55909a355ce
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Nov 8 15:03:11 2018 +1100

    Simplify OpenSSL 1.1 function checks.
    
    Replace AC_SEARCH_LIBS checks for OpenSSL 1.1 functions with a single
    AC_CHECK_FUNCS.  ok djm@

commit bc32f118d484e4d71d2a0828fd4eab7e4176c9af
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Nov 5 17:31:24 2018 +1100

    Fix pasto for HAVE_EVP_CIPHER_CTX_SET_IV.
    
    Prevents unnecessary redefinition.  Patch from mforney at mforney.org.

commit 3719df60c66abc4b47200d41f571d67772f293ba
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Oct 31 22:21:03 2018 +1100

    Import new moduli.

commit 595605d4abede475339d6a1f07a8cc674c11d1c3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Oct 28 15:18:13 2018 +1100

    Update check for minimum OpenSSL version.

commit 6ab75aba340d827140d7ba719787aabaf39a0355
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Oct 28 15:16:31 2018 +1100

    Update required OpenSSL versions to match current.

commit c801b0e38eae99427f37869370151b78f8e15c5d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Oct 28 14:34:12 2018 +1100

    Use detected version functions in openssl compat.
    
    Use detected functions in compat layer instead of guessing based on
    versions.  Really fixes builds with LibreSSL, not just configure.

commit 262d81a259d4aa1507c709ec9d5caa21c7740722
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Oct 27 16:45:59 2018 +1100

    Check for the existence of openssl version funcs.
    
    Check for the existence of openssl version functions and use the ones
    detected instead of trying to guess based on the int32 version
    identifier.  Fixes builds with LibreSSL.

commit 406a24b25d6a2bdd70cacd16de7e899dcb2a8829
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 26 13:43:28 2018 +1100

    fix builds on OpenSSL <= 1.0.x
    
    I thought OpenSSL 1.0.x offered the new-style OpenSSL_version_num() API
    to obtain version number, but they don't.

commit 859754bdeb41373d372e36b5dc89c547453addb3
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 23 17:10:41 2018 +1100

    remove remaining references to SSLeay
    
    Prompted by Rosen Penev

commit b9fea45a68946c8dfeace72ad1f6657c18f2a98a
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 23 17:10:35 2018 +1100

    regen depend

commit a65784c9f9c5d00cf1a0e235090170abc8d07c73
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 23 05:56:35 2018 +0000

    upstream: refer to OpenSSL not SSLeay;
    
    we're old, but we don't have to act it
    
    OpenBSD-Commit-ID: 9ca38d11f8ed19e61a55108d1e892d696cee08ec

commit c0a35265907533be10ca151ac797f34ae0d68969
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Oct 22 11:22:50 2018 +1100

    fix compile for openssl 1.0.x w/ --with-ssl-engine
    
    bz#2921, patch from cotequeiroz

commit 31b49525168245abe16ad49d7b7f519786b53a38
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Oct 22 20:05:18 2018 +1100

    Include openssl compatibility.
    
    Patch from rosenp at gmail.com via openssh-unix-dev.

commit a4fc253f5f44f0e4c47aafe2a17d2c46481d3c04
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Oct 19 03:12:42 2018 +0000

    upstream: when printing certificate contents "ssh-keygen -Lf
    
    /path/certificate", include the algorithm that the CA used to sign the cert.
    
    OpenBSD-Commit-ID: 1ea20b5048a851a7a0758dcb9777a211a2c0dddd

commit 83b3d99d2b47321b7ebb8db6f6ea04f3808bc069
Author: florian@openbsd.org <florian@openbsd.org>
Date:   Mon Oct 15 11:28:50 2018 +0000

    upstream: struct sockaddr_storage is guaranteed to be large enough,
    
    no need to check the size. OK kn, deraadt
    
    OpenBSD-Commit-ID: 0aa56e92eb49c79f495b31a5093109ec5841f439

commit aede1c34243a6f7feae2fb2cb686ade5f9be6f3d
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 17 11:01:20 2018 +1100

    Require OpenSSL 1.1.x series 1.1.0g or greater
    
    Previous versions have a bug with EVP_CipherInit() when passed a
    NULL EVP_CIPHER, per https://github.com/openssl/openssl/pull/4613
    
    ok dtucker@

commit 08300c211409c212e010fe2e2f2883e573a04ce2
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 17 08:12:02 2018 +1100

    unbreak compilation with --with-ssl-engine
    
    Missing last argument to OPENSSL_init_crypto()

commit 1673274aee67ce0eb6f00578b6f3d2bcbd58f937
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Oct 16 14:45:57 2018 +1100

    Remove gcc spectre mitigation flags.
    
    Current impementions of the gcc spectre mitigation flags cause
    miscompilations when combined with other flags and do not provide much
    protection.  Found by fweimer at redhat.com, ok djm@

commit 4e23deefd7959ef83c73ed9cce574423438f6133
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 16 10:51:52 2018 +1100

    Avoid deprecated OPENSSL_config when using 1.1.x
    
    OpenSSL 1.1.x soft-deprecated OPENSSL_config in favour of
    OPENSSL_init_crypto; pointed out by Jakub Jelen

commit 797cdd9c8468ed1125ce60d590ae3f1397866af4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Oct 12 16:58:47 2018 +1100

    Don't avoid our *sprintf replacements.
    
    Don't let systems with broken printf(3) avoid our replacements
    via asprintf(3)/vasprintf(3) calling libc internally.  From djm@

commit e526127cbd2f8ad88fb41229df0c9b850c722830
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Oct 12 16:43:35 2018 +1100

    Check if snprintf understands %zu.
    
    If the platforms snprintf and friends don't understand %zu, use the
    compat replacement.  Prevents segfaults on those platforms.

commit cf39f875191708c5f2f1a3c1c9019f106e74aea3
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 12 09:48:05 2018 +1100

    remove stale link, tweak

commit a7205e68decf7de2005810853b4ce6b222b65e2a
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Oct 12 09:47:20 2018 +1100

    update version numbers ahead of release

commit 1a4a9cf80f5b92b9d1dadd0bfa8867c04d195391
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 11 03:48:04 2018 +0000

    upstream: don't send new-style rsa-sha2-*-cert-v01@openssh.com names to
    
    older OpenSSH that can't handle them. spotted by Adam Eijdenberg; ok dtucker
    
    OpenBSD-Commit-ID: 662bbc402e3d7c9b6c322806269698106a6ae631

commit dc8ddcdf1a95e011c263486c25869bb5bf4e30ec
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 13:08:59 2018 +1100

    update depends

commit 26841ac265603fd2253e6832e03602823dbb4022
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 13:02:11 2018 +1100

    some more duplicated key algorithm lines
    
    From Adam Eijdenberg

commit 5d9d17603bfbb620195a4581025052832b4c4adc
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:56:36 2018 +1100

    fix duplicated algorithm specification lines
    
    Spotted by Adam Eijdenberg

commit ebfafd9c7a5b2a7fb515ee95dbe0e44e11d0a663
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 11 00:52:46 2018 +0000

    upstream: typo in plain RSA algorithm counterpart names for
    
    certificates; spotted by Adam Eijdenberg; ok dtucker@
    
    OpenBSD-Commit-ID: bfcdeb6f4fc9e7607f5096574c8f118f2e709e00

commit c29b111e7d87c2324ff71c80653dd8da168c13b9
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:29:35 2018 +1100

    check pw_passwd != NULL here too
    
    Again, for systems with broken NIS implementations.
    
    Prompted by coolbugcheckers AT gmail.com

commit fe8e8f349a553ef4c567acd418aac769a82b7729
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 11:03:15 2018 +1100

    check for NULL return from shadow_pw()
    
    probably unreachable on this platform; pointed out by
    coolbugcheckers AT gmail.com

commit acc59cbe7a1fb169e1c3caba65a39bd74d6e030d
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Oct 10 16:43:49 2018 +0000

    upstream: introducing openssh 7.9
    
    OpenBSD-Commit-ID: 42d526a9fe01a40dd299ac58014d3349adf40e25

commit 12731158c75c8760a8bea06350eeb3e763fe1a07
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Oct 11 10:29:29 2018 +1100

    supply callback to PEM_read_bio_PrivateKey
    
    OpenSSL 1.1.0i has changed the behaviour of their PEM APIs,
    so that empty passphrases are interpreted differently. This
    probabalistically breaks loading some keys, because the PEM format
    is terrible and doesn't include a proper MAC.
    
    Avoid this by providing a basic callback to avoid passing empty
    passphrases to OpenSSL in cases where one is required.
    
    Based on patch from Jakub Jelen in bz#2913; ok dtucker@

commit d1d301a1dd5d6cc3a9ed93ab7ab09dda4cb456e0
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Oct 10 14:57:00 2018 +1100

    in pick_salt() avoid dereference of NULL passwords
    
    Apparently some NIS implementations can leave pw->pw_passwd (or the
    shadow equivalent) NULL.
    
    bz#2909; based on patch from Todd Eigenschink

commit edbb6febccee084d212fdc0cb05b40cb1c646ab1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 9 05:42:23 2018 +0000

    upstream: Treat all PEM_read_bio_PrivateKey() errors when a passphrase
    
    is specified as "incorrect passphrase" instead of trying to choose between
    that and "invalid format".
    
    libcrypto can return ASN1 parsing errors rather than the expected
    decrypt error in certain infrequent cases when trying to decrypt/parse
    PEM private keys when supplied with an invalid passphrase.
    
    Report and repro recipe from Thomas Deutschmann in bz#2901
    
    ok markus@
    
    OpenBSD-Commit-ID: b1d4cd92395f9743f81c0d23aab2524109580870

commit 2581333d564d8697837729b3d07d45738eaf5a54
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Fri Oct 5 14:26:09 2018 +0000

    upstream: Support using service names for port numbers.
    
    * Try to resolve a port specification with getservbyname(3) if a
     numeric conversion fails.
    * Make the "Port" option in ssh_config handle its argument as a
     port rather than a plain integer.
    
    ok dtucker@ deraadt@
    
    OpenBSD-Commit-ID: e7f03633133205ab3dfbc67f9df7475fabae660d

commit e0d6501e86734c48c8c503f81e1c0926e98c5c4c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 07:47:35 2018 +0000

    upstream: when the peer sends a channel-close message, make sure we
    
    close the local extended read fd (stderr) along with the regular read fd
    (stdout). Avoids weird stuck processed in multiplexing mode.
    
    Report and analysis by Nelson Elhage and Geoffrey Thomas in bz#2863
    
    ok dtucker@ markus@
    
    OpenBSD-Commit-ID: a48a2467fe938de4de69d2e7193d5fa701f12ae9

commit 6f1aabb128246f445e33b8844fad3de9cb1d18cb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 01:04:52 2018 +0000

    upstream: factor out channel status formatting from
    
    channel_open_message() so we can use it in other debug messages
    
    OpenBSD-Commit-ID: 9c3903ca28fcabad57f566c9d0045b41ab7d52ba

commit f1dd179e122bdfdb7ca3072d9603607740efda05
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 00:10:11 2018 +0000

    upstream: include a little more information about the status and
    
    disposition of channel's extended (stderr) fd; makes debugging some things a
    bit easier. No behaviour change.
    
    OpenBSD-Commit-ID: 483eb6467dc7d5dbca8eb109c453e7a43075f7ce

commit 2d1428b11c8b6f616f070f2ecedce12328526944
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Oct 4 00:04:41 2018 +0000

    upstream: explicit_bzero here to be consistent with other kex*.c;
    
    report from coolbugcheckers AT gmail.com
    
    OpenBSD-Commit-ID: a90f146c5b5f5b1408700395e394f70b440856cb

commit 5eff5b858e717e901e6af6596306a114de9f79f2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Oct 3 06:38:35 2018 +0000

    upstream: Allow ssh_config IdentityAgent directive to accept
    
    environment variable names as well as explicit paths. ok dtucker@
    
    OpenBSD-Commit-ID: 2f0996e103876c53d8c9dd51dcce9889d700767b

commit a46ac4d86b25414d78b632e8173578b37e5f8a83
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 2 12:51:58 2018 +0000

    upstream: mention INFO@openssh.com for sending SIGINFO
    
    OpenBSD-Commit-ID: 132471eeb0df658210afd27852fe65131b26e900

commit ff3a411cae0b484274b7900ef52ff4dad3e12876
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Oct 2 22:49:40 2018 +1000

    only support SIGINFO on systems with SIGINFO

commit cd98925c6405e972dc9f211afc7e75e838abe81c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Oct 2 12:40:07 2018 +0000

    upstream: Add server support for signalling sessions via the SSH
    
    channel/ session protocol. Signalling is only supported to sesssions that are
    not subsystems and were not started with a forced command.
    
    Long requested in bz#1424
    
    Based on a patch from markus@ and reworked by dtucker@;
    ok markus@ dtucker@
    
    OpenBSD-Commit-ID: 4bea826f575862eaac569c4bedd1056a268be1c3

commit dba50258333f2604a87848762af07ba2cc40407a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 07:32:44 2018 +0000

    upstream: remove big ugly TODO comment from start of file. Some of
    
    the mentioned tasks are obsolete and, of the remainder, most are already
    captured in PROTOCOL.mux where they better belong
    
    OpenBSD-Commit-ID: 16d9d76dee42a5bb651c9d6740f7f0ef68aeb407

commit 92b61a38ee9b765f5049f03cd1143e13f3878905
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 07:30:05 2018 +0000

    upstream: Document mux proxy mode; added by Markus in openssh-7.4
    
    Also add a little bit of information about the overall packet format
    
    OpenBSD-Commit-ID: bdb6f6ea8580ef96792e270cae7857786ad84a95

commit 9d883a1ce4f89b175fd77405ff32674620703fb2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 26 01:48:57 2018 +0000

    upstream: s/process_mux_master/mux_master_process/ in mux master
    
    function names,
    
    Gives better symmetry with the existing mux_client_*() names and makes
    it more obvious when a message comes from the master vs client (they
    are interleved in ControlMaster=auto mode).
    
    no functional change beyond prefixing a could of log messages with
    __func__ where they were previously lacking.
    
    OpenBSD-Commit-ID: b01f7c3fdf92692e1713a822a89dc499333daf75

commit c2fa53cd6462da82d3a851dc3a4a3f6b920337c8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Sep 22 14:41:24 2018 +1000

    Remove unused variable in _ssh_compat_fflush.

commit d1b3540c21212624af907488960d703c7d987b42
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Sep 20 18:08:43 2018 +1000

    Import updated moduli.

commit b5e412a8993ad17b9e1141c78408df15d3d987e1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:46:22 2018 +0000

    upstream: Allow ssh_config ForwardX11Timeout=0 to disable the
    
    timeout and allow X11 connections in untrusted mode indefinitely. ok dtucker@
    
    OpenBSD-Commit-ID: ea1ceed3f540b48e5803f933e59a03b20db10c69

commit cb24d9fcc901429d77211f274031653476864ec6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:23:17 2018 +0000

    upstream: when compiled with GSSAPI support, cache supported method
    
    OIDs by calling ssh_gssapi_prepare_supported_oids() regardless of whether
    GSSAPI authentication is enabled in the main config.
    
    This avoids sandbox violations for configurations that enable GSSAPI
    auth later, e.g.
    
    Match user djm
            GSSAPIAuthentication yes
    
    bz#2107; ok dtucker@
    
    OpenBSD-Commit-ID: a5dd42d87c74e27cfb712b15b0f97ab20e0afd1d

commit bbc8af72ba68da014d4de6e21a85eb5123384226
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 12:20:12 2018 +0000

    upstream: In sshkey_in_file(), ignore keys that are considered for
    
    being too short (i.e. SSH_ERR_KEY_LENGTH). These keys will not be considered
    to be "in the file". This allows key revocation lists to contain short keys
    without the entire revocation list being considered invalid.
    
    bz#2897; ok dtucker
    
    OpenBSD-Commit-ID: d9f3d857d07194a42ad7e62889a74dc3f9d9924b

commit 383a33d160cefbfd1b40fef81f72eadbf9303a66
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 21 03:11:36 2018 +0000

    upstream: Treat connections with ProxyJump specified the same as ones
    
    with a ProxyCommand set with regards to hostname canonicalisation (i.e. don't
    try to canonicalise the hostname unless CanonicalizeHostname is set to
    'always').
    
    Patch from Sven Wegener via bz#2896
    
    OpenBSD-Commit-ID: 527ff501cf98bf65fb4b29ed0cb847dda10f4d37

commit 0cbed248ed81584129b67c348dbb801660f25a6a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 23:40:16 2018 +0000

    upstream: actually make CASignatureAlgorithms available as a config
    
    option
    
    OpenBSD-Commit-ID: 93fa7ff58314ed7b1ab7744090a6a91232e6ae52

commit 62528870c0ec48cd86a37dd7320fb85886c3e6ee
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Sep 20 08:07:03 2018 +0000

    upstream: Import updated moduli.
    
    OpenBSD-Commit-ID: 04431e8e7872f49a2129bf080a6b73c19d576d40

commit e6933a2ffa0659d57f3c7b7c457b2c62b2a84613
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Sep 20 06:58:48 2018 +0000

    upstream: reorder CASignatureAlgorithms, and add them to the
    
    various -o lists; ok djm
    
    OpenBSD-Commit-ID: ecb88baecc3c54988b4d1654446ea033da359288

commit aa083aa9624ea7b764d5a81c4c676719a1a3e42b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:31:49 2018 +0000

    upstream: fix "ssh -Q sig" to show correct signature algorithm list
    
    (it was erroneously showing certificate algorithms); prompted by markus@
    
    OpenBSD-Commit-ID: 1cdee002f2f0c21456979deeb887fc889afb154d

commit ecac7e1f7add6b28874959a11f2238d149dc2c07
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:30:44 2018 +0000

    upstream: add CASignatureAlgorithms option for the client, allowing
    
    it to specify which signature algorithms may be used by CAs when signing
    certificates. Useful if you want to ban RSA/SHA1; ok markus@
    
    OpenBSD-Commit-ID: 9159e5e9f67504829bf53ff222057307a6e3230f

commit 86e5737c39153af134158f24d0cab5827cbd5852
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 20 03:28:06 2018 +0000

    upstream: Add sshd_config CASignatureAlgorithms option to allow
    
    control over which signature algorithms a CA may use when signing
    certificates. In particular, this allows a sshd to ban certificates signed
    with RSA/SHA1.
    
    ok markus@
    
    OpenBSD-Commit-ID: b05c86ef8b52b913ed48d54a9b9c1a7714d96bac

commit f80e68ea7d62e2dfafc12f1a60ab544ae4033a0f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 19 02:03:02 2018 +0000

    upstream: Make "ssh-add -q" do what it says on the tin: silence
    
    output from successful operations.
    
    Based on patch from Thijs van Dijk; ok dtucker@ deraadt@
    
    OpenBSD-Commit-ID: c4f754ecc055c10af166116ce7515104aa8522e1

commit 5e532320e9e51de720d5f3cc2596e95d29f6e98f
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Mon Sep 17 15:40:14 2018 +0000

    upstream: When choosing a prime from the moduli file, avoid
    
    re-using the linenum variable for something that is not a line number to
    avoid the confusion that resulted in the bug in rev. 1.64.  This also lets us
    pass the actual linenum to parse_prime() so the error messages include the
    correct line number.  OK markus@ some time ago.
    
    OpenBSD-Commit-ID: 4d8e5d3e924d6e8eb70053e3defa23c151a00084

commit cce8cbe0ed7d1ba3a575310e0b63c193326ae616
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Sep 15 19:44:06 2018 +1000

    Fix openssl-1.1 fallout for --without-openssl.
    
    ok djm@

commit 149519b9f201dac755f3cba4789f4d76fecf0ee1
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:37:48 2018 +1000

    add futex(2) syscall to seccomp sandbox
    
    Apparently needed for some glibc/openssl combinations.
    
    Patch from Arkadiusz Miśkiewicz

commit 4488ae1a6940af704c4dbf70f55bf2f756a16536
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:36:55 2018 +1000

    really add source for authopt_fuzz this time

commit 9201784b4a257c8345fbd740bcbdd70054885707
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Sep 15 19:35:40 2018 +1000

    remove accidentally checked-in authopt_fuzz binary

commit beb9e522dc7717df08179f9e59f36b361bfa14ab
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 05:26:27 2018 +0000

    upstream: second try, deals properly with missing and private-only
    
    Use consistent format in debug log for keys readied, offered and
    received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains (where available) the key filename, its type and fingerprint,
    and whether the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: f1c6a8e9cfc4e108c359db77f24f9a40e1e25ea7

commit 6bc5a24ac867bfdc3ed615589d69ac640f51674b
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 14 15:16:34 2018 +1000

    fuzzer harness for authorized_keys option parsing

commit 6c8b82fc6929b6a9a3f645151b6ec26c5507d9ef
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:44:04 2018 +0000

    upstream: revert following; deals badly with agent keys
    
    revision 1.285
    date: 2018/09/14 04:17:12;  author: djm;  state: Exp;  lines: +47 -26;  commitid: lflGFcNb2X2HebaK;
    Use consistent format in debug log for keys readied, offered and
    received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains the key filename, its type and fingerprint, and whether
    the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: e496bd004e452d4b051f33ed9ae6a54ab918f56d

commit 6da046f9c3374ce7e269ded15d8ff8bc45017301
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:17:44 2018 +0000

    upstream: garbage-collect moribund ssh_new_private() API.
    
    OpenBSD-Commit-ID: 7c05bf13b094093dfa01848a9306c82eb6e95f6c

commit 1f24ac5fc05252ceb1c1d0e8cab6a283b883c780
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 14 04:17:12 2018 +0000

    upstream: Use consistent format in debug log for keys readied,
    
    offered and received during public key authentication.
    
    This makes it a little easier to see what is going on, as each message
    now contains the key filename, its type and fingerprint, and whether
    the key is hosted in an agent or a token.
    
    OpenBSD-Commit-ID: 2a01d59285a8a7e01185bb0a43316084b4f06a1f

commit 488c9325bb7233e975dbfbf89fa055edc3d3eddc
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Thu Sep 13 15:23:32 2018 +0000

    upstream: Fix warnings caused by user_from_uid() and group_from_gid()
    
    now returning const char *.
    
    OpenBSD-Commit-ID: b5fe571ea77cfa7b9035062829ab05eb87d7cc6f

commit 0aa1f230846ebce698e52051a107f3127024a05a
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Sep 14 10:31:47 2018 +1000

    allow SIGUSR1 as synonym for SIGINFO
    
    Lets users on those unfortunate operating systems that lack SIGINFO
    still be able to obtain progress information from unit tests :)

commit d64e78526596f098096113fcf148216798c327ff
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 19:05:48 2018 +1000

    add compat header

commit a3fd8074e2e2f06602e25618721f9556c731312c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 09:03:20 2018 +0000

    upstream: missed a bit of openssl-1.0.x API in this unittest
    
    OpenBSD-Regress-ID: a73a54d7f7381856a3f3a2d25947bee7a9a5dbc9

commit 86e0a9f3d249d5580390daf58e015e68b01cef10
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 05:06:51 2018 +0000

    upstream: use only openssl-1.1.x API here too
    
    OpenBSD-Regress-ID: ae877064597c349954b1b443769723563cecbc8f

commit 48f54b9d12c1c79fba333bc86d455d8f4cda8cfc
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 12:13:50 2018 +1000

    adapt -portable to OpenSSL 1.1x API
    
    Polyfill missing API with replacement functions extracted from LibreSSL

commit 86112951d63d48839f035b5795be62635a463f99
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Sep 13 12:12:42 2018 +1000

    forgot to stage these test files in commit d70d061

commit 482d23bcacdd3664f21cc82a5135f66fc598275f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Sep 13 02:08:33 2018 +0000

    upstream: hold our collective noses and use the openssl-1.1.x API in
    
    OpenSSH; feedback and ok tb@ jsing@ markus@
    
    OpenBSD-Commit-ID: cacbcac87ce5da0d3ca7ef1b38a6f7fb349e4417

commit d70d061828730a56636ab6f1f24fe4a8ccefcfc1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:36:45 2018 +0000

    upstream: Include certs with multiple RSA signature variants in
    
    test data Ensure that cert->signature_key is populated correctly
    
    OpenBSD-Regress-ID: 56e68f70fe46cb3a193ca207385bdb301fd6603a

commit f803b2682992cfededd40c91818b653b5d923ef5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:23:48 2018 +0000

    upstream: test revocation by explicit hash and by fingerprint
    
    OpenBSD-Regress-ID: 079c18a9ab9663f4af419327c759fc1e2bc78fd8

commit 2de78bc7da70e1338b32feeefcc6045cf49efcd4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:22:43 2018 +0000

    upstream: s/sshkey_demote/sshkey_from_private/g
    
    OpenBSD-Regress-ID: 782bde7407d94a87aa8d1db7c23750e09d4443c4

commit 41c115a5ea1cb79a6a3182773c58a23f760e8076
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Sep 12 16:50:01 2018 +1000

    delete the correct thing; kexfuzz binary

commit f0fcd7e65087db8c2496f13ed39d772f8e38b088
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 06:18:59 2018 +0000

    upstream: fix edit mistake; spotted by jmc@
    
    OpenBSD-Commit-ID: dd724e1c52c9d6084f4cd260ec7e1b2b138261c6

commit 4cc259bac699f4d2a5c52b92230f9e488c88a223
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:34:02 2018 +0000

    upstream: add SSH_ALLOWED_CA_SIGALGS - the default list of
    
    signature algorithms that are allowed for CA signatures. Notably excludes
    ssh-dsa.
    
    ok markus@
    
    OpenBSD-Commit-ID: 1628e4181dc8ab71909378eafe5d06159a22deb4

commit ba9e788315b1f6a350f910cb2a9e95b2ce584e89
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:32:54 2018 +0000

    upstream: add sshkey_check_cert_sigtype() that checks a
    
    cert->signature_type against a supplied whitelist; ok markus
    
    OpenBSD-Commit-ID: caadb8073292ed7a9535e5adc067d11d356d9302

commit a70fd4ad7bd9f2ed223ff635a3d41e483057f23b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:31:30 2018 +0000

    upstream: add cert->signature_type field and keep it in sync with
    
    certificate signature wrt loading and certification operations; ok markus@
    
    OpenBSD-Commit-ID: e8b8b9f76b66707a0cd926109c4383db8f664df3

commit 357128ac48630a9970e3af0e6ff820300a28da47
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:30:10 2018 +0000

    upstream: Add "ssh -Q sig" to allow listing supported signature
    
    algorithms ok markus@
    
    OpenBSD-Commit-ID: 7a8c6eb6c249dc37823ba5081fce64876d10fe2b

commit 9405c6214f667be604a820c6823b27d0ea77937d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:21:34 2018 +0000

    upstream: allow key revocation by SHA256 hash and allow ssh-keygen
    
    to create KRLs using SHA256/base64 key fingerprints; ok markus@
    
    OpenBSD-Commit-ID: a0590fd34e7f1141f2873ab3acc57442560e6a94

commit 50e2687ee0941c0ea216d6ffea370ffd2c1f14b9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Sep 12 01:19:12 2018 +0000

    upstream: log certificate fingerprint in authentication
    
    success/failure message (previously we logged only key ID and CA key
    fingerprint).
    
    ok markus@
    
    OpenBSD-Commit-ID: a8ef2d172b7f1ddbcce26d6434b2de6d94f6c05d

commit de37ca909487d23e5844aca289b3f5e75d3f1e1f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Sep 7 04:26:56 2018 +0000

    upstream: Add FALLTHROUGH comments where appropriate. Patch from
    
    jjelen at redhat via bz#2687.
    
    OpenBSD-Commit-ID: c48eb457be697a19d6d2950c6d0879f3ccc851d3

commit 247766cd3111d5d8c6ea39833a3257ca8fb820f2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Sep 7 01:42:54 2018 +0000

    upstream: ssh -MM requires confirmation for all operations that
    
    change the multiplexing state, not just new sessions.
    
    mention that confirmation is checked via ssh-askpass
    
    OpenBSD-Commit-ID: 0f1b45551ebb9cc5c9a4fe54ad3b23ce90f1f5c2

commit db8bb80e3ac1bcb3e1305d846cd98c6b869bf03f
Author: mestre@openbsd.org <mestre@openbsd.org>
Date:   Tue Aug 28 12:25:53 2018 +0000

    upstream: fix misplaced parenthesis inside if-clause. it's harmless
    
    and the only issue is showing an unknown error (since it's not defined)
    during fatal(), if it ever an error occurs inside that condition.
    
    OK deraadt@ markus@ djm@
    
    OpenBSD-Commit-ID: acb0a8e6936bfbe590504752d01d1d251a7101d8

commit 086cc614f550b7d4f100c95e472a6b6b823938ab
Author: mestre@openbsd.org <mestre@openbsd.org>
Date:   Tue Aug 28 12:17:45 2018 +0000

    upstream: fix build with DEBUG_PK enabled
    
    OK dtucker@
    
    OpenBSD-Commit-ID: ec1568cf27726e9638a0415481c20c406e7b441c

commit 2678833013e97f8b18f09779b7f70bcbf5eb2ab2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:41:53 2018 +1000

    Handle ngroups>_SC_NGROUPS_MAX.
    
    Based on github pull request #99 from Darren Maffat at Oracle: Solaris'
    getgrouplist considers _SC_NGROUPS_MAX more of a guideline and can return
    a larger number of groups.  In this case, retry getgrouplist with a
    larger array and defer allocating groups_byname.  ok djm@

commit 039bf2a81797b8f3af6058d34005a4896a363221
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:06:57 2018 +1000

    Initial len for the fmt=NULL case.
    
    Patch from jjelen at redhat via bz#2687.  (OpenSSH never calls
    setproctitle with a null format so len is always initialized).

commit ea9c06e11d2e8fb2f4d5e02f8a41e23d2bd31ca9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Sep 7 14:01:39 2018 +1000

    Include stdlib.h.
    
    Patch from jjelen at redhat via bz#2687.

commit 9617816dbe73ec4d65075f4d897443f63a97c87f
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Aug 27 13:08:01 2018 +1000

    document some more regress control env variables
    
    Specifically SKIP_UNIT, USE_VALGRING and LTESTS. Sort the list of
    environment variables.
    
    Based on patch from Jakub Jelen

commit 71508e06fab14bc415a79a08f5535ad7bffa93d9
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 15:41:42 2018 +1000

    shorten temporary SSH_REGRESS_TMP path
    
    Previous path was exceeding max socket length on at least one platform (OSX)

commit 26739cf5bdc9030a583b41ae5261dedd862060f0
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 13:06:02 2018 +1000

    rebuild dependencies

commit ff729025c7463cf5d0a8d1ca1823306e48c6d4cf
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Aug 23 13:03:32 2018 +1000

    fix path in distclean target
    
    Patch from Jakub Jelen

commit 7fef173c28f7462dcd8ee017fdf12b5073f54c02
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Aug 23 03:01:08 2018 +0000

    upstream: memleak introduced in r1.83; from Colin Watson
    
    OpenBSD-Commit-ID: 5c019104c280cbd549a264a7217b67665e5732dc

commit b8ae02a2896778b8984c7f51566c7f0f56fa8b56
Author: schwarze@openbsd.org <schwarze@openbsd.org>
Date:   Tue Aug 21 13:56:27 2018 +0000

    upstream: AIX reports the CODESET as "ISO8859-1" in the POSIX locale.
    
    Treating that as a safe encoding is OK because even when other systems return
    that string for real ISO8859-1, it is still safe in the sense that it is
    ASCII-compatible and stateless.
    
    Issue reported by Val dot Baranov at duke dot edu.  Additional
    information provided by Michael dot Felt at felt dot demon dot nl.
    Tested by Michael Felt on AIX 6.1 and by Val Baranov on AIX 7.1.
    Tweak and OK djm@.
    
    OpenBSD-Commit-ID: 36f1210e0b229817d10eb490d6038f507b8256a7

commit bc44ee088ad269d232e514f037c87ada4c2fd3f0
Author: Tim Rice <tim@multitalents.net>
Date:   Tue Aug 21 08:57:24 2018 -0700

            modified:   openbsd-compat/port-uw.c
            remove obsolete and un-needed include

commit 829fc28a9c54e3f812ee7248c7a3e31eeb4f0b3a
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Aug 20 15:57:29 2018 +1000

    Missing unistd.h for regress/mkdtemp.c

commit c8313e492355a368a91799131520d92743d8d16c
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Aug 17 05:45:20 2018 +1000

    update version numbers in anticipation of release

commit 477b49a34b89f506f4794b35e3c70b3e2e83cd38
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Mon Aug 13 17:08:51 2018 +0200

    configure: work around GCC shortcoming on Cygwin
    
    Cygwin's latest 7.x GCC allows to specify -mfunction-return=thunk
    as well as -mindirect-branch=thunk on the command line, albeit
    producing invalid code, leading to an error at link stage.
    
    The check in configure.ac only checks if the option is present,
    but not if it produces valid code.
    
    This patch fixes it by special-casing Cygwin.  Another solution
    may be to change these to linker checks.
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit b0917945efa374be7648d67dbbaaff323ab39edc
Author: Corinna Vinschen <vinschen@redhat.com>
Date:   Mon Aug 13 17:05:05 2018 +0200

    cygwin: add missing stdarg.h include
    
    Further header file standarization in Cygwin uncovered a lazy
    indirect include in bsd-cygwin_util.c
    
    Signed-off-by: Corinna Vinschen <vinschen@redhat.com>

commit c3903c38b0fd168ab3d925c2b129d1a599593426
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Aug 13 02:41:05 2018 +0000

    upstream: revert compat.[ch] section of the following change. It
    
    causes double-free under some circumstances.
    
    --
    
    date: 2018/07/31 03:07:24;  author: djm;  state: Exp;  lines: +33 -18;  commitid: f7g4UI8eeOXReTPh;
    fix some memory leaks spotted by Coverity via Jakub Jelen in bz#2366
    feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 1e77547f60fdb5e2ffe23e2e4733c54d8d2d1137

commit 1b9dd4aa15208100fbc3650f33ea052255578282
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Aug 12 20:19:13 2018 +0000

    upstream: better diagnosics on alg list assembly errors; ok
    
    deraadt@ markus@
    
    OpenBSD-Commit-ID: 5a557e74b839daf13cc105924d2af06a1560faee

commit e36a5f61b0f5bebf6d49c215d228cd99dfe86e28
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Aug 11 18:08:45 2018 -0700

    Some AIX fixes; report from Michael Felt

commit 2f4766ceefe6657c5ad5fe92d13c411872acae0e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Aug 10 01:35:49 2018 +0000

    upstream: The script that cooks up PuTTY format host keys does not
    
    understand the new key format so convert back to old format to create the
    PuTTY key and remove it once done.
    
    OpenBSD-Regress-ID: 2a449a18846c3a144bc645135b551ba6177e38d3

commit e1b26ce504662a5d5b991091228984ccfd25f280
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:44:01 2018 +0000

    upstream: improve
    
    OpenBSD-Commit-ID: 40d839db0977b4e7ac8b647b16d5411d4faf2f60

commit 7c712966a3139622f7fb55045368d05de4e6782c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:42:29 2018 +0000

    upstream: Describe pubkey format, prompted by bz#2853
    
    While I'm here, describe and link to the remaining local PROTOCOL.*
    docs that weren't already mentioned (PROTOCOL.key, PROTOCOL.krl and
    PROTOCOL.mux)
    
    OpenBSD-Commit-ID: 2a900f9b994ba4d53e7aeb467d44d75829fd1231

commit ef100a2c5a8ed83afac0b8f36520815803da227a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Aug 10 00:27:15 2018 +0000

    upstream: fix numbering
    
    OpenBSD-Commit-ID: bc7a1764dff23fa4c5ff0e3379c9c4d5b63c9596

commit ed7bd5d93fe14c7bd90febd29b858ea985d14d45
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Aug 8 01:16:01 2018 +0000

    upstream: Use new private key format by default. This format is
    
    suported by OpenSSH >= 6.5 (released January 2014), so it should be supported
    by most OpenSSH versions in active use.
    
    It is possible to convert new-format private keys to the older
    format using "ssh-keygen -f /path/key -pm PEM".
    
    ok deraadt dtucker
    
    OpenBSD-Commit-ID: e3bd4f2509a2103bfa2f710733426af3ad6d8ab8

commit 967226a1bdde59ea137e8f0df871854ff7b91366
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Aug 4 00:55:06 2018 +0000

    upstream: invalidate dh->priv_key after freeing it in error path;
    
    avoids unlikely double-free later. Reported by Viktor Dukhovni via
    https://github.com/openssh/openssh-portable/pull/96 feedback jsing@ tb@
    
    OpenBSD-Commit-ID: e317eb17c3e05500ae851f279ef6486f0457c805

commit 74287f5df9966a0648b4a68417451dd18f079ab8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 31 03:10:27 2018 +0000

    upstream: delay bailout for invalid authentic
    
    =?UTF-8?q?ating=20user=20until=20after=20the=20packet=20containing=20the?=
    =?UTF-8?q?=20request=20has=20been=20fully=20parsed.=20Reported=20by=20Dar?=
    =?UTF-8?q?iusz=20Tytko=20and=20Micha=C5=82=20Sajdak;=20ok=20deraadt?=
    MIME-Version: 1.0
    Content-Type: text/plain; charset=UTF-8
    Content-Transfer-Encoding: 8bit
    
    OpenBSD-Commit-ID: b4891882fbe413f230fe8ac8a37349b03bd0b70d

commit 1a66079c0669813306cc69e5776a4acd9fb49015
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 31 03:07:24 2018 +0000

    upstream: fix some memory leaks spotted by Coverity via Jakub Jelen
    
    in bz#2366 feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 8402bbae67d578bedbadb0ce68ff7c5a136ef563

commit 87f08be054b7eeadbb9cdeb3fb4872be79ccf218
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 20 13:18:28 2018 +1000

    Remove support for S/Key
    
    Most people will 1) be using modern multi-factor authentication methods
    like TOTP/OATH etc and 2) be getting support for multi-factor
    authentication via PAM or BSD Auth.

commit 5d14019ba2ff54acbfd20a6b9b96bb860a8c7c31
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri Jul 27 12:03:17 2018 +0000

    upstream: avoid expensive channel_open_message() calls; ok djm@
    
    OpenBSD-Commit-ID: aea3b5512ad681cd8710367d743e8a753d4425d9

commit e655ee04a3cb7999dbf9641b25192353e2b69418
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 05:34:42 2018 +0000

    upstream: Now that ssh can't be setuid, remove the
    
    original_real_uid and original_effective_uid globals and replace with calls
    to plain getuid(). ok djm@
    
    OpenBSD-Commit-ID: 92561c0cd418d34e6841e20ba09160583e27b68c

commit 73ddb25bae4c33a0db361ac13f2e3a60d7c6c4a5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 05:13:02 2018 +0000

    upstream: Remove uid checks from low port binds. Now that ssh
    
    cannot be setuid and sshd always has privsep on, we can remove the uid checks
    for low port binds and just let the system do the check. We leave a sanity
    check for the !privsep case so long as the code is stil there.  with & ok
    djm@
    
    OpenBSD-Commit-ID: 9535cfdbd1cd54486fdbedfaee44ce4367ec7ca0

commit c12033e102760d043bc5c98e6c8180e4d331b0df
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jul 27 03:55:22 2018 +0000

    upstream: ssh(1) no longer supports being setuid root. Remove reference
    
    to crc32 which went with protocol 1.  Pointed out by deraadt@.
    
    OpenBSD-Commit-ID: f8763c25fd96ed91dd1abdab5667fd2e27e377b6

commit 4492e2ec4e1956a277ef507f51d66e5c2aafaaf8
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 27 14:15:28 2018 +1000

    correct snprintf truncation check in closefrom()
    
    Truncation cannot happen unless the system has set PATH_MAX to some
    nonsensically low value.
    
    bz#2862, patch from Daniel Le

commit 149cab325a8599a003364ed833f878449c15f259
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 27 13:46:06 2018 +1000

    Include stdarg.h in mkdtemp for va_list.

commit 6728f31bdfdc864d192773c32465b1860e23f556
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Jul 25 17:12:35 2018 +0000

    upstream: Don't redefine Makefile choices which come correct from
    
    bsd.*.mk ok markus
    
    OpenBSD-Commit-ID: 814b2f670df75759e1581ecef530980b2b3d7e0f

commit 21fd477a855753c1a8e450963669e28e39c3b5d2
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Wed Jul 25 13:56:23 2018 +0000

    upstream: fix indent; Clemens Goessnitzer
    
    OpenBSD-Commit-ID: b5149a6d92b264d35f879d24608087b254857a83

commit 8e433c2083db8664c41499ee146448ea7ebe7dbf
Author: beck@openbsd.org <beck@openbsd.org>
Date:   Wed Jul 25 13:10:56 2018 +0000

    upstream: Use the caller provided (copied) pwent struct in
    
    load_public_identity_files instead of calling getpwuid() again and discarding
    the argument. This prevents a client crash where tilde_expand_filename calls
    getpwuid() again before the pwent pointer is used. Issue noticed and reported
    by Pierre-Olivier Martel <pom@apple.com> ok djm@ deraadt@
    
    OpenBSD-Commit-ID: a067d74b5b098763736c94cc1368de8ea3f0b157

commit e2127abb105ae72b6fda64fff150e6b24b3f1317
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Jul 23 19:53:55 2018 +0000

    upstream: oops, failed to notice that SEE ALSO got messed up;
    
    OpenBSD-Commit-ID: 61c1306542cefdc6e59ac331751afe961557427d

commit ddf1b797c2d26bbbc9d410aa4f484cbe94673587
Author: kn@openbsd.org <kn@openbsd.org>
Date:   Mon Jul 23 19:02:49 2018 +0000

    upstream: Point to glob in section 7 for the actual list of special
    
    characters instead the C API in section 3.
    
    OK millert jmc nicm, "the right idea" deraadt
    
    OpenBSD-Commit-ID: a74fd215488c382809e4d041613aeba4a4b1ffc6

commit 01c98d9661d0ed6156e8602b650f72eed9fc4d12
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Jul 22 12:16:59 2018 +0000

    upstream: Switch authorized_keys example from ssh-dss to ssh-rsa
    
    since the former is no longer enabled by default.  Pointed out by Daniel A.
    Maierhofer, ok jmc
    
    OpenBSD-Commit-ID: 6a196cef53d7524e0c9b58cdbc1b5609debaf8c7

commit 472269f8fe19343971c2d08f504ab5cbb8234b33
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 20 05:01:10 2018 +0000

    upstream: slightly-clearer description for AuthenticationMethods - the
    
    lists have comma-separated elements; bz#2663 from Hans Meier
    
    OpenBSD-Commit-ID: 931c983d0fde4764d0942fb2c2b5017635993b5a

commit c59aca8adbdf7f5597084ad360a19bedb3f80970
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 20 14:53:42 2018 +1000

    Create control sockets in clean temp directories
    
    Adds a regress/mkdtemp tool and uses it to create empty temp
    directories for tests needing control sockets.
    
    Patch from Colin Watson via bz#2660; ok dtucker

commit 6ad8648e83e4f4ace37b742a05c2a6b6b872514e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 20 03:46:34 2018 +0000

    upstream: remove unused zlib.h
    
    OpenBSD-Commit-ID: 8d274a9b467c7958df12668b49144056819f79f1

commit 3ba6e6883527fe517b6e4a824876e2fe62af22fc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jul 19 23:03:16 2018 +0000

    upstream: Fix typo in comment. From Alexandru Iacob via github.
    
    OpenBSD-Commit-ID: eff4ec07c6c8c5483533da43a4dda37d72ef7f1d

commit c77bc73c91bc656e343a1961756e09dd1b170820
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 20 13:48:51 2018 +1000

    Explicitly include openssl before zlib.
    
    Some versions of OpenSSL have "free_func" in their headers, which zlib
    typedefs.  Including openssl after zlib (eg via sshkey.h) results in
    "syntax error before `free_func'", which this fixes.

commit 95d41e90eafcd1286a901e8e361e4a37b98aeb52
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jul 19 10:28:47 2018 +0000

    upstream: Deprecate UsePrivilegedPort now that support for running
    
    ssh(1) setuid has been removed, remove supporting code and clean up
    references to it in the man pages
    
    We have not shipped ssh(1) the setuid bit since 2002.  If ayone
    really needs to make connections from a low port number this can
    be implemented via a small setuid ProxyCommand.
    
    ok markus@ jmc@ djm@
    
    OpenBSD-Commit-ID: d03364610b7123ae4c6792f5274bd147b6de717e

commit 258dc8bb07dfb35a46e52b0822a2c5b7027df60a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jul 18 11:34:04 2018 +0000

    upstream: Remove support for running ssh(1) setuid and fatal if
    
    attempted. Do not link uidwap.c into ssh any more.  Neuters
    UsePrivilegedPort, which will be marked as deprecated shortly. ok markus@
    djm@
    
    OpenBSD-Commit-ID: c4ba5bf9c096f57a6ed15b713a1d7e9e2e373c42

commit ac590760b251506b0a152551abbf8e8d6dc2f527
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 16 22:25:01 2018 +0000

    upstream: Slot 0 in the hostbased key array was previously RSA1,
    
    but that is now gone and the slot is unused so remove it.  Remove two
    now-unused macros, and add an array bounds check to the two remaining ones
    (array is statically sized, so mostly a safety check on future changes). ok
    markus@
    
    OpenBSD-Commit-ID: 2e4c0ca6cc1d8daeccead2aa56192a3f9d5e1e7a

commit 26efc2f5df0e3bcf6a6bbdd0506fd682d60c2145
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 16 11:05:41 2018 +0000

    upstream: Remove support for loading HostBasedAuthentication keys
    
    directly in ssh(1) and always use ssh-keysign.  This removes one of the few
    remaining reasons why ssh(1) might be setuid.  ok markus@
    
    OpenBSD-Commit-ID: 97f01e1448707129a20d75f86bad5d27c3cf0b7d

commit 3eb7f1038d17af7aea3c2c62d1e30cd545607640
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 07:06:50 2018 +0000

    upstream: keep options.identity_file_userprovided array in sync when we
    
    load keys, fixing some spurious error messages; ok markus
    
    OpenBSD-Commit-ID: c63e3d5200ee2cf9e35bda98de847302566c6a00

commit 2f131e1b34502aa19f345e89cabf6fa3fc097f09
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 03:09:59 2018 +0000

    upstream: memleak in unittest; found by valgrind
    
    OpenBSD-Regress-ID: 168c23b0fb09fc3d0b438628990d3fd9260a8a5e

commit de2997a4cf22ca0a524f0e5b451693c583e2fd89
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jul 16 03:09:13 2018 +0000

    upstream: memleaks; found by valgrind
    
    OpenBSD-Commit-ID: 6c3ba22be53e753c899545f771e8399fc93cd844

commit 61cc0003eb37fa07603c969c12b7c795caa498f3
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Jul 14 16:49:01 2018 +1000

    Undef a few new macros in sys-queue.h.
    
    Prevents macro redefinition warnings on OSX.

commit 30a2c213877a54a44dfdffb6ca8db70be5b457e0
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 13 13:40:20 2018 +1000

    Include unistd.h for geteuid declaration.

commit 1dd32c23f2a85714dfafe2a9cc516971d187caa4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 13 13:38:10 2018 +1000

    Fallout from buffer conversion in AUDIT_EVENTS.
    
    Supply missing "int r" and fix error path for sshbuf_new().

commit 7449c178e943e5c4f6c8416a4e41d93b70c11c9e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 13 02:13:50 2018 +0000

    upstream: make this use ssh_proxy rather than starting/stopping a
    
    daemon for each testcase
    
    OpenBSD-Regress-ID: 608b7655ea65b1ba8fff5a13ce9caa60ef0c8166

commit dbab02f9208d9baa134cec1d007054ec82b96ca9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jul 13 02:13:19 2018 +0000

    upstream: fix leaks in unit test; with this, all unit tests are
    
    leak free (as far as valgrind can spot anyway)
    
    OpenBSD-Regress-ID: b824d8b27998365379963440e5d18b95ca03aa17

commit 2f6accff5085eb79b0dbe262d8b85ed017d1a51c
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 13 11:39:25 2018 +1000

    Enable leak checks for unit tests with valgrind
    
    Leave the leak checking on unconditionally when running with valgrind.
    The unit tests are leak-free and I want them to stay that way.

commit e46cfbd9db5e907b821bf4fd0184d4dab99815ee
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Jul 13 11:38:59 2018 +1000

    increase timeout to match cfgmatch.sh
    
    lets test pass under valgrind (on my workstation at least)

commit 6aa1bf475cf3e7a2149acc5a1e80e904749f064c
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:54:18 2018 +1000

    rm regress/misc/kexfuzz/*.o in distclean target

commit eef1447ddb559c03725a23d4aa6d03f40e8b0049
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:49:26 2018 +1000

    repair !WITH_OPENSSL build

commit 4d3b2f36fd831941d1627ac587faae37b6d3570f
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Jul 12 14:49:14 2018 +1000

    missing headers

commit 3f420a692b293921216549c1099c2e46ff284eae
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jul 12 14:57:46 2018 +1000

    Remove key.h from portable files too.
    
    Commit 5467fbcb removed key.h so stop including it in portable files
    too.  Fixes builds on lots of platforms.

commit e2c4af311543093f16005c10044f7e06af0426f0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jul 12 04:35:25 2018 +0000

    upstream: remove prototype to long-gone function
    
    OpenBSD-Commit-ID: 0414642ac7ce01d176b9f359091a66a8bbb640bd

commit 394a842e60674bf8ee5130b9f15b01452a0b0285
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jul 11 18:55:11 2018 +0000

    upstream: treat ssh_packet_write_wait() errors as fatal; ok djm@
    
    OpenBSD-Commit-ID: f88ba43c9d54ed2d911218aa8d3f6285430629c3

commit 5467fbcb09528ecdcb914f4f2452216c24796790
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jul 11 18:53:29 2018 +0000

    upstream: remove legacy key emulation layer; ok djm@
    
    OpenBSD-Commit-ID: 2b1f9619259e222bbd4fe9a8d3a0973eafb9dd8d

commit 5dc4c59d5441a19c99e7945779f7ec9051126c25
Author: martijn@openbsd.org <martijn@openbsd.org>
Date:   Wed Jul 11 08:19:35 2018 +0000

    upstream: s/wuth/with/ in comment
    
    OpenBSD-Commit-ID: 9de41468afd75f54a7f47809d2ad664aa577902c

commit 1c688801e9dd7f9889fb2a29bc2b6fbfbc35a11f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 12:12:38 2018 +1000

    Include stdlib.h for declaration of free.
    
    Fixes build with -Werror on at least Fedora and probably others.

commit fccfa239def497615f92ed28acc57cfe63da3666
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jul 11 10:19:56 2018 +1000

    VALGRIND_CHECK_LEAKS logic was backwards :(

commit 416287d45fcde0a8e66eee8b99aa73bd58607588
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:10:26 2018 +1000

    Fix sshbuf_new error path in skey.

commit 7aab109b8b90a353c1af780524f1ac0d3af47bab
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:06:18 2018 +1000

    Supply missing third arg in skey.
    
    During the change to the new buffer api the third arg to
    sshbuf_get_cstring was ommitted.  Fixes build when configured with skey.

commit 380320bb72cc353a901790ab04b6287fd335dc4a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 10:03:34 2018 +1000

    Supply some more missing "int r" in skey

commit d20720d373d8563ee737d1a45dc5e0804d622dbc
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jul 11 09:56:36 2018 +1000

    disable valgrind memleak checking by default
    
    Add VALGRIND_CHECK_LEAKS knob to turn it back on.

commit 79c9d35018f3a5e30ae437880b669aa8636cd3cd
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jul 11 09:54:00 2018 +1000

    Supply missing "int r" in skey code.

commit 984bacfaacbbe31c35191b828fb5b5b2f0362c36
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Tue Jul 10 09:36:58 2018 +0000

    upstream: re-remove some pre-auth compression bits
    
    This time, make sure to not remove things that are necessary for
    pre-auth compression on the client. Add a comment that pre-auth
    compression is still supported in the client.
    
    ok markus@
    
    OpenBSD-Commit-ID: 282c6fec7201f18a5c333bbb68d9339734d2f784

commit 120a1ec74e8d9d29f4eb9a27972ddd22351ddef9
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jul 10 19:39:52 2018 +1000

    Adapt portable to legacy buffer API removal

commit 0f3958c1e6ffb8ea4ba27e2a97a00326fce23246
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 09:13:30 2018 +0000

    upstream: kerberos/gssapi fixes for buffer removal
    
    OpenBSD-Commit-ID: 1cdf56fec95801e4563c47f21696f04cd8b60c4c

commit c74ae8e7c45f325f3387abd48fa7dfef07a08069
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 06:45:29 2018 +0000

    upstream: buffer.[ch] and bufaux.c are no more
    
    OpenBSD-Commit-ID: d1a1852284e554f39525eb4d4891b207cfb3d3a0

commit a881e5a133d661eca923fb0633a03152ab2b70b2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 10 06:43:52 2018 +0000

    upstream: one mention of Buffer that almost got away :)
    
    OpenBSD-Commit-ID: 30d7c27a90b4544ad5dfacf654595710cd499f02

commit 49f47e656b60bcd1d1db98d88105295f4b4e600d
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:59:10 2018 +0000

    upstream: replace cast with call to sshbuf_mutable_ptr(); ok djm@
    
    OpenBSD-Commit-ID: 4dfe9d29fa93d9231645c89084f7217304f7ba29

commit cb30cd47041edb03476be1c8ef7bc1f4b69d1555
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:56:06 2018 +0000

    upstream: remove legacy buffer API emulation layer; ok djm@
    
    OpenBSD-Commit-ID: 2dd5dc17cbc23195be4299fa93be2707a0e08ad9

commit 235c7c4e3bf046982c2d8242f30aacffa01073d1
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:53:45 2018 +0000

    upstream: sshd: switch monitor to sshbuf API; lots of help & ok
    
    djm@
    
    OpenBSD-Commit-ID: d89bd02d33974fd35ca0b8940d88572227b34a48

commit b8d9214d969775e409e1408ecdf0d58fad99b344
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:37:55 2018 +0000

    upstream: sshd: switch GSSAPI to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: e48449ab4be3f006f7ba33c66241b7d652973e30

commit c7d39ac8dc3587c5f05bdd5bcd098eb5c201c0c8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:35:50 2018 +0000

    upstream: sshd: switch authentication to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 880aa06bce4b140781e836bb56bec34873290641

commit c3cb7790e9efb14ba74b2d9f543ad593b3d55b31
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:29:36 2018 +0000

    upstream: sshd: switch config to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 72b02017bac7feac48c9dceff8355056bea300bd

commit 2808d18ca47ad3d251836c555f0e22aaca03d15c
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:26:02 2018 +0000

    upstream: sshd: switch loginmsg to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: f3cb4e54bff15c593602d95cc43e32ee1a4bac42

commit 89dd615b8b531979be63f05f9d5624367c9b28e6
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:20:26 2018 +0000

    upstream: ttymodes: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 5df340c5965e822c9da21e19579d08dea3cbe429

commit f4608a7065480516ab46214f554e5f853fb7870f
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:18:10 2018 +0000

    upstream: client: switch mux to sshbuf API; with & ok djm@
    
    OpenBSD-Commit-ID: 5948fb98d704f9c4e075b92edda64e0290b5feb2

commit cecee2d607099a7bba0a84803e2325d15be4277b
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 21:03:30 2018 +0000

    upstream: client: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 60cb0356114acc7625ab85105f6f6a7cd44a8d05

commit ff55f4ad898137d4703e7a2bcc81167dfe8e9324
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jul 9 20:39:28 2018 +0000

    upstream: pkcs11: switch to sshbuf API; ok djm@
    
    OpenBSD-Commit-ID: 98cc4e800f1617c51caf59a6cb3006f14492db79

commit 168b46f405d6736960ba7930389eecb9b6710b7e
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Mon Jul 9 13:37:10 2018 +0000

    upstream: Revert previous two commits
    
    It turns out we still support pre-auth compression on the client.
    Therefore revert the previous two commits:
    
    date: 2018/07/06 09:06:14;  author: sf;  commitid: yZVYKIRtUZWD9CmE;
     Rename COMP_DELAYED to COMP_ZLIB
    
     Only delayed compression is supported nowadays.
    
     ok markus@
    
    date: 2018/07/06 09:05:01;  author: sf;  commitid: rEGuT5UgI9f6kddP;
     Remove leftovers from pre-authentication compression
    
     Support for this has been removed in 2016.
     COMP_DELAYED will be renamed in a later commit.
    
     ok markus@
    
    OpenBSD-Commit-ID: cdfef526357e4e1483c86cf599491b2dafb77772

commit ab39267fa1243d02b6c330615539fc4b21e17dc4
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:06:14 2018 +0000

    upstream: Rename COMP_DELAYED to COMP_ZLIB
    
    Only delayed compression is supported nowadays.
    
    ok markus@
    
    OpenBSD-Commit-ID: 5b1dbaf3d9a4085aaa10fec0b7a4364396561821

commit 95db395d2e56a6f868193aead6cadb2493f036c6
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:05:01 2018 +0000

    upstream: Remove leftovers from pre-authentication compression
    
    Support for this has been removed in 2016.
    COMP_DELAYED will be renamed in a later commit.
    
    ok markus@
    
    OpenBSD-Commit-ID: 6a99616c832627157113fcb0cf5a752daf2e6b58

commit f28a4d5cd24c4aa177e96b4f96957991e552cb70
Author: sf@openbsd.org <sf@openbsd.org>
Date:   Fri Jul 6 09:03:02 2018 +0000

    upstream: Remove unused ssh_packet_start_compression()
    
    ok markus@
    
    OpenBSD-Commit-ID: 9d34cf2f59aca5422021ae2857190578187dc2b4

commit 872517ddbb72deaff31d4760f28f2b0a1c16358f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jul 6 13:32:02 2018 +1000

    Defer setting bufsiz in getdelim.
    
    Do not write to bufsiz until we are sure the malloc has succeeded,
    in case any callers rely on it (which they shouldn't).  ok djm@

commit 3deb56f7190a414dc264e21e087a934fa1847283
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jul 5 13:32:01 2018 +1000

    Fix other callers of read_environment_file.
    
    read_environment_file recently gained an extra argument   Some platform
    specific code also calls it so add the argument to those too.  Fixes
    build on Solaris and AIX.

commit 314908f451e6b2d4ccf6212ad246fa4619c721d3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:51:45 2018 +0000

    upstream: deal with API rename: match_filter_list() =>
    
    match_filter_blacklist()
    
    OpenBSD-Regress-ID: 2da342be913efeb51806351af906fab01ba4367f

commit 89f54cdf6b9cf1cf5528fd33897f1443913ddfb4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:51:12 2018 +0000

    upstream: exercise new expansion behaviour of
    
    PubkeyAcceptedKeyTypes and, by proxy, test kex_assemble_names()
    
    ok markus@
    
    OpenBSD-Regress-ID: 292978902e14d5729aa87e492dd166c842f72736

commit 187633f24c71564e970681c8906df5a6017dcccf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:53:26 2018 +0000

    upstream: add a comment that could have saved me 45 minutes of wild
    
    goose chasing
    
    OpenBSD-Regress-ID: d469b29ffadd3402c090e21b792d627d46fa5297

commit 312d2f2861a2598ed08587cb6c45c0e98a85408f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jul 4 13:49:31 2018 +0000

    upstream: repair PubkeyAcceptedKeyTypes (and friends) after RSA
    
    signature work - returns ability to add/remove/specify algorithms by
    wildcard.
    
    Algorithm lists are now fully expanded when the server/client configs
    are finalised, so errors are reported early and the config dumps
    (e.g. "ssh -G ...") now list the actual algorithms selected.
    
    Clarify that, while wildcards are accepted in algorithm lists, they
    aren't full pattern-lists that support negation.
    
    (lots of) feedback, ok markus@
    
    OpenBSD-Commit-ID: a8894c5c81f399a002f02ff4fe6b4fa46b1f3207

commit 303af5803bd74bf05d375c04e1a83b40c30b2be5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:43:49 2018 +0000

    upstream: some magic for RSA-SHA2 checks
    
    OpenBSD-Regress-ID: e5a9b11368ff6d86e7b25ad10ebe43359b471cd4

commit 7d68e262944c1fff1574600fe0e5e92ec8b398f5
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jul 3 23:27:11 2018 +1000

    depend

commit b4d4eda633af433d20232cbf7e855ceac8b83fe5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:20:25 2018 +0000

    upstream: some finesse to fix RSA-SHA2 certificate authentication
    
    for certs hosted in ssh-agent
    
    OpenBSD-Commit-ID: e5fd5edd726137dda2d020e1cdebc464110a010f

commit d78b75df4a57e0f92295f24298e5f2930e71c172
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 13:07:58 2018 +0000

    upstream: check correct variable; unbreak agent keys
    
    OpenBSD-Commit-ID: c36981fdf1f3ce04966d3310826a3e1e6233d93e

commit 2f30300c5e15929d0e34013f38d73e857f445e12
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:42:12 2018 +0000

    upstream: crank version number to 7.8; needed for new compat flag
    
    for prior version; part of RSA-SHA2 strictification, ok markus@
    
    OpenBSD-Commit-ID: 84a11fc0efd2674c050712336b5093f5d408e32b

commit 4ba0d54794814ec0de1ec87987d0c3b89379b436
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 11:39:54 2018 +0000

    upstream: Improve strictness and control over RSA-SHA2 signature
    
    In ssh, when an agent fails to return a RSA-SHA2 signature when
    requested and falls back to RSA-SHA1 instead, retry the signature to
    ensure that the public key algorithm sent in the SSH_MSG_USERAUTH
    matches the one in the signature itself.
    
    In sshd, strictly enforce that the public key algorithm sent in the
    SSH_MSG_USERAUTH message matches what appears in the signature.
    
    Make the sshd_config PubkeyAcceptedKeyTypes and
    HostbasedAcceptedKeyTypes options control accepted signature algorithms
    (previously they selected supported key types). This allows these
    options to ban RSA-SHA1 in favour of RSA-SHA2.
    
    Add new signature algorithms "rsa-sha2-256-cert-v01@openssh.com" and
    "rsa-sha2-512-cert-v01@openssh.com" to force use of RSA-SHA2 signatures
    with certificate keys.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: c6e9f6d45eed8962ad502d315d7eaef32c419dde

commit 95344c257412b51199ead18d54eaed5bafb75617
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jul 3 10:59:35 2018 +0000

    upstream: allow sshd_config PermitUserEnvironment to accept a
    
    pattern-list of whitelisted environment variable names in addition to yes|no.
    
    bz#1800, feedback and ok markus@
    
    OpenBSD-Commit-ID: 77dc2b468e0bf04b53f333434ba257008a1fdf24

commit 6f56fe4b9578b0627667f8bce69d4d938a88324c
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Tue Jun 26 11:23:59 2018 +0000

    upstream: Fix "WARNING: line 6 disappeared in /etc/moduli, giving up"
    
    when choosing a prime.  An extra increment of linenum snuck in as part of the
    conversion to getline().  OK djm@ markus@
    
    OpenBSD-Commit-ID: 0019225cb52ed621b71cd9f19ee2e78e57e3dd38

commit 1eee79a11c1b3594f055b01e387c49c9a6e80005
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Jul 2 14:13:30 2018 +0000

    upstream: One ampersand is enough to backgroud an process. OpenBSD
    
    doesn't seem to mind, but some platforms in -portable object to the second.
    
    OpenBSD-Regress-ID: d6c3e404871764343761dc25c3bbe29c2621ff74

commit 6301e6c787d4e26bfae1119ab4f747bbcaa94e44
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Jul 2 21:16:58 2018 +1000

    Add implementation of getline.
    
    Add getline for the benefit of platforms that don't have it.  Sourced
    from NetBSD (OpenBSD's implementation is a little too chummy with the
    internals of FILE).

commit 84623e0037628f9992839063151f7a9f5f13099a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 26 02:02:36 2018 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: 9276951caf4daf555f6d262e95720e7f79244572

commit 90e51d672711c19a36573be1785caf35019ae7a8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Jun 25 22:28:33 2018 +0000

    upstream: fix NULL dereference in open_listen_match_tcpip()
    
    OpenBSD-Commit-ID: c968c1d29e392352383c0f9681fcc1e93620c4a9

commit f535ff922a67d9fcc5ee69d060d1b21c8bb01d14
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue Jun 19 05:36:57 2018 +0000

    upstream: spelling;
    
    OpenBSD-Commit-ID: db542918185243bea17202383a581851736553cc

commit 80e199d6175904152aafc5c297096c3e18297691
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 19 03:02:17 2018 +0000

    upstream: test PermitListen with bare port numbers
    
    OpenBSD-Regress-ID: 4b50a02dfb0ccaca08247f3877c444126ba901b3

commit 87ddd676da0f3abd08b778b12b53b91b670dc93c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jun 19 02:59:41 2018 +0000

    upstream: allow bare port numbers to appear in PermitListen directives,
    
    e.g.
    
    PermitListen 2222 8080
    
    is equivalent to:
    
    PermitListen *:2222 *:8080
    
    Some bonus manpage improvements, mostly from markus@
    
    "looks fine" markus@
    
    OpenBSD-Commit-ID: 6546b0cc5aab7f53d65ad0a348ca0ae591d6dd24

commit 26f96ca10ad0ec5da9b05b99de1e1ccea15a11be
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 15 07:01:11 2018 +0000

    upstream: invalidate supplemental group cache used by
    
    temporarily_use_uid() when the target uid differs; could cause failure to
    read authorized_keys under some configurations. patch by Jakub Jelen via
    bz2873; ok dtucker, markus
    
    OpenBSD-Commit-ID: 48a345f0ee90f6c465a078eb5e89566b23abd8a1

commit 89a85d724765b6b82e0135ee5a1181fdcccea9c6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jun 10 23:45:41 2018 +0000

    upstream: unbreak SendEnv; patch from tb@
    
    OpenBSD-Commit-ID: fc808daced813242563b80976e1478de95940056

commit acf4260f0951f89c64e1ebbc4c92f451768871ad
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Jun 9 06:36:31 2018 +0000

    upstream: sort previous;
    
    OpenBSD-Commit-ID: 27d80d8b8ca99bc33971dee905e8ffd0053ec411

commit 1678d4236451060b735cb242d2e26e1ac99f0947
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:18:11 2018 +0000

    upstream: slightly better wording re handing of $TERM, from Jakub
    
    Jelen via bz2386
    
    OpenBSD-Commit-ID: 14bea3f069a93c8be66a7b97794255a91fece964

commit 28013759f09ed3ebf7e8335e83a62936bd7a7f47
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:03:10 2018 +0000

    upstream: add a SetEnv directive for sshd_config to allow an
    
    administrator to explicitly specify environment variables set in sessions
    started by sshd. These override the default environment and any variables set
    by user configuration (PermitUserEnvironment, etc), but not the SSH_*
    variables set by sshd itself.
    
    ok markus@
    
    OpenBSD-Commit-ID: b6a96c0001ccd7dd211df6cae9e961c20fd718c0

commit 7082bb58a2eb878d23ec674587c742e5e9673c36
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 03:01:12 2018 +0000

    upstream: add a SetEnv directive to ssh_config that allows setting
    
    environment variables for the remote session (subject to the server accepting
    them)
    
    refactor SendEnv to remove the arbitrary limit of variable names.
    
    ok markus@
    
    OpenBSD-Commit-ID: cfbb00d9b0e10c1ffff1d83424351fd961d1f2be

commit 3b9798bda15bd3f598f5ef07595d64e23504da91
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jun 9 02:58:02 2018 +0000

    upstream: reorder child environment preparation so that variables
    
    read from ~/.ssh/environment (if enabled) do not override SSH_* variables set
    by the server.
    
    OpenBSD-Commit-ID: 59f9d4c213cdcef2ef21f4b4ae006594dcf2aa7a

commit 0368889f82f63c82ff8db9f8c944d89e7c657db4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 8 03:35:36 2018 +0000

    upstream: fix incorrect expansion of %i in
    
    load_public_identity_files(); reported by Roumen Petrov
    
    OpenBSD-Commit-ID: a827289e77149b5e0850d72a350c8b0300e7ef25

commit 027607fc2db6a0475a3380f8d95c635482714cb0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 8 01:55:40 2018 +0000

    upstream: fix some over-long lines and __func__ up some debug
    
    messages
    
    OpenBSD-Commit-ID: c70a60b4c8207d9f242fc2351941ba50916bb267

commit 6ff6fda705bc204456a5fa12518dde6e8790bb02
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Jun 7 11:26:14 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: f98f16af10b28e24bcecb806cb71ea994b648fd6

commit f2c06ab8dd90582030991f631a2715216bf45e5a
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jun 8 17:43:36 2018 +1000

    Remove ability to override $LD.
    
    Since autoconf always uses $CC to link C programs, allowing users to
    override LD caused mismatches between what LD_LINK_IFELSE thought worked
    and what ld thought worked.  If you do need to do this kind of thing you
    need to set a compiler flag such as gcc's -fuse-ld in LDFLAGS.

commit e1542a80797b4ea40a91d2896efdcc76a57056d2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Jun 8 13:55:59 2018 +1000

    Better detection of unsupported compiler options.
    
    Should prevent "unsupported -Wl,-z,retpoline" warnings during linking.
    ok djm@

commit 57379dbd013ad32ee3f9989bf5f5741065428360
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 14:29:43 2018 +0000

    upstream: test the correct configuration option name
    
    OpenBSD-Regress-ID: 492279ea9f65657f97a970e0e7c7fd0b339fee23

commit 6d41815e202fbd6182c79780b6cc90e1ec1c9981
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 09:26:42 2018 +0000

    upstream: some permitlisten fixes from markus@ that I missed in my
    
    insomnia-fueled commits last night
    
    OpenBSD-Commit-ID: 26f23622e928996086e85b1419cc1c0f136e359c

commit 4319f7a868d86d435fa07112fcb6153895d03a7f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 04:46:34 2018 +0000

    upstream: permitlisten/PermitListen unit test from Markus
    
    OpenBSD-Regress-ID: ab12eb42f0e14926980441cf7c058a6d1d832ea5

commit fa09076410ffc2d34d454145af23c790d728921e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jun 7 04:31:51 2018 +0000

    upstream: fix regression caused by recent permitlisten option commit:
    
    authorized_keys lines that contained permitopen/permitlisten were being
    treated as invalid.
    
    OpenBSD-Commit-ID: 7ef41d63a5a477b405d142dc925b67d9e7aaa31b

commit 7f90635216851f6cb4bf3999e98b825f85d604f8
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Wed Jun 6 18:29:18 2018 +0000

    upstream: switch config file parsing to getline(3) as this avoids
    
    static limits noted by gerhard@; ok dtucker@, djm@
    
    OpenBSD-Commit-ID: 6d702eabef0fa12e5a1d75c334a8c8b325298b5c

commit 392db2bc83215986a91c0b65feb0e40e7619ce7e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:25:33 2018 +0000

    upstream: regress test for PermitOpen
    
    OpenBSD-Regress-ID: ce8b5f28fc039f09bb297fc4a92319e65982ddaf

commit 803d896ef30758135e2f438bdd1a0be27989e018
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:24:15 2018 +0000

    upstream: man bits for permitlisten authorized_keys option
    
    OpenBSD-Commit-ID: 86910af8f781a4ac5980fea125442eb25466dd78

commit 04df43208b5b460d7360e1598f876b92a32f5922
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:24:00 2018 +0000

    upstream: man bits for PermitListen
    
    OpenBSD-Commit-ID: 35b200cba4e46a16a4db6a80ef11838ab0fad67c

commit 93c06ab6b77514e0447fe4f1d822afcbb2a9be08
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:23:32 2018 +0000

    upstream: permitlisten option for authorized_keys; ok markus@
    
    OpenBSD-Commit-ID: 8650883018d7aa893173d703379e4456a222c672

commit 115063a6647007286cc8ca70abfd2a7585f26ccc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jun 6 18:22:41 2018 +0000

    upstream: Add a PermitListen directive to control which server-side
    
    addresses may be listened on when the client requests remote forwarding (ssh
    -R).
    
    This is the converse of the existing PermitOpen directive and this
    includes some refactoring to share much of its implementation.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: 15a931238c61a3f2ac74ea18a98c933e358e277f

commit 7703ae5f5d42eb302ded51705166ff6e19c92892
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Jun 6 16:04:29 2018 +1000

    Use ssh-keygen -A to generate missing host keys.
    
    Instead of testing for each specific key type, use ssh-keygen -A to
    generate any missing host key types.

commit e8d59fef1098e24f408248dc64e5c8efa5d01f3c
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 06:23:10 2018 +0000

    upstream: add missing punctuation after %i in ssh_config.5, and
    
    make the grammatical format in sshd_config.5 match that in ssh_config.5;
    
    OpenBSD-Commit-ID: e325663b9342f3d556e223e5306e0d5fa1a74fa0

commit a1f737d6a99314e291a87856122cb4dbaf64c641
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 05:52:26 2018 +0000

    upstream: oops - further adjustment to text neccessary;
    
    OpenBSD-Commit-ID: 23585576c807743112ab956be0fb3c786bdef025

commit 294028493471e0bd0c7ffe55dc0c0a67cba6ec41
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jun 1 05:50:18 2018 +0000

    upstream: %U needs to be escaped; tweak text;
    
    OpenBSD-Commit-ID: 30887b73ece257273fb619ab6f4e86dc92ddc15e

commit e5019da3c5a31e6e729a565f2b886a80c4be96cc
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jun 1 04:31:48 2018 +0000

    upstream: Apply umask to all incoming files and directories not
    
    just files. This makes sure it gets applied to directories too, and prevents
    a race where files get chmodded after creation.  bz#2839, ok djm@
    
    OpenBSD-Commit-ID: 3168ee6c7c39093adac4fd71039600cfa296203b

commit a1dcafc41c376332493b9385ee39f9754dc145ec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:52:37 2018 +0000

    upstream: Adapt to extra default verboisity from ssh-keygen when
    
    searching for and hashing known_hosts entries in a single operation
    (ssh-keygen -HF ...) Patch from Anton Kremenetsky
    
    OpenBSD-Regress-ID: 519585a4de35c4611285bd6a7272766c229b19dd

commit 76f314c75dffd4a55839d50ee23622edad52c168
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 22 00:22:49 2018 +0000

    upstream: Add TEST_SSH_FAIL_FATAL variable, to force all failures
    
    to instantly abort the test. Useful in capturing clean logs for individual
    failure cases.
    
    OpenBSD-Regress-ID: feba18cf338c2328b9601bd4093cabdd9baa3af1

commit 065c8c055df8d83ae7c92e5e524a579d87668aab
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 11 03:51:06 2018 +0000

    upstream: Clean up comment.
    
    OpenBSD-Regress-ID: 6adb35f384d447e7dcb9f170d4f0d546d3973e10

commit 01b048c8eba3b021701bd0ab26257fc82903cba8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 04:21:29 2018 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: e5edb5e843ddc9b73a8e46518899be41d5709add

commit 854ae209f992465a276de0b5f10ef770510c2418
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 04:05:29 2018 +0000

    upstream: make ssh_remote_ipaddr() capable of being called after
    
    the ssh->state has been torn down; bz#2773
    
    OpenBSD-Commit-ID: 167f12523613ca3d16d7716a690e7afa307dc7eb

commit 3e088aaf236ef35beeef3c9be93fd53700df5861
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:51:34 2018 +0000

    upstream: return correct exit code when searching for and hashing
    
    known_hosts entries in a single operation (ssh-keygen -HF hostname); bz2772
    Report and fix from Anton Kremenetsky
    
    OpenBSD-Commit-ID: ac10ca13eb9bb0bc50fcd42ad11c56c317437b58

commit 9c935dd9bf05628826ad2495d3e8bdf3d3271c21
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:33:53 2018 +0000

    upstream: make UID available as a %-expansion everywhere that the
    
    username is available currently. In the client this is via %i, in the server
    %U (since %i was already used in the client in some places for this, but used
    for something different in the server); bz#2870, ok dtucker@
    
    OpenBSD-Commit-ID: c7e912b0213713316cb55db194b3a6415b3d4b95

commit d8748b91d1d6c108c0c260ed41fa55f37b9ef34b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jun 1 03:11:49 2018 +0000

    upstream: prefer argv0 to "ssh" when re-executing ssh for ProxyJump
    
    directive; bz2831, feedback and ok dtucker@
    
    OpenBSD-Commit-ID: 3cec709a131499fbb0c1ea8a0a9e0b0915ce769e

commit fbb4b5fd4f8e0bb89732670a01954e18b69e15ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 25 07:11:01 2018 +0000

    upstream: Do not ban PTY allocation when a sshd session is restricted
    
    because the user password is expired as it breaks password change dialog.
    
    regression in openssh-7.7 reported by Daniel Wagner
    
    OpenBSD-Commit-ID: 9fc09c584c6f1964b00595e3abe7f83db4d90d73

commit f6a59a22b0c157c4c4e5fd7232f868138223be64
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 25 04:25:46 2018 +0000

    upstream: Fix return value confusion in several functions (readdir,
    
    download and fsync). These should return -1 on error, not a sftp status code.
    
    patch from Petr Cerny in bz#2871
    
    OpenBSD-Commit-ID: 651aa0220ad23c9167d9297a436162d741f97a09

commit 1da5934b860ac0378d52d3035b22b6670f6a967e
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 25 03:20:59 2018 +0000

    upstream: If select() fails in ssh_packet_read_seqnr go directly to
    
    the error path instead of trying to read from the socket on the way out,
    which resets errno and causes the true error to be misreported.  ok djm@
    
    OpenBSD-Commit-ID: 2614edaadbd05a957aa977728aa7a030af7c6f0a

commit 4ef75926ef517d539f2c7aac3188b09f315c86a7
Author: Damien Miller <djm@mindrot.org>
Date:   Fri May 25 13:36:58 2018 +1000

    Permit getuid()/geteuid() syscalls.
    
    Requested for Linux/s390; patch from Eduardo Barretto via bz#2752;
    ok dtucker

commit 4b22fd8ecefd059a66140be67f352eb6145a9d88
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue May 22 00:13:26 2018 +0000

    upstream: support ProxyJump=none to disable ProxyJump
    
    functionality; bz#2869 ok dtucker@
    
    OpenBSD-Commit-ID: 1c06ee08eb78451b5837fcfd8cbebc5ff3a67a01

commit f41bcd70f55b4f0fc4d8e1039cb361ac922b23fb
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Tue May 15 05:40:11 2018 +0000

    upstream: correct keyowrd name (permitemptypasswords); from brendan
    
    macdonell
    
    OpenBSD-Commit-ID: ef1bdbc936b2ea693ee37a4c20a94d4d43f5fda3

commit f18bc97151340127859634d20d79fd39ec8a7f39
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 11 04:01:11 2018 +0000

    upstream: Emphasise that -w implicitly sets Tunnel=point-to-point
    
    and that users should specify an explicit Tunnel directive if they don't want
    this. bz#2365.
    
    OpenBSD-Commit-ID: 1a8d9c67ae213ead180481900dbbb3e04864560d

commit 32e4e94e1511fe0020fbfbb62399d31b2d22a801
Author: Damien Miller <djm@mindrot.org>
Date:   Mon May 14 14:40:08 2018 +1000

    sync fmt_scaled.c
    
    revision 1.17
    date: 2018/05/14 04:39:04;  author: djm;  state: Exp;  lines: +5 -2;
    commitid: 53zY8GjViUBnWo8Z;
    constrain fractional part to [0-9] (less confusing to static analysis); ok ian@

commit 54268d589e85ecc43d3eba8d83f327bdada9d696
Author: Damien Miller <djm@mindrot.org>
Date:   Fri May 11 14:04:40 2018 +1000

    fix key-options.sh on platforms without openpty(3)
    
    Skip the pty tests if the platform lacks openpty(3) and has to chown(2)
    the pty device explicitly. This typically requires root permissions that
    this test lacks.
    
    bz#2856 ok dtucker@

commit b2140a739be4c3b43cc1dc08322dca39a1e39d20
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri May 11 03:38:51 2018 +0000

    upstream: implement EMFILE mitigation for ssh-agent: remember the
    
    fd rlimit and stop accepting new connections when it is exceeded (with some
    grace). Accept is resumed when enough connections are closed.
    
    bz#2576. feedback deraadt; ok dtucker@
    
    OpenBSD-Commit-ID: 6a85d9cec7b85741961e7116a49f8dae777911ea

commit fdba503fdfc647ee8a244002f1581e869c1f3d90
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri May 11 03:22:55 2018 +0000

    upstream: Explicit cast when snprintf'ing an uint64. Prevents
    
    warnings on platforms where int64 is long not long long.  ok djm@
    
    OpenBSD-Commit-ID: 9c5359e2fbfce11dea2d93f7bc257e84419bd001

commit e7751aa4094d51a9bc00778aa8d07e22934c55ee
Author: bluhm@openbsd.org <bluhm@openbsd.org>
Date:   Thu Apr 26 14:47:03 2018 +0000

    upstream: Since the previous commit, ssh regress test sftp-chroot was
    
    failing. The sftp program terminated with the wrong exit code as sftp called
    fatal() instad of exit(0).  So when the sigchld handler waits for the child,
    remember that it was found.  Then don't expect that main() can wait again. OK
    dtucker@
    
    OpenBSD-Commit-ID: bfafd940c0de5297940c71ddf362053db0232266

commit 7c15301841e2e9d37cae732400de63ae9c0961d6
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Apr 29 17:54:12 2018 +1000

    Use includes.h instead of config.h.
    
    This ensures it picks up the definition of DEF_WEAK, the lack of which
    can cause compile errors in some cases (eg modern AIX).  From
    michael at felt.demon.nl.

commit cec338967a666b7c8ad8b88175f2faeddf268116
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Apr 19 09:53:14 2018 +1000

    Omit 3des-cbc if OpenSSL built without DES.
    
    Patch from hongxu.jia at windriver.com, ok djm@

commit a575ddd58835759393d2dddd16ebe5abdb56485e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Apr 16 22:50:44 2018 +0000

    upstream: Disable SSH2_MSG_DEBUG messages for Twisted Conch clients
    
    without version numbers since they choke on them under some circumstances.
    https://twistedmatrix.com/trac/ticket/9422 via Colin Watson
    
    Newer Conch versions have a version number in their ident string and
    handle debug messages okay. https://twistedmatrix.com/trac/ticket/9424
    
    OpenBSD-Commit-ID: 6cf7be262af0419c58ddae11324d9c0dc1577539

commit 390c7000a8946db565b66eab9e52fb11948711fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Apr 14 21:50:41 2018 +0000

    upstream: don't free the %C expansion, it's used later for
    
    LocalCommand
    
    OpenBSD-Commit-ID: 857b5cb37b2d856bfdfce61289a415257a487fb1

commit 3455f1e7c48e2e549192998d330214975b9b1dc7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 13 05:04:12 2018 +0000

    upstream: notify user immediately when underlying ssh process dies;
    
    patch from Thomas Kuthan in bz2719; ok dtucker@
    
    OpenBSD-Commit-ID: 78fac88c2f08054d1fc5162c43c24162b131cf78

commit 1c5b4bc827f4abc3e65888cda061ad5edf1b8c7c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 16:23:57 2018 +1000

    Allow nanosleep in preauth privsep child.
    
    The new timing attack mitigation code uses nanosleep in the preauth
    codepath, allow in systrace andbox too.

commit 0e73428038d5ecfa5d2a28cff26661502a7aff4e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 16:06:29 2018 +1000

    Allow nanosleep in preauth privsep child.
    
    The new timing attack mitigation code uses nanosleep in the preauth
    codepath, allow in sandbox.

commit e9d910b0289c820852f7afa67f584cef1c05fe95
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Apr 13 03:57:26 2018 +0000

    upstream: Defend against user enumeration timing attacks. This
    
    establishes a minimum time for each failed authentication attempt (5ms) and
    adds a per-user constant derived from a host secret (0-4ms).  Based on work
    by joona.kannisto at tut.fi, ok markus@ djm@.
    
    OpenBSD-Commit-ID: b7845b355bb7381703339c8fb0e57e81a20ae5ca

commit d97874cbd909eb706886cd0cdd418f812c119ef9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 13:43:55 2018 +1000

    Using "==" in shell tests is not portable.
    
    Patch from rsbecker at nexbridge.com.

commit cfb1d9bc76734681e3dea532a1504fcd466fbe91
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 13 13:38:06 2018 +1000

    Fix tunnel forwarding broken in 7.7p1
    
    bz2855, ok dtucker@

commit afa6e79b76fb52a0c09a29688b5c0d125eb08302
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 13 13:31:42 2018 +1000

    prefer to use getrandom() for PRNG seeding
    
    Only applies when built --without-openssl. Thanks Jann Horn for
    reminder.

commit 575fac34a97f69bc217b235f81de9f8f433eceed
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Apr 13 13:13:33 2018 +1000

    Revert $REGRESSTMP changes.
    
    Revert 3fd2d229 and subsequent changes as they turned out to be a
    portability hassle.

commit 10479cc2a4acd6faaf643eb305233b49d70c31c1
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Apr 10 10:19:02 2018 +1000

    Many typo fixes from Karsten Weiss
    
    Spotted using https://github.com/lucasdemarchi/codespell

commit 907da2f88519b34189fd03fac96de0c52d448233
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:14:10 2018 +0000

    upstream: more typos spotted by Karsten Weiss using codespell
    
    OpenBSD-Regress-ID: d906a2aea0663810a658b7d0bc61a1d2907d4d69

commit 37e5f4a7ab9a8026e5fc2f47dafb0f1b123d39e9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:13:27 2018 +0000

    upstream: make this a bit more portable-friendly
    
    OpenBSD-Regress-ID: 62f7b9e055e8dfaab92b3825f158beeb4ca3f963

commit 001aa55484852370488786bd40e9fdad4b465811
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Apr 10 00:10:49 2018 +0000

    upstream: lots of typos in comments/docs. Patch from Karsten Weiss
    
    after checking with codespell tool
    (https://github.com/lucasdemarchi/codespell)
    
    OpenBSD-Commit-ID: 373222f12d7ab606598a2d36840c60be93568528

commit 260ede2787fe80b18b8d5920455b4fb268519c7d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Apr 9 23:54:49 2018 +0000

    upstream: don't kill ssh-agent's listening socket entriely if we
    
    fail to accept a connection; bz#2837, patch from Lukas Kuster
    
    OpenBSD-Commit-ID: 52413f5069179bebf30d38f524afe1a2133c738f

commit ebc8b4656f9b0f834a642a9fb3c9fbca86a61838
Author: tj@openbsd.org <tj@openbsd.org>
Date:   Mon Apr 9 20:41:22 2018 +0000

    upstream: the UseLogin option was removed, so remove it here too.
    
    ok dtucker
    
    OpenBSD-Commit-ID: 7080be73a64d68e21f22f5408a67a0ba8b1b6b06

commit 3e36f281851fc8e9c996b33f108b2ae167314fbe
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sun Apr 8 07:36:02 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 2b9c23022ea7b9dddb62864de4e906000f9d7474

commit 8368571efd6693c5c57f850e23a2372acf3f865f
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Apr 7 13:50:10 2018 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 38e347b6f8e888f5e0700d01abb1eba7caa154f9

commit 555294a7279914ae6795b71bedf4e6011b7636df
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 13:02:39 2018 +0000

    upstream: Allow "SendEnv -PATTERN" to clear environment variables
    
    previously labeled for sendind. bz#1285 ok dtucker@
    
    OpenBSD-Commit-ID: f6fec9e3d0f366f15903094fbe1754cb359a0df9

commit 40f5f03544a07ebd2003b443d42e85cb51d94d59
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 04:15:45 2018 +0000

    upstream: relax checking of authorized_keys environment="..."
    
    options to allow underscores in variable names (regression introduced in
    7.7). bz2851, ok deraadt@
    
    OpenBSD-Commit-ID: 69690ffe0c97ff393f2c76d25b4b3d2ed4e4ac9c

commit 30fd7f9af0f553aaa2eeda5a1f53f26cfc222b5e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 03:51:27 2018 +0000

    upstream: add a couple of missed options to the config dump; patch
    
    from Jakub Jelen via bz2835
    
    OpenBSD-Commit-ID: 5970adadf6ef206bee0dddfc75d24c2019861446

commit 8d6829be324452d2acd282d5f8ceb0adaa89a4de
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Apr 6 03:34:27 2018 +0000

    upstream: ssh does not accept -oInclude=... on the commandline, the
    
    Include keyword is for configuration files only. bz#2840, patch from Jakub
    Jelen
    
    OpenBSD-Commit-ID: 32d052b4a7a7f22df35fe3f71c368c02b02cacb0

commit 00c5222ddc0c8edcaa4ea45ac03befdc8013d137
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Apr 5 22:54:28 2018 +0000

    upstream: We don't offer CBC cipher by default any more. Spotted by
    
    Renaud Allard (via otto@)
    
    OpenBSD-Commit-ID: a559b1eef741557dd959ae378b665a2977d92dca

commit 5ee8448ad7c306f05a9f56769f95336a8269f379
Author: job@openbsd.org <job@openbsd.org>
Date:   Wed Apr 4 15:12:17 2018 +0000

    upstream: Update default IPQoS in ssh(1), sshd(8) to DSCP AF21 for
    
    interactive and CS1 for bulk
    
    AF21 was selected as this is the highest priority within the low-latency
    service class (and it is higher than what we have today). SSH is elastic
    and time-sensitive data, where a user is waiting for a response via the
    network in order to continue with a task at hand. As such, these flows
    should be considered foreground traffic, with delays or drops to such
    traffic directly impacting user-productivity.
    
    For bulk SSH traffic, the CS1 "Lower Effort" marker was chosen to enable
    networks implementing a scavanger/lower-than-best effort class to
    discriminate scp(1) below normal activities, such as web surfing. In
    general this type of bulk SSH traffic is a background activity.
    
    An advantage of using "AF21" for interactive SSH and "CS1" for bulk SSH
    is that they are recognisable values on all common platforms (IANA
    https://www.iana.org/assignments/dscp-registry/dscp-registry.xml), and
    for AF21 specifically a definition of the intended behavior exists
    https://tools.ietf.org/html/rfc4594#section-4.7 in addition to the definition
    of the Assured Forwarding PHB group https://tools.ietf.org/html/rfc2597, and
    for CS1 (Lower Effort) there is https://tools.ietf.org/html/rfc3662
    
    The first three bits of "AF21" map to the equivalent IEEEE 802.1D PCP, IEEE
    802.11e, MPLS EXP/CoS and IP Precedence value of 2 (also known as "Immediate",
    or "AC_BE"), and CS1's first 3 bits map to IEEEE 802.1D PCP, IEEE 802.11e,
    MPLS/CoS and IP Precedence value 1 ("Background" or "AC_BK").
    
    OK deraadt@, "no objection" djm@
    
    OpenBSD-Commit-ID: d11d2a4484f461524ef0c20870523dfcdeb52181

commit 424b544fbda963f973da80f884717c3e0a513288
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Apr 3 02:14:08 2018 +0000

    upstream: Import regenerated moduli file.
    
    OpenBSD-Commit-ID: 1de0e85522051eb2ffa00437e1885e9d7b3e0c2e

commit 323f66ce934df2da551f256f37d69822428e1ca1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Apr 6 04:18:35 2018 +0000

    upstream: Add test for username options parsing order, prompted by
    
    bz#2849.
    
    OpenBSD-Regress-ID: 6985cd32f38596882a3ac172ff8c510693b65283

commit e8f474554e3bda102a797a2fbab0594ccc66f097
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Apr 6 14:11:44 2018 +1000

    Expose SSH_AUTH_INFO_0 to PAM auth modules
    
    bz#2408, patch from Radoslaw Ejsmont; ok dtucker@

commit 014ba209cf4c6a159baa30ecebbaddfa97da7100
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Apr 3 12:18:00 2018 +1000

    Import regenerated moduli file.

commit a0349a1cc4a18967ad1dbff5389bcdf9da098814
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Apr 2 15:38:28 2018 +1000

    update versions in .spec files

commit 816ad38f79792f5617e3913be306ddb27e91091c
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Apr 2 15:38:20 2018 +1000

    update version number

commit 2c71ca1dd1efe458cb7dee3f8a1a566f913182c2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Mar 30 18:23:07 2018 +1100

    Disable native strndup and strnlen on AIX.
    
    On at least some revisions of AIX, strndup returns unterminated strings
    under some conditions, apparently because strnlen returns incorrect
    values in those cases.  Disable both on AIX and use the replacements
    from openbsd-compat.  Fixes problem with ECDSA keys there, ok djm.

commit 6b5a17bc14e896e3904dc58d889b58934cfacd24
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 26 13:12:44 2018 +1100

    Include ssh_api.h for struct ssh.
    
    struct ssh is needed by implementations of sys_auth_passwd() that were
    converted in commit bba02a50.  Needed to fix build on AIX, I assume for
    the other platforms too (although it should be harmless if not needed).

commit bc3f80e4d191b8e48650045dfa8a682cd3aabd4d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 26 12:58:09 2018 +1100

    Remove UNICOS code missed during removal.
    
    Fixes compile error on AIX.

commit 9d57762c24882e2f000a21a0ffc8c5908a1fa738
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:29:03 2018 +0000

    upstream: openssh-7.7
    
    OpenBSD-Commit-ID: 274e614352460b9802c905f38fb5ea7ed5db3d41

commit 4b7d8acdbbceef247dc035e611e577174ed8a87e
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Mar 26 09:37:02 2018 +1100

    Remove authinfo.sh test dependency on printenv
    
    Some platforms lack printenv in the default $PATH.
    Reported by Tom G. Christensen

commit 4afeaf3dcb7dc70efd98fcfcb0ed28a6b40b820e
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 25 10:00:21 2018 -0700

            Use libiaf on all sysv5 systems

commit bba02a5094b3db228ceac41cb4bfca165d0735f3
Author: Tim Rice <tim@multitalents.net>
Date:   Sun Mar 25 09:17:33 2018 -0700

            modified:   auth-sia.c
            modified:   openbsd-compat/port-aix.c
            modified:   openbsd-compat/port-uw.c
    
            propogate changes to auth-passwd.c in commit
            7c856857607112a3dfe6414696bf4c7ab7fb0cb3 to other providers
            of sys_auth_passwd()

commit d7a7a39168bdfe273587bf85d779d60569100a3f
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:29:03 2018 +0000

    upstream: openssh-7.7
    
    OpenBSD-Commit-ID: 274e614352460b9802c905f38fb5ea7ed5db3d41

commit 9efcaaac314c611c6c0326e8bac5b486c424bbd2
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Sat Mar 24 19:28:43 2018 +0000

    upstream: fix bogus warning when signing cert keys using agent;
    
    from djm; ok deraadt dtucker
    
    OpenBSD-Commit-ID: 12e50836ba2040042383a8b71e12d7ea06e9633d

commit 393436024d2e4b4c7a01f9cfa5854e7437896d11
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Mar 25 09:40:46 2018 +1100

    Replace /dev/stdin with "-".
    
    For some reason sftp -b doesn't work with /dev/stdin on Cygwin, as noted
    and suggested by vinschen at redhat.com.

commit b5974de1a1d419e316ffb6524b1b277dda2f3b49
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Mar 23 13:21:14 2018 +1100

    Provide $OBJ to paths in PuTTY interop tests.

commit dc31e79454e9b9140b33ad380565fdb59b9c4f33
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Mar 16 09:06:31 2018 +0000

    upstream: Tell puttygen to use /dev/urandom instead of /dev/random. On
    
    OpenBSD they are both non-blocking, but on many other -portable platforms it
    blocks, stalling tests.
    
    OpenBSD-Regress-ID: 397d0d4c719c353f24d79f5b14775e0cfdf0e1cc

commit cb1f94431ef319cd48618b8b771b58739a8210cf
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 22 07:06:11 2018 +0000

    upstream: ssh/xmss: fix build; ok djm@
    
    OpenBSD-Commit-ID: c9374ca41d4497f1c673ab681cc33f6e7c5dd186

commit 27979da9e4074322611355598f69175b9ff10d39
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 22 07:05:48 2018 +0000

    upstream: ssh/xmss: fix deserialize for certs; ok djm@
    
    OpenBSD-Commit-ID: f44c41636c16ec83502039828beaf521c057dddc

commit c6cb2565c9285eb54fa9dfbb3890f5464aff410f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Mar 22 17:00:28 2018 +1100

    Save $? before case statement.
    
    In some shells (FreeBSD 9, ash) the case statement resets $?, so save
    for later testing.

commit 4c4e7f783b43b264c247233acb887ee10ed4ce4d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 14 05:35:40 2018 +0000

    upstream: rename recently-added "valid-before" key restriction to
    
    "expiry-time" as the former is confusing wrt similar terminology in X.509;
    pointed out by jsing@
    
    OpenBSD-Regress-ID: ac8b41dbfd90cffd525d58350c327195b0937793

commit 500396b204c58e78ad9d081516a365a9f28dc3fd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:56:03 2018 +0000

    upstream: check valid-before option in authorized_keys
    
    OpenBSD-Regress-ID: 7e1e4a84f7f099a290e5a4cbf4196f90ff2d7e11

commit a76b5d26c2a51d7dd7a5164e683ab3f4419be215
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:54:04 2018 +0000

    upstream: explicitly specify RSA/SHA-2 keytype here too
    
    OpenBSD-Regress-ID: 74d7b24e8c72c27af6b481198344eb077e993a62

commit 3a43297ce29d37c64e37c7e21282cb219e28d3d1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:52:57 2018 +0000

    upstream: exlicitly include RSA/SHA-2 keytypes in
    
    PubkeyAcceptedKeyTypes here
    
    OpenBSD-Regress-ID: 954d19e0032a74e31697fb1dc7e7d3d1b2d65fe9

commit 037fdc1dc2d68e1d43f9c9e2586c02cabc8f7cc8
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Wed Mar 14 06:56:20 2018 +0000

    upstream: sort expiry-time;
    
    OpenBSD-Commit-ID: 8c7d82ee1e63e26ceb2b3d3a16514019f984f6bf

commit abc0fa38c9bc136871f28e452c3465c3051fc785
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 14 05:35:40 2018 +0000

    upstream: rename recently-added "valid-before" key restriction to
    
    "expiry-time" as the former is confusing wrt similar terminology in X.509;
    pointed out by jsing@
    
    OpenBSD-Commit-ID: 376939466a1f562f3950a22314bc6505733aaae6

commit bf0fbf2b11a44f06a64b620af7d01ff171c28e13
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Mar 12 00:52:01 2018 +0000

    upstream: add valid-before="[time]" authorized_keys option. A
    
    simple way of giving a key an expiry date. ok markus@
    
    OpenBSD-Commit-ID: 1793b4dd5184fa87f42ed33c7b0f4f02bc877947

commit fbd733ab7adc907118a6cf56c08ed90c7000043f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 12 19:17:26 2018 +1100

    Add AC_LANG_PROGRAM to AC_COMPILE_IFELSE.
    
    The recently added MIPS ABI tests need AC_LANG_PROGRAM to prevent
    warnings from autoconf.  Pointed out by klausz at haus-gisela.de.

commit c7c458e8261b04d161763cd333d74e7a5842e917
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Mar 7 23:53:08 2018 +0000

    upstream: revert recent strdelim() change, it causes problems with
    
    some configs.
    
    revision 1.124
    date: 2018/03/02 03:02:11;  author: djm;  state: Exp;  lines: +19 -8;  commitid: nNRsCijZiGG6SUTT;
    Allow escaped quotes \" and \' in ssh_config and sshd_config quotes
    option strings. bz#1596 ok markus@
    
    OpenBSD-Commit-ID: 59c40b1b81206d713c06b49d8477402c86babda5

commit 0bcd871ccdf3baf2b642509ba4773d5be067cfa2
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Mar 5 07:03:18 2018 +0000

    upstream: move the input format details to -f; remove the output
    
    format details and point to sshd(8), where it is documented;
    
    ok dtucker
    
    OpenBSD-Commit-ID: 95f17e47dae02a6ac7329708c8c893d4cad0004a

commit 45011511a09e03493568506ce32f4891a174a3bd
Author: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
Date:   Tue Jun 20 16:42:28 2017 +0100

    configure.ac: properly set seccomp_audit_arch for MIPS64
    
    Currently seccomp_audit_arch is set to AUDIT_ARCH_MIPS64 or
    AUDIT_ARCH_MIPSEL64 (depending on the endinness) when openssh is built
    for MIPS64. However, that's only valid for n64 ABI. The right macros for
    n32 ABI defined in seccomp.h are AUDIT_ARCH_MIPS64N32 and
    AUDIT_ARCH_MIPSEL64N32, for big and little endian respectively.
    
    Because of that an sshd built for MIPS64 n32 rejects connection attempts
    and the output of strace reveals that the problem is related to seccomp
    audit:
    
    [pid   194] prctl(PR_SET_SECCOMP, SECCOMP_MODE_FILTER, {len=57,
    filter=0x555d5da0}) = 0
    [pid   194] write(7, "\0\0\0]\0\0\0\5\0\0\0Ulist_hostkey_types: "..., 97) = ?
    [pid   193] <... poll resumed> )        = 2 ([{fd=5, revents=POLLIN|POLLHUP},
    {fd=6, revents=POLLHUP}])
    [pid   194] +++ killed by SIGSYS +++
    
    This patch fixes that problem by setting the right value to
    seccomp_audit_arch taking into account the MIPS64 ABI.
    
    Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>

commit 580086704c31de91dc7ba040a28e416bf1fefbca
Author: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
Date:   Tue Jun 20 16:42:11 2017 +0100

    configure.ac: detect MIPS ABI
    
    Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>

commit cd4e937aa701f70366cd5b5969af525dff6fdf15
Author: Alan Yee <alyee@ucsd.edu>
Date:   Wed Mar 7 15:12:14 2018 -0800

    Use https URLs for links that support it.

commit c0a0c3fc4a76b682db22146b28ddc46566db1ce9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 20:03:07 2018 +1100

    Disable UTMPX on SunOS4.

commit 58fd4c5c0140f6636227ca7acbb149ab0c2509b9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 19:28:08 2018 +1100

    Check for and work around buggy fflush(NULL).
    
    Some really old platforms (eg SunOS4) segfault on fflush(NULL) so check
    for and work around.  With klausz at haus-gisela.de.

commit 71e48bc7945f867029e50e06c665c66aed6d3c64
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Mar 5 10:22:32 2018 +1100

    Remove extra XMSS #endif
    
    Extra #endif breaks compile with -DWITH_XMSS.  Pointed out by Jack
    Schmidt via github.

commit 055e09e2212ff52067786bf6d794ca9512ff7f0c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sat Mar 3 06:37:53 2018 +0000

    upstream: Update RSA minimum modulus size to 1024. sshkey.h rev 1.18
    
    bumped the minimum from 768 to 1024, update man page accordingly.
    
    OpenBSD-Commit-ID: 27563ab4e866cd2aac40a5247876f6787c08a338

commit 7e4fadd3248d6bb7d39d6688c76a613d35d2efc1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Mar 4 01:46:48 2018 +0000

    upstream: for the pty control tests, just check that the PTY path
    
    points to something in /dev (rather than checking the device node itself);
    makes life easier for portable, where systems with dynamic ptys can delete
    nodes before we get around to testing their existence.
    
    OpenBSD-Regress-ID: b1e455b821e62572bccd98102f8dd9d09bb94994

commit 13ef4cf53f24753fe920832b990b25c9c9cd0530
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 16:21:20 2018 +1100

    Update PAM password change to new opts API.

commit 33561e68e0b27366cb769295a077aabc6a49d2a1
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 14:56:09 2018 +1100

    Add strndup for platforms that need it.
    
    Some platforms don't have strndup, which includes Solaris 10, NetBSD 3
    and FreeBSD 6.

commit e8a17feba95eef424303fb94441008f6c5347aaf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Mar 3 14:49:07 2018 +1100

    Flatten and alphabetize object file lists.
    
    This will make maintenance and changes easier.  "no objection" tim@

commit de1920d743d295f50e6905e5957c4172c038e8eb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:16:17 2018 +0000

    upstream: unit tests for new authorized_keys options API
    
    OpenBSD-Regress-ID: 820f9ec9c6301f6ca330ad4052d85f0e67d0bdc1

commit dc3e92df17556dc5b0ab19cee8dcb2a6ba348717
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:53:27 2018 +0000

    upstream: fix testing of pty option, include positive test and
    
    testing of restrict keyword
    
    OpenBSD-Regress-ID: 4268f27c2706a0a95e725d9518c5bcbec9814c6d

commit 3d1edd1ebbc0aabea8bbe61903060f37137f7c61
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:51:55 2018 +0000

    upstream: better testing for port-forwarding and restrict flags in
    
    authorized_keys
    
    OpenBSD-Regress-ID: ee771df8955f2735df54746872c6228aff381daa

commit 7c856857607112a3dfe6414696bf4c7ab7fb0cb3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:15:51 2018 +0000

    upstream: switch over to the new authorized_keys options API and
    
    remove the legacy one.
    
    Includes a fairly big refactor of auth2-pubkey.c to retain less state
    between key file lines.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: dece6cae0f47751b9892080eb13d6625599573df

commit 90c4bec8b5f9ec4c003ae4abdf13fc7766f00c8b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:06:02 2018 +0000

    upstream: Introduce a new API for handling authorized_keys options.
    
    This API parses options to a dedicated structure rather than the old API's
    approach of setting global state. It also includes support for merging
    options, e.g. from authorized_keys, authorized_principals and/or
    certificates.
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: 98badda102cd575210d7802943e93a34232c80a2

commit 26074380767e639ef89321610e146ae11016b385
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Mar 3 03:01:50 2018 +0000

    upstream: warn when the agent returns a signature type that was
    
    different to what was requested. This might happen when an old/non-OpenSSH
    agent is asked to make a rsa-sha2-256/512 signature but only supports
    ssh-rsa. bz#2799 feedback and ok markus@
    
    OpenBSD-Commit-ID: 760c0f9438c5c58abc16b5f98008ff2d95cb13ce

commit f493d2b0b66fb003ed29f31dd66ff1aeb64be1fc
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Mar 2 21:40:15 2018 +0000

    upstream: apply a lick of paint; tweaks/ok dtucker
    
    OpenBSD-Commit-ID: 518a6736338045e0037f503c21027d958d05e703

commit 713d9cb510e0e7759398716cbe6dcf43e574be71
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 03:02:11 2018 +0000

    upstream: Allow escaped quotes \" and \' in ssh_config and
    
    sshd_config quotes option strings. bz#1596 ok markus@
    
    OpenBSD-Commit-ID: dd3a29fc2dc905e8780198e5a6a30b096de1a1cb

commit 94b4e2d29afaaaef89a95289b16c18bf5627f7cd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Mar 2 02:08:03 2018 +0000

    upstream: refactor sshkey_read() to make it a little more, err,
    
    readable. ok markus
    
    OpenBSD-Commit-ID: 2e9247b5762fdac3b6335dc606d3822121714c28

commit 5886b92968b360623491699247caddfb77a74d80
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Thu Mar 1 20:32:16 2018 +0000

    upstream: missing #ifdef for _PATH_HOST_XMSS_KEY_FILE; report by
    
    jmc@
    
    OpenBSD-Commit-ID: 9039cb69a3f9886bfef096891a9e7fcbd620280b

commit 3b36bed3d26f17f6a2b7e036e01777770fe1bcd4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 12:14:53 2018 +0000

    upstream: Remove unneeded (local) include. ok markus@
    
    OpenBSD-Commit-ID: 132812dd2296b1caa8cb07d2408afc28e4e60f93

commit 27b9f3950e0289e225b57b7b880a8f1859dcd70b
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 03:56:44 2018 +0000

    upstream: Add $OpenBSD$ markers to xmss files to help keep synced
    
    with portable. ok djm@.
    
    OpenBSD-Commit-ID: 5233a27aafd1dfadad4b957225f95ae51eb365c1

commit afd830847a82ebbd5aeab05bad6d2c8ce74df1cd
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Feb 26 03:03:05 2018 +0000

    upstream: Add newline at end of file to prevent compiler warnings.
    
    OpenBSD-Commit-ID: 52f247d4eafe840c7c14c8befa71a760a8eeb063

commit 941e0d3e9bb8d5e4eb70cc694441445faf037c84
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Feb 28 19:59:35 2018 +1100

    Add WITH_XMSS, move to prevent conflicts.
    
    Add #ifdef WITH_XMSS to ssh-xmss.c, move it in the other files to after
    includes.h so it's less likely to conflict and will pick up WITH_XMSS if
    added to config.h.

commit a10d8552d0d2438da4ed539275abcbf557d1e7a8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 27 14:45:17 2018 +1100

    Conditionally compile XMSS code.
    
    The XMSS code is currently experimental and, unlike the rest of OpenSSH
    cannot currently be compiled with a c89 compiler.

commit 146c3bd28c8dbee9c4b06465d9c9facab96b1e9b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 12:51:29 2018 +1100

    Check dlopen has RTLD_NOW before enabling pkcs11.

commit 1323f120d06a26074c4d154fcbe7f49bcad3d741
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 27 08:41:25 2018 +1100

    Check for attributes on prototype args.
    
    Some compilers (gcc 2.9.53, 3.0 and probably others, see gcc bug #3481)
    do not accept __attribute__ on function pointer prototype args.  Check for
    this and hide them if they're not accepted.

commit f0b245b0439e600fab782d19e97980e9f2c2533c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 11:43:48 2018 +1100

    Check if HAVE_DECL_BZERO correctly.

commit c7ef4a399155e1621a532cc5e08e6fa773658dd4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 17:42:56 2018 +1100

    Wrap <stdint.h> in #ifdef HAVE_STDINT_H.

commit ac53ce46cf8165cbda7f57ee045f9f32e1e92b31
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 16:24:23 2018 +1100

    Replace $(CURDIR) with $(PWD).
    
    The former doesn't work on Solaris or BSDs.

commit 534b2680a15d14e7e60274d5b29b812d44cc5a44
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:51:59 2018 +1100

    Comment out hexdump().
    
    Nothing currently uses them but they cause conflicts on at least
    FreeBSD, possibly others.  ok djm@

commit 5aea4aa522f61bb2f34c3055a7de203909dfae77
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:39:14 2018 +1100

    typo: missing ;

commit cd3ab57f9b388f8b1abf601dc4d78ff82d83b75e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:37:06 2018 +1100

    Hook up flock() compat code.
    
    Also a couple of minor changes: fail if we can't lock instead of
    silently succeeding, and apply a couple of minor style fixes.

commit b087998d1ba90dd1ddb6bfdb17873dc3e7392798
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 14:27:02 2018 +1100

    Import flock() compat from NetBSD.
    
    From NetBSD's src/trunk/tools/compat/flock.c, no OpenSSH changes yet.

commit 89212533dde6798324e835b1499084658df4579e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 26 12:32:14 2018 +1100

    Fix breakage when REGRESSTMP not set.
    
    BUILDDIR is not set where used for REGRESSTMP, use make's CURDIR
    instead.  Pointed out by djm@.

commit f885474137df4b89498c0b8834c2ac72c47aa4bd
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:18:14 2018 +1100

    XMSS-related files get includes.h

commit 612faa34c72e421cdc9e63f624526bae62d557cc
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:17:55 2018 +1100

    object files end with .o - not .c

commit bda709b8e13d3eef19e69c2d1684139e3af728f5
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 12:17:22 2018 +1100

    avoid inclusion of deprecated selinux/flask.h
    
    Use string_to_security_class() instead.

commit 2e396439365c4ca352cac222717d09b14f8a0dfd
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 26 11:48:27 2018 +1100

    updatedepend

commit 1b11ea7c58cd5c59838b5fa574cd456d6047b2d4
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Fri Feb 23 15:58:37 2018 +0000

    upstream: Add experimental support for PQC XMSS keys (Extended
    
    Hash-Based Signatures) The code is not compiled in by default (see WITH_XMSS
    in Makefile.inc) Joint work with stefan-lukas_gazdag at genua.eu See
    https://tools.ietf.org/html/draft-irtf-cfrg-xmss-hash-based-signatures-12 ok
    djm@
    
    OpenBSD-Commit-ID: ef3eccb96762a5d6f135d7daeef608df7776a7ac

commit 7d330a1ac02076de98cfc8fda05353d57b603755
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Feb 23 07:38:09 2018 +0000

    upstream: some cleanup for BindInterface and ssh-keyscan;
    
    OpenBSD-Commit-ID: 1a719ebeae22a166adf05bea5009add7075acc8c

commit c7b5a47e3b9db9a0f0198f9c90c705f6307afc2b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 23:55:41 2018 +1100

    Invert sense of getpgrp test.
    
    AC_FUNC_GETPGRP tests if getpgrp(0) works, which it does if it's not
    declared.  Instead, test if the zero-arg version we want to use works.

commit b39593a6de5290650a01adf8699c6460570403c2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 13:25:15 2018 +1100

    Add no-op getsid implmentation.

commit 11057564eb6ab8fd987de50c3d7f394c6f6632b7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 11:22:57 2018 +1100

    bsd-statvfs: include sys/vfs.h, check for f_flags.

commit e9dede06e5bc582a4aeb5b1cd5a7a640d7de3609
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 25 10:20:31 2018 +1100

    Handle calloc(0,x) where different from malloc.
    
    Configure assumes that if malloc(0) returns null then calloc(0,n)
    also does.  On some old platforms (SunOS4) malloc behaves as expected
    (as determined by AC_FUNC_MALLOC) but calloc doesn't.  Test for this
    at configure time and activate the replacement function if found, plus
    handle this case in rpl_calloc.

commit 2eb4041493fd2635ffdc64a852d02b38c4955e0b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 21:06:48 2018 +1100

    Add prototype for readv if needed.

commit 6c8c9a615b6d31db8a87bc25033f053d5b0a831e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 20:46:37 2018 +1100

    Check for raise and supply if needed.

commit a9004425a032d7a7141a5437cfabfd02431e2a74
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 24 20:25:22 2018 +1100

    Check for bzero and supply if needed.
    
    Since explicit_bzero uses it via an indirect it needs to be a function
    not just a macro.

commit 1a348359e4d2876203b5255941bae348557f4f54
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 05:14:05 2018 +0000

    upstream: Add ssh-keyscan -D option to make it print its results in
    
    SSHFP format bz#2821, ok dtucker@
    
    OpenBSD-Commit-ID: 831446b582e0f298ca15c9d99c415c899e392221

commit 3e19fb976a47b44b3d7c4f8355269f7f2c5dd82c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 23 04:18:46 2018 +0000

    upstream: Add missing braces.
    
    Caught by the tinderbox's -Werror=misleading-indentation,  ok djm@
    
    OpenBSD-Commit-ID: d44656af594c3b2366eb87d6abcef83e1c88a6ca

commit b59162da99399d89bd57f71c170c0003c55b1583
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 23 15:20:42 2018 +1100

    Check for ifaddrs.h for BindInterface.
    
    BindInterface required getifaddr and friends so disable if not available
    (eg Solaris 10).  We should be able to add support for some systems with
    a bit more work but this gets the building again.

commit a8dd6fe0aa10b6866830b4688a73ef966f0aed88
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Feb 23 14:19:11 2018 +1100

    space before tab in previous

commit b5e9263c7704247f9624c8f5c458e9181fcdbc09
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:40:22 2018 +0000

    upstream: Replace fatal with exit in the case that we do not have
    
    $SUDO set. Prevents test failures when neither sudo nor doas are configured.
    
    OpenBSD-Regress-ID: 6a0464decc4f8ac7d6eded556a032b0fc521bc7b

commit 3e9d3192ad43758ef761c5b0aa3ac5ccf8121ef2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 23 14:10:53 2018 +1100

    Use portable syntax for REGRESSTMP.

commit 73282b61187883a2b2bb48e087fdda1d751d6059
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 03:03:00 2018 +0000

    upstream: unbreak interop test after SSHv1 purge; patch from Colin
    
    Watson via bz#2823
    
    OpenBSD-Regress-ID: 807d30a597756ed6612bdf46dfebca74f49cb31a

commit f8985dde5f46aedade0373365cbf86ed3f1aead2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:42:57 2018 +0000

    upstream: Skip sftp-chroot test when SUDO not set instead of
    
    fatal().
    
    OpenBSD-Regress-ID: cd4b5f1109b0dc09af4e5ea7d4968c43fbcbde88

commit df88551c02d4e3445c44ff67ba8757cff718609a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 03:40:22 2018 +0000

    upstream: Replace fatal with exit in the case that we do not have
    
    $SUDO set. Prevents test failures when neither sudo nor doas are configured.
    
    OpenBSD-Regress-ID: 6a0464decc4f8ac7d6eded556a032b0fc521bc7b

commit 3b252c20b19f093e87363de197f1100b79705dd3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Feb 8 08:46:20 2018 +0000

    upstream: some helpers to check verbose/quiet mode
    
    OpenBSD-Regress-ID: e736aac39e563f5360a0935080a71d5fdcb976de

commit ac2e3026bbee1367e4cda34765d1106099be3287
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 23 02:34:33 2018 +0000

    upstream: Add BindInterface ssh_config directive and -B
    
    command-line argument to ssh(1) that directs it to bind its outgoing
    connection to the address of the specified network interface.
    
    BindInterface prefers to use addresses that aren't loopback or link-
    local, but will fall back to those if no other addresses of the
    required family are available on that interface.
    
    Based on patch by Mike Manning in bz#2820, ok dtucker@
    
    OpenBSD-Commit-ID: c5064d285c2851f773dd736a2c342aa384fbf713

commit fcdb9d777839a3fa034b3bc3067ba8c1f6886679
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 19 00:55:02 2018 +0000

    upstream: emphasise that the hostkey rotation may send key types
    
    that the client may not support, and that the client should simply disregard
    such keys (this is what ssh does already).
    
    OpenBSD-Commit-ID: 65f8ffbc32ac8d12be8f913d7c0ea55bef8622bf

commit ce066f688dc166506c082dac41ca686066e3de5f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 22 20:45:09 2018 +1100

    Add headers for sys/audit.h.
    
    On some older platforms (at least sunos4, probably others) sys/audit.h
    requires some other headers.  Patch from klausz at haus-gisela.de.

commit 3fd2d2291a695c96a54269deae079bacce6e3fb9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Mon Feb 19 18:37:40 2018 +1100

    Add REGRESSTMP make var override.
    
    Defaults to original location ($srcdir/regress) but allows overriding
    if desired, eg a directory in /tmp.

commit f8338428588f3ecb5243c86336eccaa28809f97e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 18 15:53:15 2018 +1100

    Remove now-unused check for getrusage.
    
    getrusage was used in ssh-rand-helper but that's now long gone.
    Patch from klauszh at haus-gisela.de.

commit 8570177195f6a4b3173c0a25484a83641ee3faa6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 16 04:43:11 2018 +0000

    upstream: Don't send IUTF8 to servers that don't like them.
    
    Some SSH servers eg "ConfD" drop the connection if the client sends the
    new IUTF8 (RFC8160) terminal mode even if it's not set.  Add a bug bit
    for such servers and avoid sending IUTF8 to them.  ok djm@
    
    OpenBSD-Commit-ID: 26425855402d870c3c0a90491e72e2a8a342ceda

commit f6dc2ba3c9d12be53057b9371f5109ec553a399f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Fri Feb 16 17:32:28 2018 +1100

    freezero should check for NULL.

commit 680321f3eb46773883111e234b3c262142ff7c5b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 16 02:40:45 2018 +0000

    upstream: Mention recent DH KEX methods:
    
    diffie-hellman-group14-sha256
    diffie-hellman-group16-sha512
    diffie-hellman-group18-sha512
    
    From Jakub Jelen via bz#2826
    
    OpenBSD-Commit-ID: 51bf769f06e55447f4bfa7306949e62d2401907a

commit 88c50a5ae20902715f0fca306bb9c38514f71679
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 16 02:32:40 2018 +0000

    upstream: stop loading DSA keys by default, remove sshd_config
    
    stanza and manpage bits; from Colin Watson via bz#2662, ok dtucker@
    
    OpenBSD-Commit-ID: d33a849f481684ff655c140f5eb1b4acda8c5c09

commit d2b3db2860c962927def39a52f67f1c23f7b201a
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 14 16:27:24 2018 +0000

    upstream: Ensure that D mod (P-1) and D mod (Q-1) are calculated in
    
    constant time.
    
    This avoids a potential side channel timing leak.
    
    ok djm@ markus@
    
    OpenBSD-Commit-ID: 71ff3c16be03290e63d8edab8fac053d8a82968c

commit 4270efad7048535b4f250f493d70f9acfb201593
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 14 16:03:32 2018 +0000

    upstream: Some obvious freezero() conversions.
    
    This also zeros an ed25519_pk when it was not being zeroed previously.
    
    ok djm@ dtucker@
    
    OpenBSD-Commit-ID: 5c196a3c85c23ac0bd9b11bcadaedd90b7a2ce82

commit affa6ba67ffccc30b85d6e98f36eb5afd9386882
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:32:04 2018 +1100

    Remove execute bit from modpipe.c.

commit 9879dca438526ae6dfd656fecb26b0558c29c731
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:26:16 2018 +1100

    Update prngd link to point to sourceforge.

commit b6973fa5152b1a0bafd2417b7c3ad96f6e87d014
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:22:38 2018 +1100

    Remove references to UNICOS.

commit f1ca487940449f0b64f38f1da575078257609966
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:18:37 2018 +1100

    Remove extra newline.

commit 6d4e980f3cf27f409489cf89cd46c21501b13731
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 22:16:54 2018 +1100

    OpenSSH's builtin entropy gathering is long gone.

commit 389125b25d1a1d7f22e907463b7e8eca74af79ea
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 21:43:01 2018 +1100

    Replace remaining mysignal() with signal().
    
    These seem to have been missed during the replacement of mysignal
    with #define signal in commit 5ade9ab.  Both include the requisite
    headers to pick up the #define.

commit 265d88d4e61e352de6791733c8b29fa3d7d0c26d
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 20:06:19 2018 +1100

    Remove remaining now-obsolete cvs $Ids.

commit 015749e9b1d2f6e14733466d19ba72f014d0845c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 15 17:01:54 2018 +1100

    Regenerate dependencies after UNICOS removal.

commit ddc0f3814881ea279a6b6d4d98e03afc60ae1ed7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 09:10:46 2018 +1100

    Remove UNICOS support.
    
    The code required to support it is quite invasive to the mainline
    code that is synced with upstream and is an ongoing maintenance burden.
    Both the hardware and software are literal museum pieces these days and
    we could not find anyone still running OpenSSH on one.

commit 174bed686968494723e6db881208cc4dac0d020f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 18:12:47 2018 +1100

    Retpoline linker flag only needed for linking.

commit 075e258c2cc41e1d7f3ea2d292c5342091728d40
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 17:36:43 2018 +1100

    Default PidFile is sshd.pid not ssh.pid.

commit 49f3c0ec47730ea264e2bd1e6ece11167d6384df
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 16:27:09 2018 +1100

    Remove assigned-to-but-never-used variable.
    
    'p' was removed in previous change but I neglected to remove the
    otherwise-unused assignment to it.

commit b8bbff3b3fc823bf80c5ab226c94f13cb887d5b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Feb 13 03:36:56 2018 +0000

    upstream: remove space before tab
    
    OpenBSD-Commit-ID: 674edd214d0a7332dd4623c9cf8117301b012890

commit 05046d907c211cb9b4cd21b8eff9e7a46cd6c5ab
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Feb 11 21:16:56 2018 +0000

    upstream Don't reset signal handlers inside handlers.
    
    The signal handlers from the original ssh1 code on which OpenSSH
    is based assume unreliable signals and reinstall their handlers.
    Since OpenBSD (and pretty much every current system) has reliable
    signals this is not needed.  In the unlikely even that -portable
    is still being used on such systems we will deal with it in the
    compat layer.  ok deraadt@
    
    OpenBSD-Commit-ID: f53a1015cb6908431b92116130d285d71589612c

commit 3c51143c639ac686687c7acf9b373b8c08195ffb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 09:07:29 2018 +1100

    Whitespace sync with upstream.

commit 19edfd4af746bedf0df17f01953ba8c6d3186eb7
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 13 08:25:46 2018 +1100

    Whitespace sync with upstream.

commit fbfa6f980d7460b3e12b0ce88ed3b6018edf4711
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 21:25:11 2018 +1300

    Move signal compat code into bsd-signal.{c,h}

commit 24d2a33bd3bf5170700bfdd8675498aa09a79eab
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 21:20:39 2018 +1300

    Include headers for linux/if.h.
    
    Prevents configure-time "present but cannot be compiled" warning.

commit bc02181c24fc551aab85eb2cff0f90380928ef43
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 19:45:47 2018 +1300

    Fix test for -z,retpolineplt linker flag.

commit 3377df00ea3fece5293db85fe63baef33bf5152e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 11 09:32:37 2018 +1100

    Add checks for Spectre v2 mitigation (retpoline)
    
    This adds checks for gcc and clang flags for mitigations for Spectre
    variant 2, ie "retpoline".  It'll automatically enabled if the compiler
    supports it as part of toolchain hardening flag.  ok djm@

commit d9e5cf078ea5380da6df767bb1773802ec557ef0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 09:25:34 2018 +0000

    upstream commit
    
    constify some private key-related functions; based on
    https://github.com/openssh/openssh-portable/pull/56 by Vincent Brillault
    
    OpenBSD-Commit-ID: dcb94a41834a15f4d00275cb5051616fdc4c988c

commit a7c38215d564bf98e8e9eb40c1079e3adf686f15
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 09:03:54 2018 +0000

    upstream commit
    
    Mention ServerAliveTimeout in context of TCPKeepAlives;
    prompted by Christoph Anton Mitterer via github
    
    OpenBSD-Commit-ID: f0cf1b5bd3f1fbf41d71c88d75d93afc1c880ca2

commit 62562ceae61e4f7cf896566592bb840216e71061
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:54:38 2018 +0000

    upstream commit
    
    clarify IgnoreUserKnownHosts; based on github PR from
    Christoph Anton Mitterer.
    
    OpenBSD-Commit-ID: 4fff2c17620c342fb2f1f9c2d2e679aab3e589c3

commit 4f011daa4cada6450fa810f7563b8968639bb562
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:40:28 2018 +0000

    upstream commit
    
    Shorter, more accurate explanation of
    NoHostAuthenticationForLocalhost without the confusing example. Prompted by
    Christoph Anton Mitterer via github and bz#2293.
    
    OpenBSD-Commit-ID: 19dc96bea25b80d78d416b581fb8506f1e7b76df

commit 77e05394af21d3f5faa0c09ed3855e4505a5cf9f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 06:15:12 2018 +0000

    upstream commit
    
    Disable RemoteCommand and RequestTTY in the ssh session
    started by scp. sftp is already doing this. From Camden Narzt via github; ok
    dtucker
    
    OpenBSD-Commit-ID: 59e2611141c0b2ee579c6866e8eb9d7d8217bc6b

commit ca613249a00b64b2eea9f52d3834b55c28cf2862
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 05:48:46 2018 +0000

    upstream commit
    
    Refuse to create a certificate with an unusable number of
    principals; Prompted by gdestuynder via github
    
    OpenBSD-Commit-ID: 8cfae2451e8f07810e3e2546dfdcce66984cbd29

commit b56ac069d46b6f800de34e1e935f98d050731d14
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Feb 10 05:43:26 2018 +0000

    upstream commit
    
    fatal if we're unable to write all the public key; previously
    we would silently ignore errors writing the comment and terminating newline.
    Prompted by github PR from WillerZ; ok dtucker
    
    OpenBSD-Commit-ID: 18fbfcfd4e8c6adbc84820039b64d70906e49831

commit cdb10bd431f9f6833475c27e9a82ebb36fdb12db
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:18:38 2018 +1100

    Add changelog entry for binary strip change.

commit fbddd91897cfaf456bfc2081f39fb4a2208a0ebf
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:14:54 2018 +1100

    Remove unused variables.

commit 937d96587df99c16c611d828cded292fa474a32b
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 11:12:45 2018 +1100

    Don't strip binaries so debuginfo gets built.
    
    Tell install not to strip binaries during package creation so that the
    debuginfo package can be built.

commit eb0865f330f59c889ec92696b97bd397090e720c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:33:11 2018 +1100

    Fix bogus dates in changelog.

commit 7fbde1b34c1f6c9ca9e9d10805ba1e5e4538e165
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:25:15 2018 +1100

    Remove SSH1 from description.

commit 9c34a76f099c4e0634bf6ecc2f40ce93925402c4
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 10:19:16 2018 +1100

    Add support for compat-openssl10 build dep.

commit 04f4e8193cb5a5a751fcc356bd6656291fec539e
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 09:57:04 2018 +1100

    Add leading zero so it'll work when rhel not set.
    
    When rhel is not set it will error out with "bad if". Add leading zero
    as per https://fedoraproject.org/wiki/Packaging:DistTag so it'll work
    on non-RHEL.

commit 12abd67a6af28476550807a443b38def2076bb92
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 10 09:56:34 2018 +1100

    Update openssl-devel dependency.

commit b33e7645f8813719d7f9173fef24463c8833ebb3
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:19:58 2014 -0500

    Add mandir with-mandir' for RHEL 5 compatibility.
    
    Activate '--mandir' and '--with-mandir' settings in setup for RHEL
    5 compatibility.

commit 94f8bf360eb0162e39ddf39d69925c2e93511e40
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:18:51 2014 -0500

    Discard 'K5DIR' reporting.
    
    It does not work inside 'mock' build environment.

commit bb7e54dbaf34b70b3e57acf7982f3a2136c94ee5
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 18:17:15 2014 -0500

    Add 'dist' to 'rel' for OS specific RPM names.

commit 87346f1f57f71150a9b8c7029d8c210e27027716
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 14:17:38 2014 -0500

    Add openssh-devel >= 0.9.8f for redhat spec file.

commit bec1478d710866d3c1b119343a35567a8fc71ec3
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 13:10:24 2014 -0500

    Enhance BuildRequires for openssh-x11-askpass.

commit 3104fcbdd3c70aefcb0cdc3ee24948907db8dc8f
Author: nkadel <nkadel@gmail.com>
Date:   Sun Nov 16 13:04:14 2014 -0500

    Always include x11-ssh-askpass SRPM.
    
    Always include x11-ssh-askpass tarball in redhat SRPM, even if unused.

commit c61d0d038d58eebc365f31830be6e04ce373ad1b
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Feb 10 09:43:12 2018 +1100

    this is long unused; prompted by dtucker@

commit 745771fb788e41bb7cdad34e5555bf82da3af7ed
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 9 02:37:36 2018 +0000

    upstream commit
    
    Remove unused sKerberosTgtPassing from enum.  From
    calestyo via github pull req #11, ok djm@
    
    OpenBSD-Commit-ID: 1008f8870865a7c4968b7aed402a0a9e3e5b9540

commit 1f385f55332db830b0ae22a7663b98279ca2d657
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Feb 8 04:12:32 2018 +0000

    upstream commit
    
    Rename struct umac_ctx to umac128_ctx too.  In portable
    some linkers complain about two symbols with the same name having differing
    sizes.  ok djm@
    
    OpenBSD-Commit-ID: cbebf8bdd3310a9795b4939a1e112cfe24061ca3

commit f1f047fb031c0081dbc8738f05bf5d4cc47acadf
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Feb 7 22:52:45 2018 +0000

    upstream commit
    
    ssh_free checks for and handles NULL args, remove NULL
    checks from remaining callers.  ok djm@
    
    OpenBSD-Commit-ID: bb926825c53724c069df68a93a2597f9192f7e7b

commit aee49b2a89b6b323c80dd3b431bd486e51f94c8c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 8 12:36:22 2018 +1100

    Set SO_REUSEADDR in regression test netcat.
    
    Sometimes multiplex tests fail on Solaris with "netcat: local_listen:
    Address already in use" which is likely due to previous invocations
    leaving the port in TIME_WAIT.  Set SO_REUSEADDR (in addition to
    SO_REUSEPORT which is alread set on platforms that support it).  ok djm@

commit 1749991c55bab716877b7c687cbfbf19189ac6f1
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 05:17:56 2018 +0000

    upstream commit
    
    Convert some explicit_bzero()/free() calls to freezero().
    
    ok deraadt@ dtucker@
    
    OpenBSD-Commit-ID: f566ab99149650ebe58b1d4b946ea726c3829609

commit 94ec2b69d403f4318b7a0d9b17f8bc3efbf4d0d2
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 05:15:49 2018 +0000

    upstream commit
    
    Remove some #ifdef notyet code from OpenSSL 0.9.8 days.
    
    These functions have never appeared in OpenSSL and are likely never to do
    so.
    
    "kill it with fire" djm@
    
    OpenBSD-Commit-ID: fee9560e283fd836efc2631ef381658cc673d23e

commit 7cd31632e3a6607170ed0c9ed413a7ded5b9b377
Author: jsing@openbsd.org <jsing@openbsd.org>
Date:   Wed Feb 7 02:06:50 2018 +0000

    upstream commit
    
    Remove all guards for calls to OpenSSL free functions -
    all of these functions handle NULL, from at least OpenSSL 1.0.1g onwards.
    
    Prompted by dtucker@ asking about guards for RSA_free(), when looking at
    openssh-portable pr#84 on github.
    
    ok deraadt@ dtucker@
    
    OpenBSD-Commit-ID: 954f1c51b94297d0ae1f749271e184141e0cadae

commit 3c000d57d46882eb736c6563edfc4995915c24a2
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Wed Feb 7 09:19:38 2018 +1100

    Remove obsolete "Smartcard support" message
    
    The configure checks that populated $SCARD_MSG were removed in commits
    7ea845e4 and d8f60022 when the smartcard support was replaced with
    PKCS#11.

commit 3e615090de0ce36a833d811e01c28aec531247c4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Feb 6 06:01:54 2018 +0000

    upstream commit
    
    Replace "trojan horse" with the correct term (MITM).
    From maikel at predikkta.com via bz#2822, ok markus@
    
    OpenBSD-Commit-ID: e86ac64c512057c89edfadb43302ac0aa81a6c53

commit 3484380110d437c50e17f87d18544286328c75cb
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Feb 5 05:37:46 2018 +0000

    upstream commit
    
    Add a couple of non-negativity checks to avoid close(-1).
    
    ok djm
    
    OpenBSD-Commit-ID: 4701ce0b37161c891c838d0931305f1d37a50880

commit 5069320be93c8b2a6584b9f944c86f60c2b04e48
Author: tb@openbsd.org <tb@openbsd.org>
Date:   Mon Feb 5 05:36:49 2018 +0000

    upstream commit
    
    The file descriptors for socket, stdin, stdout and stderr
    aren't necessarily distinct, so check if they are the same to avoid closing
    the same fd several times.
    
    ok djm
    
    OpenBSD-Commit-ID: 60d71fd22e9a32f5639d4ba6e25a2f417fc36ac1

commit 2b428f90ea1b21d7a7c68ec1ee334253b3f9324d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 5 04:02:53 2018 +0000

    upstream commit
    
    I accidentially a word
    
    OpenBSD-Commit-ID: 4547ee713fa941da861e83ae7a3e6432f915e14a

commit 130283d5c2545ff017c2162dc1258c5354e29399
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 25 03:34:43 2018 +0000

    upstream commit
    
    certificate options are case-sensitive; fix case on one
    that had it wrong.
    
    move a badly-place sentence to a less bad place
    
    OpenBSD-Commit-ID: 231e516bba860699a1eece6d48532d825f5f747b

commit 89f09ee68730337015bf0c3f138504494a34e9a6
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jan 24 12:20:44 2018 +1100

    crypto_api.h needs includes.h

commit c9c1bba06ad1c7cad8548549a68c071bd807af60
Author: stsp@openbsd.org <stsp@openbsd.org>
Date:   Tue Jan 23 20:00:58 2018 +0000

    upstream commit
    
    Fix a logic bug in sshd_exchange_identification which
    prevented clients using major protocol version 2 from connecting to the
    server. ok millert@
    
    OpenBSD-Commit-ID: 8668dec04586e27f1c0eb039ef1feb93d80a5ee9

commit a60c5dcfa2538ffc94dc5b5adb3db5b6ed905bdb
Author: stsp@openbsd.org <stsp@openbsd.org>
Date:   Tue Jan 23 18:33:49 2018 +0000

    upstream commit
    
    Add missing braces; fixes 'write: Socket is not
    connected' error in ssh. ok deraadt@
    
    OpenBSD-Commit-ID: db73a3a9e147722d410866cac34d43ed52e1ad24

commit 20d53ac283e1c60245ea464bdedd015ed9b38f4a
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 23 16:49:43 2018 +1100

    rebuild depends

commit 552ea155be44f9c439c1f9f0c38f9e593428f838
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 23 16:49:22 2018 +1100

    one SSH_BUG_BANNER instance that got away

commit 14b5c635d1190633b23ac3372379517fb645b0c2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:27:21 2018 +0000

    upstream commit
    
    Drop compatibility hacks for some ancient SSH
    implementations, including ssh.com <=2.* and OpenSSH <= 3.*.
    
    These versions were all released in or before 2001 and predate the
    final SSH RFCs. The hacks in question aren't necessary for RFC-
    compliant SSH implementations.
    
    ok markus@
    
    OpenBSD-Commit-ID: 4be81c67db57647f907f4e881fb9341448606138

commit 7c77991f5de5d8475cbeb7cbb06d0c7d1611d7bb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:17:04 2018 +0000

    upstream commit
    
    try harder to preserve errno during
    ssh_connect_direct() to make the final error message possibly accurate;
    bz#2814, ok dtucker@
    
    OpenBSD-Commit-ID: 57de882cb47381c319b04499fef845dd0c2b46ca

commit 9e9c4a7e57b96ab29fe6d7545ed09d2e5bddbdec
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:12:12 2018 +0000

    upstream commit
    
    unbreak support for clients that advertise a protocol
    version of "1.99" (indicating both v2 and v1 support). Busted by me during
    SSHv1 purge in r1.358; bz2810, ok dtucker
    
    OpenBSD-Commit-ID: e8f9c2bee11afc16c872bb79d6abe9c555bd0e4b

commit fc21ea97968264ad9bb86b13fedaaec8fd3bf97d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:06:25 2018 +0000

    upstream commit
    
    don't attempt to force hostnames that are addresses to
    lowercase, but instead canonicalise them through getnameinfo/getaddrinfo to
    remove ambiguities (e.g. ::0001 => ::1) before they are matched against
    known_hosts; bz#2763, ok dtucker@
    
    OpenBSD-Commit-ID: ba0863ff087e61e5c65efdbe53be3cb92c9aefa0

commit d6364f6fb1a3d753d7ca9bf15b2adce961324513
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 23 05:01:15 2018 +0000

    upstream commit
    
    avoid modifying pw->pw_passwd; let endpwent() clean up
    for us, but keep a scrubbed copy; bz2777, ok dtucker@
    
    OpenBSD-Commit-ID: 715afc0f59c6b82c4929a73279199ed241ce0752

commit a69bbb07cd6fb4dfb9bdcacd370ab26d0a2b4215
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Sat Jan 13 00:24:09 2018 +0000

    upstream commit
    
    clarify authorship; prodded by and ok markus@
    
    OpenBSD-Commit-ID: e1938eee58c89b064befdabe232835fa83bb378c

commit 04214b30be3d3e73a01584db4e040d5ccbaaddd4
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:37:21 2018 +0000

    upstream commit
    
    group shared source files (e.g. SRCS_KEX) and allow
    compilation w/o OPENSSL ok djm@
    
    OpenBSD-Commit-ID: fa728823ba21c4b45212750e1d3a4b2086fd1a62

commit 25cf9105b849932fc3b141590c009e704f2eeba6
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:21:49 2018 +0000

    upstream commit
    
    move subprocess() so scp/sftp do not need uidswap.o; ok
    djm@
    
    OpenBSD-Commit-ID: 6601b8360388542c2e5fef0f4085f8e54750bea8

commit b0d34132b3ca26fe94013f01d7b92101e70b68bb
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:18:46 2018 +0000

    upstream commit
    
    switch ssh-pkcs11-helper to new API; ok djm@
    
    OpenBSD-Commit-ID: e0c0ed2a568e25b1d2024f3e630f3fea837c2a42

commit ec4a9831184c0c6ed5f7f0cfff01ede5455465a3
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:15:36 2018 +0000

    upstream commit
    
    split client/server kex; only ssh-keygen needs
    uuencode.o; only scp/sftp use progressmeter.o; ok djm@
    
    OpenBSD-Commit-ID: f2c9feb26963615c4fece921906cf72e248b61ee

commit ec77efeea06ac62ee1d76fe0b3225f3000775a9e
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:15:17 2018 +0000

    upstream commit
    
    only ssh-keygen needs uuencode.o; only scp/sftp use
    progressmeter.o
    
    OpenBSD-Commit-ID: a337e886a49f96701ccbc4832bed086a68abfa85

commit 25aae35d3d6ee86a8c4c0b1896acafc1eab30172
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 8 15:14:44 2018 +0000

    upstream commit
    
    uuencode.h is not used
    
    OpenBSD-Commit-ID: 238eb4659f3c119904326b9e94a5e507a912796c

commit 4f29309c4cb19bcb1774931db84cacc414f17d29
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Jan 3 19:50:43 2018 +1100

    unbreak fuzz harness

commit f6b50bf84dc0b61f22c887c00423e0ea7644e844
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 05:46:35 2017 +0000

    upstream commit
    
    another libssh casualty
    
    OpenBSD-Regress-ID: 839b970560246de23e7c50215095fb527a5a83ec

commit 5fb4fb5a0158318fb8ed7dbb32f3869bbf221f13
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 03:01:49 2017 +0000

    upstream commit
    
    missed one (unbreak after ssh/lib removal)
    
    OpenBSD-Regress-ID: cfdd132143131769e2d2455e7892b5d55854c322

commit e6c4134165d05447009437a96e7201276688807f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 00:41:22 2017 +0000

    upstream commit
    
    unbreak unit tests after removal of src/usr.bin/ssh/lib
    
    OpenBSD-Regress-ID: 3a79760494147b20761cbd2bd5c20e86c63dc8f9

commit d45d69f2a937cea215c7f0424e5a4677b6d8c7fe
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Dec 21 00:00:28 2017 +0000

    upstream commit
    
    revert stricter key type / signature type checking in
    userauth path; too much software generates inconsistent messages, so we need
    a better plan.
    
    OpenBSD-Commit-ID: 4a44ddc991c803c4ecc8f1ad40e0ab4d22e1c519

commit c5a6cbdb79752f7e761074abdb487953ea6db671
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 19 00:49:30 2017 +0000

    upstream commit
    
    explicitly test all key types and their certificate
    counterparts
    
    refactor a little
    
    OpenBSD-Regress-ID: e9ecd5580821b9ef8b7106919c6980d8e45ca8c4

commit f689adb7a370b5572612d88be9837ca9aea75447
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Mon Dec 11 11:41:56 2017 +0000

    upstream commit
    
    use cmp in a loop instead of diff -N to compare
    directories. The former works on more platforms for Portable.
    
    OpenBSD-Regress-ID: c3aa72807f9c488e8829a26ae50fe5bcc5b57099

commit 748dd8e5de332b24c40f4b3bbedb902acb048c98
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Dec 19 16:17:59 2017 +1100

    remove blocks.c from Makefile

commit 278856320520e851063b06cef6ef1c60d4c5d652
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 19 00:24:34 2017 +0000

    upstream commit
    
    include signature type and CA key (if applicable) in some
    debug messages
    
    OpenBSD-Commit-ID: b71615cc20e78cec7105bb6e940c03ce9ae414a5

commit 7860731ef190b52119fa480f8064ab03c44a120a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:16:23 2017 +0000

    upstream commit
    
    unbreak hostkey rotation; attempting to sign with a
    desired signature algorithm of kex->hostkey_alg is incorrect when the key
    type isn't capable of making those signatures. ok markus@
    
    OpenBSD-Commit-ID: 35ae46864e1f5859831ec0d115ee5ea50953a906

commit 966ef478339ad5e631fb684d2a8effe846ce3fd4
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:14:34 2017 +0000

    upstream commit
    
    log mismatched RSA signature types; ok markus@
    
    OpenBSD-Commit-ID: 381bddfcc1e297a42292222f3bcb5ac2b7ea2418

commit 349ecd4da3a985359694a74635748009be6baca6
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 23:13:42 2017 +0000

    upstream commit
    
    pass kex->hostkey_alg and kex->hostkey_nid from pre-auth
    to post-auth unpriviledged child processes; ok markus@
    
    OpenBSD-Commit-ID: 4a35bc7af0a5f8a232d1361f79f4ebc376137302

commit c9e37a8725c083441dd34a8a53768aa45c3c53fe
Author: millert@openbsd.org <millert@openbsd.org>
Date:   Mon Dec 18 17:28:54 2017 +0000

    upstream commit
    
    Add helper function for uri handing in scp where a
    missing path simply means ".".  Also fix exit code and add warnings when an
    invalid uri is encountered.  OK otto@
    
    OpenBSD-Commit-ID: 47dcf872380586dabf7fcc6e7baf5f8ad508ae1a

commit 04c7e28f83062dc42f2380d1bb3a6bf0190852c0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 02:25:15 2017 +0000

    upstream commit
    
    pass negotiated signing algorithm though to
    sshkey_verify() and check that the negotiated algorithm matches the type in
    the signature (only matters for RSA SHA1/SHA2 sigs). ok markus@
    
    OpenBSD-Commit-ID: 735fb15bf4adc060d3bee9d047a4bcaaa81b1af9

commit 931c78dfd7fe30669681a59e536bbe66535f3ee9
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Dec 18 02:22:29 2017 +0000

    upstream commit
    
    sshkey_sigtype() function to return the type of a
    signature; ok markus@
    
    OpenBSD-Commit-ID: d3772b065ad6eed97285589bfb544befed9032e8

commit 4cdc5956f2fcc9e9078938db833142dc07d8f523
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Thu Dec 14 21:07:39 2017 +0000

    upstream commit
    
    Replace ED25519's private SHA-512 implementation with a
    call to the regular digest code.  This speeds up compilation considerably. ok
    markus@
    
    OpenBSD-Commit-ID: fcce8c3bcfe7389462a28228f63c823e80ade41c

commit 012e5cb839faf76549e3b6101b192fe1a74d367e
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Tue Dec 12 15:06:12 2017 +0000

    upstream commit
    
    Create a persistent umac128.c source file: #define the
    output size and the name of the entry points for UMAC-128 before including
    umac.c. Idea from FreeBSD. ok dtucker@
    
    OpenBSD-Commit-ID: 463cfacfa07cb8060a4d4961e63dca307bf3f4b1

commit b35addfb4cd3b5cdb56a2a489d38e940ada926c7
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 16:23:28 2017 +1100

    Update .depend with empty config.h

commit 2d96f28246938e0ca474a939d8ac82ecd0de27e3
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 16:21:55 2017 +1100

    Ensure config.h is always in dependencies.
    
    Put an empty config.h into the dependency list to ensure that it's
    always listed and consistent.

commit ac4987a55ee5d4dcc8e87f7ae7c1f87be7257d71
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Sun Dec 10 19:37:57 2017 +0000

    upstream commit
    
    ssh/lib hasn't worked towards our code-sharing goals for
    a quit while, perhaps it is too verbose?  Change each */Makefile to
    specifying exactly what sources that program requires, compiling it seperate.
     Maybe we'll iterate by sorting those into seperatable chunks, splitting up
    files which contain common code + server/client specific code, or whatnot.
    But this isn't one step, or we'd have done it a long time ago.. ok dtucker
    markus djm
    
    OpenBSD-Commit-ID: 5317f294d63a876bfc861e19773b1575f96f027d

commit 48c23a39a8f1069a57264dd826f6c90aa12778d5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Dec 10 05:55:29 2017 +0000

    upstream commit
    
    Put remote client info back into the ClientAlive
    connection termination message.  Based in part on diff from  lars.nooden at
    gmail, ok djm
    
    OpenBSD-Commit-ID: 80a0f619a29bbf2f32eb5297a69978a0e05d0ee0

commit aabd75ec76575c1b17232e6526a644097cd798e5
Author: deraadt@openbsd.org <deraadt@openbsd.org>
Date:   Fri Dec 8 03:45:52 2017 +0000

    upstream commit
    
    time_t printing needs %lld and (long long) casts ok djm
    
    OpenBSD-Commit-ID: 4a93bc2b0d42a39b8f8de8bb74d07ad2e5e83ef7

commit fd4eeeec16537870bd40d04836c7906ec141c17d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 8 02:14:33 2017 +0000

    upstream commit
    
    fix ordering in previous to ensure errno isn't clobbered
    before logging.
    
    OpenBSD-Commit-ID: e260bc1e145a9690dcb0d5aa9460c7b96a0c8ab2

commit 155072fdb0d938015df828836beb2f18a294ab8a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Dec 8 02:13:02 2017 +0000

    upstream commit
    
    for some reason unix_listener() logged most errors twice
    with each message containing only some of the useful information; merge these
    
    OpenBSD-Commit-ID: 1978a7594a9470c0dddcd719586066311b7c9a4a

commit 79c0e1d29959304e5a49af1dbc58b144628c09f3
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 14:38:33 2017 +1100

    Add autogenerated dependency info to Makefile.
    
    Adds a .depend file containing dependency information generated by
    makedepend, which is appended to the generated Makefile by configure.
    
    You can regen the file with "make -f Makefile.in depend" if necessary,
    but we'll be looking at some way to automatically keep this up to date.
    
    "no objection" djm@

commit f001de8fbf7f3faddddd8efd03df18e57601f7eb
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Mon Dec 11 13:42:51 2017 +1100

    Fix pasto in ldns handling.
    
    When ldns-config is not found, configure would check the wrong variable.
    ok djm@

commit c5bfe83f67cb64e71cf2fe0d1500f6904b0099ee
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Sat Dec 9 10:12:23 2017 +1100

    Portable switched to git so s/CVS/git/.

commit bb82e61a40a4ee52e4eb904caaee2c27b763ab5b
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Sat Dec 9 08:06:00 2017 +1100

    Remove now-used check for perl.

commit e0ce54c0b9ca3a9388f9c50f4fa6cc25c28a3240
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Dec 6 05:06:21 2017 +0000

    upstream commit
    
    don't accept junk after "yes" or "no" responses to
    hostkey prompts. bz#2803 reported by Maksim Derbasov; ok dtucker@
    
    OpenBSD-Commit-ID: e1b159fb2253be973ce25eb7a7be26e6f967717c

commit 609d96b3d58475a15b2eb6b3d463f2c5d8e510c0
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Dec 5 23:59:47 2017 +0000

    upstream commit
    
    Replace atoi and strtol conversions for integer arguments
    to config keywords with a checking wrapper around strtonum.  This will
    prevent and flag invalid and negative arguments to these keywords.  ok djm@
    
    OpenBSD-Commit-ID: 99ae3981f3d608a219ccb8d2fff635ae52c17998

commit 168ecec13f9d7cb80c07df3bf7d414f4e4165e84
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Dec 5 23:56:07 2017 +0000

    upstream commit
    
    Add missing break for rdomain.  Prevents spurious
    "Deprecated option" warnings.  ok djm@
    
    OpenBSD-Commit-ID: ba28a675d39bb04a974586241c3cba71a9c6099a

commit 927f8514ceffb1af380a5f63ab4d3f7709b1b198
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Dec 5 01:30:19 2017 +0000

    upstream commit
    
    include the addr:port in bind/listen failure messages
    
    OpenBSD-Commit-ID: fdadb69fe1b38692608809cf0376b71c2c28e58e

commit a8c89499543e2d889629c4e5e8dcf47a655cf889
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Nov 29 05:49:54 2017 +0000

    upstream commit
    
    Import updated moduli.
    
    OpenBSD-Commit-ID: 524d210f982af6007aa936ca7f4c977f4d32f38a

commit 3dde09ab38c8e1cfc28252be473541a81bc57097
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Tue Nov 28 21:10:22 2017 +0000

    upstream commit
    
    Have sftp print a warning about shell cleanliness when
    decoding the first packet fails, which is usually caused by shells polluting
    stdout of non-interactive starups.  bz#2800, ok markus@ deraadt@.
    
    OpenBSD-Commit-ID: 88d6a9bf3470f9324b76ba1cbd53e50120f685b5

commit 6c8a246437f612ada8541076be2414846d767319
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 17:11:47 2017 +1100

    Replace mkinstalldirs with mkdir -p.
    
    Check for MIKDIR_P and use it instead of mkinstalldirs.  Should fix "mkdir:
    cannot create directory:... File exists" during "make install".
    Patch from eb at emlix.com.

commit 3058dd78d2e43ed0f82ad8eab8bb04b043a72023
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 17:07:08 2017 +1100

    Pull in newer install-sh from autoconf-2.69.
    
    Suggested by eb at emlix.com

commit 79226e5413c5b0fda3511351a8511ff457e306d8
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Dec 1 16:55:35 2017 +1100

    Remove RSA1 host key generation.
    
    SSH1 support is now gone, remove SSH1 key generation.
    Patch from eb at emlix.com.

commit 2937dd02c572a12f33d5c334d518f6cbe0b645eb
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Nov 28 06:09:38 2017 +0000

    upstream commit
    
    more whitespace errors
    
    OpenBSD-Commit-ID: 5e11c125378327b648940b90145e0d98beb05abb

commit 7f257bf3fd3a759f31098960cbbd1453fafc4164
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Tue Nov 28 06:04:51 2017 +0000

    upstream commit
    
    whitespace at EOL
    
    OpenBSD-Commit-ID: 76d3965202b22d59c2784a8df3a8bfa5ee67b96a

commit 5db6fbf1438b108e5df3e79a1b4de544373bc2d4
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Sat Nov 25 06:46:22 2017 +0000

    upstream commit
    
    Add monotime_ts and monotime_tv that return monotonic
    timespec and timeval respectively.  Replace calls to gettimeofday() in packet
    timing with monotime_tv so that the callers will work over a clock step.
    Should prevent integer overflow during clock steps reported by wangle6 at
    huawei.com. "I like" markus@
    
    OpenBSD-Commit-ID: 74d684264814ff806f197948b87aa732cb1b0b8a

commit 2d638e986085bdf1a40310ed6e2307463db96ea0
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Sat Nov 25 05:58:47 2017 +0000

    upstream commit
    
    Remove get_current_time() and replace with calls to
    monotime_double() which uses CLOCK_MONOTONIC and works over clock steps.  "I
    like" markus@
    
    OpenBSD-Commit-ID: 3ad2f7d2414e2cfcaef99877a7a5b0baf2242952

commit ba460acae48a36ef749cb23068f968f4d5d90a24
Author: Darren Tucker <dtucker@zip.com.au>
Date:   Fri Nov 24 16:24:31 2017 +1100

    Include string.h for explicit_bzero.

commit a65655fb1a12b77fb22f9e71559b9d73030ec8ff
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Nov 24 10:23:47 2017 +1100

    fix incorrect range of OpenSSL versions supported
    
    Pointed out by Solar Designer

commit 83a1e5dbec52d05775174f368e0c44b08619a308
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Wed Nov 15 02:10:16 2017 +0000

    upstream commit
    
    downgrade a couple more request parsing errors from
    process-fatal to just returning failure, making them consistent with the
    others that were already like that.
    
    OpenBSD-Commit-ID: c111461f7a626690a2d53018ef26557b34652918

commit 93c68a8f3da8e5e6acdc3396f54d73919165e242
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Wed Nov 15 00:13:40 2017 +0000

    upstream commit
    
    fix regression in 7.6: failure to parse a signature request
    message shouldn't be fatal to the process, just the request. Reported by Ron
    Frederick
    
    OpenBSD-Commit-ID: e5d01b3819caa1a2ad51fc57d6ded43f48bbcc05

commit 548d3a66feb64c405733932a6b1abeaf7198fa71
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Tue Nov 14 00:45:29 2017 +0000

    upstream commit
    
    fix problem in configuration parsing when in config dump mode
    (sshd -T) without providing a full connection specification (sshd -T -C ...)
    
    spotted by bluhm@
    
    OpenBSD-Commit-ID: 7125faf5740eaa9d3a2f25400a0bc85e94e28b8f

commit 33edb6ebdc2f81ebed1bceadacdfb8910b64fb88
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 05:18:44 2017 +0000

    upstream commit
    
    reuse parse_multistate for parse_flag (yes/no arguments).
    Saves a few lines of code and makes the parser more consistent wrt case-
    sensitivity.  bz#2664 ok dtucker@
    
    OpenBSD-Commit-ID: b2ad1b6086858d5db71c7b11e5a74dba6d60efef

commit d52131a98316e76c0caa348f09bf6f7b9b01a1b9
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 05:14:04 2017 +0000

    upstream commit
    
    allow certificate validity intervals that specify only a
    start or stop time (we already support specifying both or neither)
    
    OpenBSD-Commit-ID: 9be486545603c003030bdb5c467d1318b46b4e42

commit fbe8e7ac94c2fa380421a9205a8bc966549c2f91
Author: djm@openbsd.org@openbsd.org <djm@openbsd.org@openbsd.org>
Date:   Fri Nov 3 03:46:52 2017 +0000

    upstream commit
    
    allow "cd" and "lcd" commands with no explicit path
    argument. lcd will change to the local user's home directory as usual. cd
    will change to the starting directory for session (because the protocol
    offers no way to obtain the remote user's home directory). bz#2760 ok
    dtucker@
    
    OpenBSD-Commit-ID: 15333f5087cee8c1ed1330cac1bd0a3e6a767393

commit 0208a48517b5e8e8b091f32fa4addcd67c31ca9e
Author: dtucker@openbsd.org@openbsd.org <dtucker@openbsd.org@openbsd.org>
Date:   Fri Nov 3 03:18:53 2017 +0000

    upstream commit
    
    When doing a config test with sshd -T, only require the
    attributes that are actually used in Match criteria rather than (an
    incomplete list of) all criteria.  ok djm@, man page help jmc@
    
    OpenBSD-Commit-ID: b4e773c4212d3dea486d0259ae977551aab2c1fc

